2009-01-26	jannis

	* == 4.5.99.1 released! ==
	* NEWS: Update NEWS file for the release.
	* configure.ac.in: Bump version number and dependencies.

2009-01-25	olivier

	* settings-dialogs/xfwm4-settings.c: gtk, not glib for 
	  gtk_selection_data_get_data()

2009-01-25	olivier

	* settings-dialogs/xfwm4-settings.c: gtk_selection_data_get_data() is
	  gtk+2.14 (Bug #4855)

2009-01-25	nick

	* settings-dialogs/xfwm4-settings.c, 
	  settings-dialogs/xfwm4-dialog.glade: Make title alignment and button
	  layout insensitive when not supported by the theme selected, fix a
	  memory leak,
	  configure.ac.in: Remove AC_C_CONST

2009-01-25	nick

	* settings-dialogs/xfwm4-settings.c: Fix dragging button layout when 
	  the dialog is embedded in the settings dialog (Bug #4524).

2009-01-24	olivier

	* src/display.c, src/display.h, src/events.c, src/client.c
	  src/client.h, src/hints.c, src/hints.h, src/netwm.c, README:
	  Add support for NET_WM_FULLSCREEN_MONITORS

2009-01-23	olivier

	* src/parserc.c, src/settings.c, src/settings.c: Fix settings not
	  being set at startup (Bug #4845)
	  themes/default/*: Flatten default theme

2009-01-21	olivier

	* src/main.c: Command line option "--daemon" would have no effect 
	  when xfwm4 connects to the session manager.

2009-01-20	olivier

	* mcs-plugin: Removed.

2009-01-18	olivier

	* src/screen.c: Use G_MAXINT as default to make sure it's off bound.

2009-01-18	olivier

	* src/*.c, src/*.h: Update year.

2009-01-18	olivier

	* src/client.c, src/events.c, src/moveresize.c, src/netwm.c,
	  src/placement.c, src/screen.c, src/screen.h, src/tabwin.c: Cache
	  the monitor geometry instead of just the monitor number, it's more
	  efficient.

2009-01-17	olivier

	* settings-dialogs/xfwm4-settings.c, 
	  settings-dialogs/xfwm4-dialog.glade: Make focus delay insensitive
	  in click to focus mode.

2009-01-16	olivier

	* src/misc.h, src/misc.c, src/screen.h, src/screen.c, src/events.c,
	  src/menu.c, src/tabwin.c, src/placement.c, src/client.c, 
	  src/moveresize.c, src/netwm.c: Need to invalidate our internal 
	  monitor caching when adding/removing monitors with randr 1.2

2009-01-14	jannis

	* configure.in.in: Post-release version bump.

2009-01-12  olivier

	* NEWS: Typos

2009-01-11  olivier

	* src/focus.c: Do not place unfocused windows on top of the focused
	  window, when not focusing new windows (Bug #4795)

2009-01-07  olivier

	* settings-dialogs/xfwm4-settings.c: Remove markup not supported
	  by xfce_message_dialog() (Bug #4786)

2009-01-07  olivier

	* settings-dialogs/xfwm4-dialog.glade: Fix typo introduced in previous
	  update

2009-01-06  olivier

	* settings-dialogs/xfwm4-settings.c, 
	  settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/tweaks-settings.c, po/*: Fix strings not being 
	  localized (Bug #4740)

2008-12-24  olivier

	* src/compositor.c, default/defaults, themes/default/themerc: Increase
	  shadow radius, center shadow by default.

2008-12-16  olivier

	* settings-dialogs/xfwm4-workspace-dialog.glade,
	  settings-dialogs/xfwm4-tweaks-dialog.glade,
	  settings-dialogs/xfwm4-dialog.glade: Do not mark gtk+ stock labels as
	  translatable (Bug #4722)

2008-12-16  olivier

	* src/placement.c: Prevent "fill" from expanding beyound physical 
	  monitor.

2008-12-14  olivier

	* src/placement.c, src/placement.h, src/client.c, src/client.h:
	  Fix fill horizontally and vertically not working as expected 
	  (Bug #4712)

2008-12-14  olivier

	* settings-dialogs/xfwm4-dialog.glade, 
	  settings-dialogs/xfwm4-tweaks-dialog.glade: String review by 
	  Josh Saddler <nightmorph@gentoo.org> (Bug #4703)

2008-12-12  olivier

	* src/client.c: Remove maximization if a client updates its size max
	  size hint (Bug #4706)

2008-12-11  olivier

	* settings-dialogs/monitor-icon.svg, settings-dialogs/monitor-icon.png,
      Slightly larger default icon.

2008-12-10  olivier

	* settings-dialogs/monitor-icon.svg, settings-dialogs/monitor-icon.png,
	  src/default_icon.svg, src/default_icon.png: Redo the icons from
	  scratch so we it's not a derivative work from the Tango icons anymore
	  (and thus remove the CCPL).

2008-12-06  olivier

	* settings-dialogs/monitor-icon.svg, settings-dialogs/monitor-icon.png,
	  settings-dialogs/monitor-icon.h: Replace monitor icon with an icon
	  based on the Tango icon theme (Bug #4666), 
	  COPYING: Add the CCPL as some icons are derived work from the 
	  Tango icons.

2008-11-29  olivier

	* src/placement.c: Fix smart placement not working for windows with 
	  height or width larger than actual screen size (Bug# 3126). 

2008-11-27  olivier

	* src/transients.c: Based on previous change, we an now optimize 
	  clientGetModalFor() and make it a lot simpler and more efficient.

2008-11-27  olivier

	* src/transients.c: Do not consider all windows of the same group for
	  modality (See comment in Bug #3586)

2008-11-27  olivier

	* src/focus.c, src/focus.h: Only focus the fallback window when 
	  transitioning focus from a destroy or unmap (Should fix Bug #4652)
	  Do some small cleanup, remove older code ifdef'ed.

2008-11-25  olivier

	* themes/daloa: Enlarge active zone of buttons

2008-11-20  olivier

	* defaults/defaults: Fix default value for easy_click

2008-11-20  olivier

	* src/moveresize.c: Work around a problem affecting the use of 
	  the "Super" key as modifier for moving windows (Bug #4632)

2008-11-19  olivier

	* settings-dialogs/workspace-settings.c: Trivial optimization, no need 
	  to check the value for each iteration.

2008-11-18  olivier

	* settings-dialogs/workspace-settings.c: Make sure the data retrieved
	  from xfconf is not null (Bug #4616)

2008-11-15  olivier

	* settings-dialogs/xfwm4-workspace-dialog.glade: Set page-size
	  to 0 for gtk+ 2.14

2008-11-11  olivier

	* po/*.po, po/xfwm4.pot: update po

2008-11-11  olivier

	* settings-dialogs/xfwm4-settings.c: Fix focus model selection

2008-11-11	jannis

	* src/settings.c: Place the sidewalks again after wrap_workspaces has
	  changed.

2008-11-11  olivier

	* src/Makefile.am: add missing inline icons

2008-11-11  olivier

	* settings-dialogs/xfwm4-settings.c: Fix build with -Werror.

2008-11-11  olivier

	* settings-dialogs/workspace-settings.c: Use editable cells instead of 
	  yet another popup dialog.

2008-11-11  olivier

	* settings-dialogs/workspace-settings.c: Revert

2008-11-11  olivier

	* src/Makefile.am: stock_rolldown.png missing in Makefile.am

2008-11-09  olivier

	* po/POTFILES.in, settings-dialogs/Makefile.am: Fix make distcheck

2008-11-09  olivier

	* configure.ac.in: Update version
	  po/*: Update po

2008-11-09  olivier

	* settings-dialogs/workspace-settings.c: Fix compiler warning
	  src/cycle.c: Add key shortcut for reverse cycling (Bug #2778)

2008-11-09  olivier

	* settings-dialogs/xfwm4-settings.c, src/cycle.c, src/settings.c,
	  src/events.c, src/settings.h, src/screen.c, src/screen.h:
	  Prepare code for reverse cycling (not finished yet).

2008-11-08  olivier

	* src/tabwin.c: Draw focus in tabwin to make sure the selection is
	  visible even with themes that do not show selected items. 

2008-11-08  olivier

	* src/settings.c: Do not display warnings for "workspace_names", for
	  real this time... 

2008-11-08  olivier

	* settings-dialogs/workspace-settings.c: Fix workspaces names not being
	  set in the workspace settings GUI.

2008-11-08  olivier

	* src/settings.c: Do not display warnings for "workspace_names" either. 

2008-11-08  brian

	* settings-dialogs/xfwm4-settings.c: Fix possible crash when the 
	  dbl_click_action setting gets unset.

2008-11-02  olivier

	* src/parserc.c, src/settings.c: Do not display warnings for values 
	  that are not configurable via xfconf (typically theme settings).

2008-11-02  olivier

	* settings-dialogs/tweaks-settings.c, src/settings.c, src/client.c: Fix
	  indentation.

2008-11-02  olivier

	* settings-dialogs/xfwm4-tweaks-dialog.glade, 
	  settings-dialogs/tweaks-settings.c, src/settings.c, src/settings.h, 
	  src/client.c, src/client.h, defaults/defaults: Add new option do 
	  disable blinking of urgent windows.

2008-10-30  olivier

	* settings-dialogs/xfwm4-settings.c: Fix compiler warnings

2008-10-30  jannis

	  xfwm4/trunk/settings-dialogs/Makefile.am
	  xfwm4/trunk/settings-dialogs/tweaks-settings.c
	  xfwm4/trunk/settings-dialogs/workspace-settings.c
	  xfwm4/trunk/settings-dialogs/xfwm4-settings.c
	  xfwm4/trunk/src/Makefile.am
	  xfwm4/trunk/src/event_filter.c
	  xfwm4/trunk/src/events.c
	  xfwm4/trunk/src/keyboard.c
	  xfwm4/trunk/src/keyboard.h
	  xfwm4/trunk/src/screen.h
	  xfwm4/trunk/src/settings.c
	  xfwm4/trunk/themes/Makefile.am
	  xfwm4/trunk/configure.ac.in
	  xfwm4/trunk/defaults/defaults: Add support for keyboard shortcuts. 
	  Remove experimental shortcuts code and add dependency on 
	  libxfce4kbd-private instead and replace MappingNotify event handler 
	  with a GdkKeymap "keys-changed" callback.
	  Remove support for key themes. Properly stop startup notification 
	  when dialogs are plugged into xfce4-settings-manager (Bug #4492).
	  po/*: Update translation files.

2008-10-30  olivier

	* settings-dialogs/xfwm4-settings.c, src/client.c: Fix compiler 
	  warnings

2008-10-30  olivier

	* src/events.c, src/client.c, src/client.h,
	  themes/default.keys/keythemerc: Simplify management of transients

2008-10-30  olivier

	* src/default_icon.svg, src/default_icon.svg,
	  src/inline-default-icon.h: Change default icon.

2008-10-30  olivier

	* src/client.c: Fix minimize all other windows,
	  src/main.c: Fix compilation warning.

2008-10-29  olivier

	* src/inline-stock-rolldown.h, src/inline-stock-maximize.h,
	  src/inline-stock-unmaximize.h, src/menu.c,  src/stock_icons.c,
	  src/stock_icons.h, src/inline-stock-minimize.h, 
	  src/inline-default-icon.h, src/inline-stock-rollup.h,
	  src/main.c, src/Makefile.am: Rework the window menu to improve
	  consistency with libwnck menu (Bug #4531)

2008-10-28  olivier

	* settings-dialogs/tweaks-settings.c, 
	  settings-dialogs/xfwm4-tweaks-dialog.glade: Fix wmteaks dialog not 
	  setting the proper option for "raise_with_any_button".

2008-10-22  olivier

	* src/client.c, src/client.h, src/display.c, src/display.h, 
	  src/events.c, src/focus.c, src/focus.h, src/hints.c, src/hints.h, 
	  src/misc.c, src/misc.h, src/moveresize.c, src/netwm.c, src/netwm.h, 
	  src/screen.c, src/screen.h, src/startup_notification.c, 
	  src/workspaces.c, src/workspaces.h: Use "guint32" instead of Xlib's 
	  "Time".

2008-10-21  olivier

	* src/client.c: Trivial, advertise the correct function name in debug 
	  message.

2008-10-21  olivier

	* src/client.c: Fix gravity broken by previous commit.

2008-10-21  olivier

	* src/events.c: Restore a line removed by mistake in last commit.

2008-10-20  olivier

	* src/events.c, src/client.c, src/client.h, src/netwm.c: Improve 
	  support for NET_MOVERESIZE_WINDOW by reusing most of the code
	  from configureRequest handler.
	  src/misc.c: Remove duplicate declaration in the code.

2008-10-19  olivier

	* src/netwm.h, src/display.c, src/display.h, src/events.c, src/hints.c, 
	  src/netwm.c: Add support for NET_MOVERESIZE_WINDOW

2008-10-18  olivier

	* settings-dialogs/xfwm4-tweaks-dialog.glade,
	  settings-dialogs/xfwm4-dialog.glade: Add disambiguations to settings
	  dialogs (Bug #4484, patch from alexander.toresson@gmail.com).

2008-10-18  olivier

	* src/misc.h, src/misc.c: Add routine to get the name of a given atom,
	  src/client.c: Add client windows to save set to avoid loosing all
	  windows in case of crash,
	  src/netwm.c: Display name of unsupported net_wm_state atom,
	  src/hints.c: Clean-up of list of supported atoms,
	  src/events.c: Add hooks for debugging purpose.

2008-10-16  olivier

	* src/events.c, src/session.c: Add support for restart style 
	  SmRestartImmediately now that xfce4-session supports it (requires
	  libxfcegui4 from r28280 or later).

2008-10-16  olivier

	* settings-dialogs/xfwm4-settings.c: Fix compilation with glib-2.10,
	  there is no g_hash_table_get_keys() nor constructed method for 
	  GObjects in glib-2.10.

2008-10-16  jannis

	* settings-dialogs/xfwm4-settings.h: Add missing header file for
	  the main settings dialog.

2008-10-15  jannis

	* settings-dialogs/frap-shortcuts.c.bak: Remove backup file.

2008-10-15  jannis

	* settings-dialogs/Makefile.am,
	  settings-dialogs/frap-shortcuts-dialog.c,
	  settings-dialogs/frap-shortcuts-dialog.h,
	  settings-dialogs/frap-shortcuts-provider.c,
	  settings-dialogs/frap-shortcuts-provider.h,
	  settings-dialogs/frap-shortcuts.c,
	  settings-dialogs/frap-shortcuts.c.bak,
	  settings-dialogs/frap-shortcuts.h,
	  settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-settings.c: GObject-ify the main settings
	  dialog. Update frap shortcuts files.
	  Tweak the settings dialog UI a bit. Next task will be support for
	  shortcuts.

2008-10-14  stephan

	* configure.ac.in: Bump version number and dependency requirements

2008-10-14  olivier

	* settings-dialogs/Makefile.am: Include monitor-icon.h, 
	  (corsac@debian.org), src/events.c: Fix compiler warning,
	  src/placement.c: Likewise, src/client.c: Likewise, fix 
	  uninitialized access in full debug build (corsac@debian.org),
	  po/POTFILES.in: Add new source to the list of files to translate 
	  (corsac@debian.org)

2008-10-13  olivier

	* src/placement.c: Improve centering of windows with Xinerama.

2008-10-11  olivier

	* settings-dialogs/xfwm4-settings.c,
	  settings-dialogs/tweaks-settings.c: Staticalisation

2008-10-09 16:38  olivier

	* src/moveresize.c: Clear partial maximization upon move

2008-10-09 13:06  olivier

	* configure.ac.in: use a dot instead of a dash otherwise make rpm
	  fails ('-' is not allowed in version)

2008-10-09 12:59  olivier

	* configure.ac.in: Adopt the same versioning scheme as other xfce
	  packages

2008-10-09 05:01  sas

	* po/hu.po: [intl:hu] little fixes

2008-10-08 13:44  jari

	* po/ChangeLog, po/fi.po: Update Finnish translation.

2008-10-07 19:39  olivier

	* src/client.c: Rework visual depth selection of the frame window
	  (Bug #4452)

2008-10-07 19:36  olivier

	* defaults/defaults, po/xfwm4.pot,
	  settings-dialogs/tweaks-settings.c,
	  settings-dialogs/xfwm4-tweaks-dialog.glade, src/client.c,
	  src/settings.c, src/settings.h: Add new user option to set/unset
	  repeat blinking of urgent windows (Bug #4440)

2008-10-07 12:39  jannis

	* settings-dialogs/xfce-wm-settings.desktop.in,
	  settings-dialogs/xfce-wmtweaks-settings.desktop.in,
	  settings-dialogs/xfce-workspaces-settings.desktop.in: Add
	  X-XfceHelpFile to settings dialog .desktop files.

2008-10-06 19:48  olivier

	* NEWS, defaults/defaults, src/compositor.c, src/settings.c,
	  src/settings.h, themes/default/themerc: Make shadow opacity
	  configurable (bug #4447)

2008-10-05 22:01  olivier

	* src/client.c, src/client.h, src/events.c, src/workspaces.c: Small
	  refactoring of the source, use the term withdraw instead of hide
	  to avoid confusion with iconification

2008-10-05 19:29  jannis

	* configure.ac.in: Fix required xfconf version (use latest SVN
	  revision).

2008-10-05 17:52  maximilian

	* po/ChangeLog, po/de.po, po/fr.po, po/id.po: Updated and added
	  Estonian translations for the libxfcegui4, terminal and mousepad
	  trunk modules and libxfce4util branch 4.4 module
	  Updated Indonesian translations for the xfce-utils, xfce4-mixer,
	  xarchiver, xfwm4, xfcalendar and xfdesktop trunk modules
	  Updated and added Spanish translations for the xfce4-appfinder,
	  squeeze, libexo, xfce-utils, libxfce4menu, xfce4-session,
	  xfce4-mixer, libxfce4util, libxfce4ui, xfce4-icon-theme, thunar,
	  libxfcegui4, xfce4-panel, xfdesktop, xfce4-trigger-launcher,
	  terminal, mousepad and xfmedia trunk modules
	  Updated Russian translation for the xarchiver, libexo and
	  libxfcegui4 trunk modules
	  Updated and added German translation of the xfce4-settings and
	  xfwm4 trunk modules
	  Updated Japanese translation for the thunar module
	  Updated Sinhalese translation for the libxfcegui4 trunk module

2008-10-05 13:29  majkl

	* po/cs.po: Czech translation updated (Remaining duplicated hotkeys
	  fixed)

2008-10-05 12:55  majkl

	* po/cs.po: Czech translation updated (duplicated shortcuts fixed)

2008-10-05 12:27  jannis

	* configure.ac.in, settings-dialogs/workspace-settings.c,
	  settings-dialogs/xfwm4-workspace-dialog.glade: Use updated Xfconf
	  API, tweak workspace settings dialog, fix plugging.
	  
	  Add xfconf_minimum_version to the configure script. Depend on
	  0.1.0svn-r27376 for the updated channel API. Use xfconf_channel_get()
	  instead of xfconf_channel_new(). Quit the application when the
	  GtkPlug is destroyed. Tweak the settings dialog so that the workspace
	  margin spin buttons stick to the monitor icon and the monitor icon is
	  always centered inside the frame.

2008-10-04 21:34  majkl

	* po/cs.po: Czech translation updated

2008-10-03 20:46  olivier

	* src/client.c, src/client.h: Rework the blinking of windows to
	  make it less boring and hopefully more noticeable

2008-10-03 14:31  stephan

	* helper-dialog/helper-dialog.c, settings-dialogs/Makefile.am,
	  settings-dialogs/tweaks-settings.c,
	  settings-dialogs/workspace-settings.c, src/client.c, src/cycle.c,
	  src/terminate.c: Fix compiler warnings

2008-10-03 08:24  olivier

	* NEWS, defaults/defaults, settings-dialogs/tweaks-settings.c,
	  settings-dialogs/xfwm4-tweaks-dialog.glade, src/cycle.c,
	  src/settings.c, src/settings.h: Make wire frame while cycling
	  user configurable (Bug #4443)

2008-10-02 21:27  olivier

	* settings-dialogs/Makefile.am, settings-dialogs/monitor-icon.h,
	  settings-dialogs/monitor-icon.png,
	  settings-dialogs/workspace-settings.c,
	  settings-dialogs/xfwm4-workspace-dialog.glade: Add margins
	  configuration in workspace settings, patch by Mike Massonnet
	  <mike.massonnet@gmail.com> (Bug #4438)

2008-10-02 10:58  olivier

	* src/events.c: Loosen the rule that prevents an application from
	  iconifying itself when skip_taskbar is set (Bug #4434)

2008-09-30 16:37  olivier

	* src/netwm.c, src/placement.c: Fix NET_WM_STATE claiming
	  maximization vertical and horizontal even if only horizontal of
	  vertical is actually set (Should fix bug #3969)

2008-09-30 13:21  olivier

	* helper-dialog/helper-dialog.c, src/terminate.c, src/terminate.h:
	  Give credit to metacity implementation, add svn:keywords property

2008-09-30 10:58  piarres

	* po/eu.po: BAsque translation update

2008-09-30 09:02  olivier

	* helper-dialog/helper-dialog.c: Add xid to reply (might be useful
	  for debugging later on)

2008-09-30 09:02  olivier

	* src/netwm.c: Make sure the passed timestamp is not zero

2008-09-29 22:05  olivier

	* helper-dialog/Makefile.am, helper-dialog/helper-dialog.c,
	  po/POTFILES.in, po/xfwm4.pot, src/Makefile.am: Improve dialog

2008-09-29 21:41  olivier

	* helper-dialog/.deps, helper-dialog/.libs, helper-dialog/Makefile,
	  helper-dialog/Makefile.in, helper-dialog/helper-dialog: Remove
	  generated files

2008-09-29 21:40  olivier

	* Makefile.am, configure.ac.in, helper-dialog, helper-dialog/.deps,
	  helper-dialog/.deps/helper-dialog.Po,
	  helper-dialog/.deps/helper_dialog-helper-dialog.Po,
	  helper-dialog/.deps/xfwm4-helper-dialog.Po, helper-dialog/.libs,
	  helper-dialog/Makefile, helper-dialog/Makefile.am,
	  helper-dialog/Makefile.in, helper-dialog/helper-dialog,
	  helper-dialog/helper-dialog.c, src/Makefile.am, src/client.c,
	  src/client.h, src/netwm.c, src/terminate.c, src/terminate.h: Add
	  dialog (not finished yet)

2008-09-29 12:42  olivier

	* src/client.c, src/focus.c, src/netwm.c: Reorder NET_WM_STATE
	  update status

2008-09-29 06:19  kelnos

	* settings-dialogs/workspace-settings.c: fix typo that causes new
	  workspace name to be shown incorrectly in the dialog

2008-09-28 17:29  olivier

	* src/client.c: Fix name change broken by one of last commits

2008-09-25 20:52  olivier

	* themes/default/themerc: Place title 1 pixel higher

2008-09-25 15:40  olivier

	* src/client.c, src/client.h, src/events.c, src/netwm.c,
	  src/netwm.h: Fix ping/pong

2008-09-25 11:55  olivier

	* src/client.c, src/client.h, src/hints.c, src/hints.h,
	  src/netwm.c: Kill client who do not reply a ping message - TODO:
	  Implement a helper application to display a daliog asking user's
	  confirmation before actually killing the application

2008-09-24 21:36  olivier

	* src/client.c, src/client.h, src/events.c, src/hints.c,
	  src/hints.h, src/netwm.c, src/netwm.h: Implement NET_WM_PING
	  protocol

2008-09-22 22:12  olivier

	* settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-tweaks-dialog.glade,
	  settings-dialogs/xfwm4-workspace-dialog.glade: Update glade files
	  to set page_size to 0

2008-09-22 21:52  olivier

	* src/client.c, src/client.h, src/display.c, src/display.h,
	  src/events.c, src/hints.c, src/hints.h: Add support for
	  NET_WM_PID to be able to kill apps (when not responding to
	  NET_WM_PING), and various small clean up

2008-09-22 08:54  olivier

	* settings-dialogs/tweaks-settings.c,
	  settings-dialogs/xfwm4-tweaks-dialog.glade: Add an option to set
	  default window placement w/out smart placement missing from the
	  wmtweaks GUI

2008-09-18 09:12  olivier

	* settings-dialogs/tweaks-settings.c: Add an explanatory comment

2008-09-18 09:10  olivier

	* settings-dialogs/tweaks-settings.c,
	  settings-dialogs/xfwm4-tweaks-dialog.glade: Actually, focus
	  stealing prevention is not related to the way to react when a
	  window raises itself on another workspace

2008-09-17 09:41  olivier

	* ChangeLog, NEWS: Update ChangeLog, NEWS

2008-09-16 15:42  olivier

	* defaults/defaults: ...actually even more sensitive w/out
	  quotes...

2008-09-16 15:23  olivier

	* defaults/defaults: Set what seems to be sensible defaults

2008-09-16 12:52  olivier

	* settings-dialogs/tweaks-settings.c: Fix initialization

2008-09-16 12:18  olivier

	* settings-dialogs/tweaks-settings.c: Allow any modifier to be used
	  for easy move, including disabling the functionality all together
	  (fixes a regression introduced in 4.6)

2008-09-16 11:29  olivier

	* src/hints.c: Add the new supported atoms to the list

2008-09-14 21:15  jannis

	* ChangeLog, settings-dialogs/xfce-wm-settings.desktop.in,
	  settings-dialogs/xfce-wmtweaks-settings.desktop.in,
	  settings-dialogs/xfce-workspaces-settings.desktop.in: *
	  settings-dialogs/*.desktop.in: Add X-XfcePluggable=true to
	  desktop files of the settings dialogs.

2008-09-14 20:25  jannis

	* ChangeLog: Doh.

2008-09-14 20:19  jannis

	* ChangeLog, settings-dialogs/tweaks-settings.c: *
	  settings-dialogs/tweaks-settings.c: Add copyright nothint.

2008-09-14 20:14  jannis

	* ChangeLog: * settings-dialogs/*.{c,glade}: Add embedding support
	  to all xfwm4 settings
	  dialogs.

2008-09-14 20:14  jannis

	* settings-dialogs/tweaks-settings.c,
	  settings-dialogs/workspace-settings.c,
	  settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-settings.c,
	  settings-dialogs/xfwm4-tweaks-dialog.glade,
	  settings-dialogs/xfwm4-workspace-dialog.glade: Add embedding
	  support to all xfwm4 settings dialogs.

2008-09-14 14:53  olivier

	* settings-dialogs/xfwm4-settings.c: Sort theme alphabetically (Fix
	  bug #4318)

2008-09-14 10:20  kelnos

	* settings-dialogs/Makefile.am,
	  settings-dialogs/workspace-settings.c,
	  settings-dialogs/xfwm4-workspace-dialog.glade: implement
	  workspace name changing

2008-09-14 10:19  kelnos

	* settings-dialogs/Makefile.am,
	  settings-dialogs/workspace-settings.c: fix some minor nits

2008-09-12 08:48  olivier

	* src/client.c: Do not change windows list order when showing
	  desktop

2008-09-11 17:22  piarres

	* po/ChangeLog, po/eu.po: xfwmn basque translation update

2008-09-11 06:17  olivier

	* src/placement.c: Add warnings when auto-maximizing a window

2008-09-10 16:07  olivier

	* src/compositor.c: Revert to the previous behaviour, do not
	  allocate extents if the window is not visible (Bug #4363)

2008-09-09 19:30  lars

	* po/LINGUAS:

2008-09-09 19:29  lars

	* po/da.po:

2008-09-09 19:28  lars

	* po/LINGUAS:

2008-09-09 19:27  lars

	* po/LINGUAS:

2008-09-09 08:44  olivier

	* themes/...: Sharpen bottom corners on the default theme

2008-09-09 07:38  maximilian

	* po/ChangeLog, po/fr.po, po/id.po: Translations updates and new
	  ones for trunk in es,fr,id

2008-09-08 21:06  stephan

	* configure.ac.in: Update xfce library version requirements

2008-09-08 20:31  jannis

	* ChangeLog: Fix ChangeLog indentation.

2008-09-08 20:24  jannis

	* ChangeLog, po/ChangeLog, po/am.po, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/dz.po,
	  po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po, po/gu.po,
	  po/he.po, po/hi.po, po/hu.po, po/id.po, po/it.po, po/ja.po,
	  po/ka.po, po/ko.po, po/lt.po, po/lv.po, po/mk.po, po/mr.po,
	  po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/ur.po, po/vi.po, po/xfwm4.pot,
	  po/zh_CN.po, po/zh_TW.po,
	  settings-dialogs/frap-shortcuts-dialog.c,
	  settings-dialogs/frap-shortcuts.c,
	  settings-dialogs/xfwm4-dialog.glade: *
	  settings-dialogs/frap-shortcuts.c,
	  settings-dialog/frap-shortcuts-dialog.c: Synchronize latest
	  libfrap
	  changes.
	  * settings-dialogs/xfwm4-settings.c: Make keyboard tab
	  insensitive.
	  Shortcuts based on xfconf have been postponed to the first beta
	  release and won't be available in the alpha.
	  * *.po, xfwm4.pot: Merge strings.

2008-09-07 21:59  jannis

	* ChangeLog, settings-dialogs/frap-shortcuts-dialog.c: *
	  settings-dialogs/frap-shortcuts-dialog.c: Update the dialog. It
	  now uses XfceTitledDialog as a parent and also displays the
	  partial shortcut while being entered - cool.

2008-09-07 21:20  jannis

	* ChangeLog, settings-dialogs/frap-shortcuts-dialog.c,
	  settings-dialogs/frap-shortcuts.c,
	  settings-dialogs/frap-shortcuts.h: *
	  settings-dialogs/frap-shortcuts.{c,h},
	  settings-dialogs/frap-shortcuts-dialog.c: Update to latest
	  libfrap version.

2008-09-07 17:04  jannis

	* ChangeLog, po/ChangeLog: settings-dialogs/xfwm4-settings.c:
	  Import utility functions and the shortcut dialog from libfrap. 
	  Refactor the xfwm4 settings dialog so that it makes use of them. 
	  The code should now work better and be easier to read.
	  * POTFILES.in: Add frap-shortcuts.c and frap-shortcuts-dialog.c.
	  * *.po, xfwm4.pot: Merge new strings.

2008-09-07 17:02  jannis

	* ChangeLog, po/POTFILES.in, po/am.po, po/ar.po, po/az.po,
	  po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po,
	  po/dz.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po,
	  po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/id.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/lv.po, po/mk.po,
	  po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/ur.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po,
	  settings-dialogs/Makefile.am,
	  settings-dialogs/frap-shortcuts-dialog.c,
	  settings-dialogs/frap-shortcuts-dialog.h,
	  settings-dialogs/frap-shortcuts.c,
	  settings-dialogs/frap-shortcuts.h,
	  settings-dialogs/shortcut-dialog.c,
	  settings-dialogs/shortcut-dialog.h,
	  settings-dialogs/xfwm4-settings.c: *
	  settings-dialogs/Makefile.am,
	  settings-dialogs/frap-shortcuts.{c,h},
	  settings-dialogs/frap-shortcuts-dialog.{c,h},
	  settings-dialogs/xfwm4-settings.c: Import utility functions and
	  the shortcut dialog from libfrap. Refactor the xfwm4 settings dialog
	  so that it makes use of them. The code should now work better and be
	  easier to read.

2008-09-07 09:50  jannis

	* ChangeLog, settings-dialogs/shortcut-dialog.c: *
	  settings-dialogs/shortcut-dialog.c: Remove unused Display
	  variable.

2008-09-07 09:35  jannis

	* ChangeLog, settings-dialogs/xfwm4-settings.c: *
	  settings-dialogs/Xfwm4-settings.c: Remove unused function
	  declaration.

2008-09-06 21:01  kelnos

	* settings-dialogs/xfwm4-settings.c: hook up missing
	  wrap_workspaces and wrap_windows properties

2008-09-06 18:22  jannis

	* ChangeLog, configure.ac.in, po/xfwm4.pot,
	  settings-dialogs/xfwm4-settings.c: * configure.ac.in: Add
	  dependencies on dbus-1 and dbus-glib-1.
	  * settings-dialogs/xfwm4-settings.c: Add <dbus/dbus-glib.h>
	  include.

2008-09-06 14:47  jannis

	* ChangeLog, po/ChangeLog, po/POTFILES.in, po/am.po, po/ar.po,
	  po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po,
	  po/de.po, po/dz.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gl.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/id.po,
	  po/it.po, po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/lv.po,
	  po/mk.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sq.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/ur.po,
	  po/vi.po, po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po,
	  settings-dialogs/Makefile.am, settings-dialogs/shortcut-dialog.c,
	  settings-dialogs/shortcut-dialog.h,
	  settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-settings.c: *
	  settings-dialogs/Makefile.am,
	  settings-dialogs/shortcut-dialog.{c,h}: Add (almost) the same
	  dialog for entering shortcuts as we have in xfce4-settings.
	  * settings-dialogs/xfwm4-settings.c: Implement the first part of
	  the xfwm4 keyboard shortcuts: Disable themes support, make shortcuts
	  editable, implement the "reset to defaults" feature, handle
	  'property-changed' signal emitted by xfconf and allow for interactive 
	  resolving of conflicts. Still missing: hard-coded default shorcuts 
	  and the actual X event monitor for all shortcuts. 
	  * POTFILES.in: Add shortcut-dialog.c.
	  * *.po, xfwm4.pot: Merge new strings.

2008-09-04 17:25  jannis

	* ChangeLog, autogen.sh: * autogen.sh: Add git svn revision
	  versioning support.

2008-09-01 02:01  sas

	* po/hu.po: [intl:hu] xarchiver xfwm update, please dont use
	  (Un)... format

2008-08-29 22:12  maximilian

	* po/ChangeLog, po/de.po, po/ko.po: Updated various pending
	  translations (German,Korean and Slovene)

2008-08-28 10:59  piarres

	* po/ChangeLog, po/eu.po: Basque translation uypdate

2008-08-25 06:27  kelnos

	* po/POTFILES.in, po/am.po, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/dz.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/gl.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/id.po, po/it.po, po/ja.po, po/ka.po,
	  po/ko.po, po/lt.po, po/lv.po, po/mk.po, po/mr.po, po/ms.po,
	  po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/ur.po, po/vi.po, po/xfwm4.pot,
	  po/zh_CN.po, po/zh_TW.po: fix POTFILES.in, update-po

2008-08-25 06:20  kelnos

	* configure.ac.in, settings-dialogs/Makefile.am,
	  settings-dialogs/xfce-wm-settings.desktop.in,
	  settings-dialogs/xfce-wmtweaks-settings.desktop.in,
	  settings-dialogs/xfce-workspaces-settings.desktop.in,
	  settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-tweaks-dialog.glade,
	  settings-dialogs/xfwm4-workspace-dialog.glade: consistent-ify the
	  settings dialogs with those from xfce4-settings

2008-08-24 16:03  olivier

	* themes/...: Add a small light frame to enhance window limits.

2008-08-24 16:00  olivier

	* src/client.c, src/moveresize.c, src/placement.c: Various small
	  changes for win resize, do not automaximize undecorated windows

2008-08-24 02:32  kelnos

	* settings-dialogs/xfwm4-tweaks-dialog.glade,
	  settings-dialogs/xfwm4-workspace-dialog.glade: tweak wmtweaks and
	  workspaces settings dialogs quite a bit make padding and spacing 
	  consistent with xfdesktop, use XfceTitledDialog rather than 
	  XfceHeading, set header subtitle, set window title correctly, set 
	  window icon correctly, add keyboard accels to all controls,
	  don't set window width (instead force no horiz scrollbar)

2008-08-24 01:52  kelnos

	* settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-settings.c: tweak main xfwm4 settings dialog 
	  quite a bit make padding and spacing consistent with xfdesktop, use 
	  XfceTitledDialog rather than XfceHeading, set header subtitle, set 
	  window title correctly, set window icon correctly, add keyboard 
	  accels to all controls

2008-08-24 01:02  kelnos

	* settings-dialogs/Makefile.am,
	  settings-dialogs/xfce-wm-settings.desktop.in,
	  settings-dialogs/xfce-wmtweaks-settings.desktop.in,
	  settings-dialogs/xfce-workspaces-settings.desktop.in,
	  settings-dialogs/xfwm4-settings.desktop.in,
	  settings-dialogs/xfwm4-tweaks-settings.desktop.in,
	  settings-dialogs/xfwm4-workspace-settings.desktop.in: rename the
	  .desktop files to their old names; fix missing fields

2008-08-23 18:57  pollux

	* settings-dialogs/xfwm4-settings.desktop.in: use the same casing
	  and spelling as the tweaking dialog

2008-08-17 20:16  stephan

	* configure.ac.in: Bump version number

2008-08-17 20:15  stephan

	* configure.ac.in: Bump version number

2008-08-17 20:05  stephan

	* po/POTFILES.in, settings-dialogs/Makefile.am, src/compositor.c,
	  src/events.c: Fix make distcheck

2008-08-15 20:56  olivier

	* src/client.c, src/compositor.c, src/compositor.h, src/events.c:
	  Rework the resize of windows to avoid hidden portions to become
	  visible, add a hook to update the compositor as relying on
	  configure notify introduces lags and flickers (Bug #4283)

2008-08-14 22:36  olivier

	* src/client.c, src/compositor.c, src/events.c, src/moveresize.c,
	  src/screen.h, src/xsync.c: Fix XSync (apparently broken since the
	  beginning), rework window resize, rework shape notification in
	  the compositor, trash the decremental repaint timeout

2008-08-12 11:00  jari

	* po/ChangeLog, po/fi.po: Updated Finnish translations.

2008-08-10 21:42  maximilian

	* po/ChangeLog, po/id.po, po/ko.po, po/pl.po: Translations updated
	  and added in Indonesian, Korean and Polish.

2008-08-09 22:54  olivier

	* themes/...: Reduce title height of the default theme.

2008-08-09 22:52  olivier

	* src/compositor.c: Adjust values of adaptative timeout

2008-08-09 22:32  olivier

	* src/compositor.c, src/screen.h: Compositor: Implement some sort
	  of an adaptative timeout mechanism.

2008-08-09 15:43  olivier

	* src/compositor.c, src/display.h, src/screen.h: Compositor: remove
	  idle repaint, use only the timeout repaint (should help iwith
	  flickers induced by X window resize, bug #4268),
	  Manage timeout repaints per screen (instead of display).

2008-08-04 20:44  olivier

	* settings-dialogs/Makefile.in,
	  settings-dialogs/xfwm4-dialog_glade.h,
	  settings-dialogs/xfwm4-settings.desktop,
	  settings-dialogs/xfwm4-tweaks-dialog_glade.h,
	  settings-dialogs/xfwm4-tweaks-settings.desktop,
	  settings-dialogs/xfwm4-workspace-dialog_glade.h,
	  settings-dialogs/xfwm4-workspace-settings.desktop: Remove
	  generated files from source control

2008-08-04 20:28  olivier

	* Makefile.am, configure.ac.in, settings-dialogs,
	  settings-dialogs/Makefile.am, settings-dialogs/Makefile.in,
	  settings-dialogs/tweaks-settings.c,
	  settings-dialogs/workspace-settings.c,
	  settings-dialogs/xfwm4-dialog.glade,
	  settings-dialogs/xfwm4-dialog_glade.h,
	  settings-dialogs/xfwm4-settings.c,
	  settings-dialogs/xfwm4-settings.desktop,
	  settings-dialogs/xfwm4-settings.desktop.in,
	  settings-dialogs/xfwm4-tweaks-dialog.glade,
	  settings-dialogs/xfwm4-tweaks-dialog_glade.h,
	  settings-dialogs/xfwm4-tweaks-settings.desktop,
	  settings-dialogs/xfwm4-tweaks-settings.desktop.in,
	  settings-dialogs/xfwm4-workspace-dialog.glade,
	  settings-dialogs/xfwm4-workspace-dialog_glade.h,
	  settings-dialogs/xfwm4-workspace-settings.desktop,
	  settings-dialogs/xfwm4-workspace-settings.desktop.in,
	  src/Makefile.am, src/keyboard.c, src/keyboard.h, src/main.c,
	  src/menu.c, src/mypixmap.c, src/mypixmap.h, src/parserc.c,
	  src/parserc.h, src/screen.c, src/screen.h, src/settings.c,
	  src/settings.h: Merge work from Stephan Arts <stephan@xfce.org>
	  (Bug #4065)

2008-07-22 15:42  olivier

	* themes/default/themerc: Increase buttons offset

2008-07-21 09:14  olivier

	* src/hints.c: Fix segfault introduced with latest commit

2008-07-20 21:22  olivier

	* src/client.c, src/client.h, src/display.c, src/display.h,
	  src/events.c, src/hints.c, src/hints.h, src/netwm.c,
	  src/stacking.c: Add support for EWMH 1.4 NET_WM_USER_TIME_WINDOW
	  property,
	  use a separate layer for fullscreen windows (Bug #3526).

2008-07-20 14:50  olivier

	* themes/...: Update themes

2008-07-18 19:19  alnokta

	* po/ar.po: Update Arabic translations

2008-07-15 23:12  omaciel

	* po/pt_BR.po: Updated Brazilian Portuguese translation.

2008-07-15 15:12  omaciel

	* po/ChangeLog, po/pt_BR.po: Updated Brazilian Portuguese
	  translation.

2008-07-14 07:12  mvd

	* po/uk.po: Update Ukrainian translation

2008-07-13 12:11  majkl

	* po/am.po, po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po,
	  po/ca.po, po/cs.po, po/de.po, po/dz.po, po/el.po, po/en_GB.po,
	  po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gl.po, po/gu.po, po/he.po, po/hi.po,
	  po/hu.po, po/id.po, po/it.po, po/ja.po, po/ka.po, po/ko.po,
	  po/lt.po, po/lv.po, po/mk.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/ur.po, po/vi.po, po/xfwm4.pot, po/zh_CN.po,
	  po/zh_TW.po: Updated POT and PO files: New strings were added.
	  Czech translation file updated.

2008-07-07 08:09  olivier

	* src/menu.c: Set monitor when positionning menu (Bug #4162)

2008-06-26 22:09  maximilian

	* po/ChangeLog, po/gl.po: Translations added and updated for most
	  trunk packages (gl)

2008-06-25 11:57  olivier

	* src/events.c: Release events prior to opening the gtk menu to
	  avoid a deadlock

2008-06-22 10:57  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/id.po: update-po

2008-06-22 08:54  maximilian

	* po/ChangeLog, po/sk.po: xfwm4 Slovak translation update

2008-06-21 22:15  olivier

	* mcs-plugin/xfwm4_shortcuteditor.c: Add missing bits of patch from
	  bug #3595

2008-06-21 15:17  olivier

	* src/client.c, src/client.h, src/events.c, src/menu.c, src/menu.h,
	  src/netwm.c, src/netwm.h: Rework the window menu, add more
	  actions (above/normal/below, fullscreen/un-fullscreen)

2008-06-19 07:18  olivier

	* src/client.c, src/client.h, src/focus.c, src/settings.c: Make
	  focused opacity more efficient (although much simpler, but I
	  don't really like this feture anyway)

2008-06-18 20:43  olivier

	* src/events.c, src/focus.c, src/netwm.c, src/netwm.h: Rework focus
	  transitioning

2008-06-17 21:39  olivier

	* src/events.c: Small code reorg

2008-06-16 21:46  olivier

	* themes/... : Update themes

2008-06-16 21:17  olivier

	* src/client.c, src/netwm.c, src/workspaces.c: Remove workarounds
	  for older bugs, fixes side effects with Tk apps stealing focus on
	  pointer ungrab (Bug #4154)

2008-06-15 21:18  olivier

	* src/events.c: Use gdk/gtk+ callback mechanism to be notified of
	  screen/monitor changes, add support for XRandr 1.2

2008-06-15 11:30  olivier

	* src/focus.c: Set focus to the fallback window when relying only
	  on TakeFocus to avoid a race condition with the client
	  application

2008-06-05 21:30  olivier

	* themes/...: Small theme fix

2008-06-05 21:29  olivier

	* src/client.c, src/cycle.c, src/events.c, src/focus.c,
	  src/focus.h, src/moveresize.c, src/stacking.c, src/stacking.h:
	  Move iconified windows to the end of the focus ring, improve
	  focus management

2008-06-03 21:26  olivier

	* src/events.c, src/moveresize.c, src/netwm.c: Cleanup

2008-06-03 20:43  olivier

	* themes/default/README, themes/kokodi/README: Update themes README

2008-06-03 20:39  olivier

	* themes/...: Huh, the wrong stuff was commited yesterday...

2008-06-02 21:40  olivier

	* themes/kokodi/menu-prelight.png, themes/kokodi/menu-pressed.png:
	  Add missing bits

2008-06-02 21:40  olivier

	* themes/...: Fix svg

2008-06-02 21:07  olivier

	* themes/default/menu-pressed.png: Add missing bits

2008-06-02 21:07  olivier

	* themes/default/menu-prelight.png: Add missing bits

2008-06-02 21:00  olivier

	* themes/...: Re-add theme

2008-06-02 20:49  olivier

	* themes/...: Clean up the mess with
	  themes and svn

2008-06-02 20:28  olivier

	* configure.ac.in: Switch to libwnck (patch from Nick Schermer
	  nick@xfce.org, bug #3487)

2008-06-02 20:26  olivier

	* themes/...: Change theme

2008-06-02 20:23  olivier

	* themes/default.keys/keythemerc: Update default keytheme
	  accordingly

2008-06-02 20:22  olivier

	* mcs-plugin/Makefile.am, mcs-plugin/workspaces.c,
	  mcs-plugin/workspaces_plugin.c, mcs-plugin/xfwm4_plugin.h,
	  mcs-plugin/xfwm4_shortcuteditor.c, src/events.c,
	  src/moveresize.c, src/screen.c, src/settings.c, src/settings.h:
	  Change shortcuts to use the new move/resize system

2008-06-01 21:24  olivier

	* src/client.c, src/display.c, src/display.h, src/events.c,
	  src/menu.c, src/menu.h, src/moveresize.c, src/netwm.c,
	  src/screen.c, src/screen.h: Rework move/resize, better keyboard
	  operations, allow move/resize from menu and from taskbar - TODO:
	  Change keyboard shortcuts accordingly

2008-06-01 10:45  olivier

	* src/compositor.c: No need for xsync there

2008-06-01 10:25  olivier

	* src/tabwin.c: Capitalize class name, use brackets to show hidden
	  windows, decrease saturation for icons of hidden windows.

2008-06-01 09:24  olivier

	* src/client.c: Missing header

2008-05-31 23:45  olivier

	* src/screen.c: Make sure title height is initialized

2008-05-31 23:41  olivier

	* src/frame.c, src/icons.c, src/screen.h, src/settings.c,
	  src/tabwin.c: Use actual font metrics to compute font height as
	  it gives better results than layout extents, lighten icons of
	  iconified windows in tabwin selector.

2008-05-31 14:35  olivier

	* src/client.c, src/client.h, src/compositor.c, src/compositor.h,
	  src/cycle.c, src/cycle.h, src/display.c, src/display.h,
	  src/event_filter.c, src/event_filter.h, src/events.c,
	  src/events.h, src/focus.c, src/focus.h, src/frame.c, src/frame.h,
	  src/hints.c, src/hints.h, src/icons.c, src/icons.h,
	  src/keyboard.c, src/keyboard.h, src/main.c, src/menu.c,
	  src/menu.h, src/misc.c, src/misc.h, src/moveresize.c,
	  src/moveresize.h, src/mypixmap.c, src/mypixmap.h, src/mywindow.c,
	  src/mywindow.h, src/netwm.c, src/netwm.h, src/parserc.c,
	  src/parserc.h, src/placement.c, src/placement.h, src/poswin.c,
	  src/poswin.h, src/screen.c, src/screen.h, src/session.c,
	  src/session.h, src/settings.c, src/settings.h,
	  src/spinning_cursor.c, src/spinning_cursor.h, src/stacking.c,
	  src/stacking.h, src/startup_notification.c,
	  src/startup_notification.h, src/tabwin.c, src/tabwin.h,
	  src/transients.c, src/transients.h, src/ui_style.c,
	  src/ui_style.h, src/wireframe.c, src/wireframe.h,
	  src/workspaces.c, src/workspaces.h, src/xsync.c, src/xsync.h:
	  Update FSF address

2008-05-31 14:29  olivier

	* src/Makefile.am, src/client.c, src/cycle.c, src/cycle.h,
	  src/events.c, src/hints.c, src/hints.h, src/misc.c, src/misc.h,
	  src/moveresize.c, src/moveresize.h, src/netwm.c, src/xsync.c,
	  src/xsync.h: Split code to prepare further changes

2008-05-27 16:58  olivier

	* src/client.c, src/events.c: Revert previous change, not much of a
	  good idea, usability wise

2008-05-27 00:25  mmassonnet

	* po/ChangeLog, po/ja.po: update-po

2008-05-25 16:31  olivier

	* src/client.c, src/events.c: Do not raise/focus when window
	  buttons are pressed

2008-05-20 21:51  olivier

	* src/netwm.c, src/screen.c, src/workspaces.c: Fix gcc warnings
	  (bug #4095, Gauvain Pocentek <gauvainpocentek@gmail.com>

2008-05-19 18:24  olivier

	* src/compositor.c: Make sure to count only the fullscreen overlays
	  to be extra safe

2008-05-18 22:02  olivier

	* src/display.h, src/events.c, src/startup_notification.c: Make
	  sure to release keyboard events even when a modifier is released
	  before the regular key (bug #4072)

2008-05-18 16:14  olivier

	* src/compositor.c: Fix a bug in overlays counting causing
	  xscreensaver window to remain invisible (cont. bug #3849)

2008-05-17 16:41  olivier

	* src/compositor.c: Resize overlays on XRandr notification (bug
	  #3763)

2008-05-17 16:02  olivier

	* src/client.c, src/client.h, src/events.c: Take gravity bit into
	  account in configure resize only requests to comply with standard
	  (bug #3634)

2008-05-16 17:27  olivier

	* src/events.c: Actually, I believe it is safer to use CurrentTime
	  when releasing the event queue

2008-05-16 16:59  olivier

	* src/client.c: Take the direction into account before wrapping
	  workspaces (fixes bug #4090)

2008-05-15 21:51  olivier

	* src/events.c: Simpler

2008-05-15 21:22  olivier

	* src/events.c: Release pointer events as the pointer is grabbed in
	  synchronous mode.

2008-05-13 09:23  mmassonnet

	* po/ChangeLog, po/en_GB.po: update en_GB translations

2008-05-12 19:19  olivier

	* src/client.c, src/events.c, src/netwm.c, src/screen.c,
	  src/screen.h, src/workspaces.c: Trying to get rid of CurrentTime

2008-05-09 09:22  olivier

	* src/events.c: Make sure keyboard events are released, otherwise
	  processing may stay stuck now that we do sync grab on the
	  keyboard

2008-05-07 21:56  olivier

	* src/client.c, src/client.h, src/events.c, src/keyboard.c,
	  src/placement.c: Switch to synchronous key grab

2008-05-04 13:27  omaciel

	* po/ChangeLog, po/pt_BR.po: Updated Brazilian Portuguese
	  translation.

2008-05-04 01:50  omaciel

	* po/ChangeLog, po/pt_BR.po: Updated Brazilian Portuguese
	  translation

2008-05-02 08:13  olivier

	* src/placement.c: Restore maximize on move has been broken for a
	  while and nobody complains, too bad, it's a neat feature, let's
	  try to get it fixed.

2008-05-02 08:00  olivier

	* themes/default.keys/keythemerc: Missign bit from commit

2008-05-02 07:09  olivier

	* src/client.c, src/events.c: Do not filter out leave notify events
	  otherwize the frame buttons may remain in prelight state

2008-05-01 16:36  olivier

	* src/events.c, src/settings.c, src/settings.h, src/workspaces.c,
	  src/workspaces.h: Add adjacent workscape/delete active workspace
	  - Patch from xsdg <xsdg+xfcedev@mit.edu> (Bug #3595)

2008-04-30 20:52  olivier

	* src/client.c, src/events.c, src/screen.c: Fix grab count not
	  being decreased when pointer already grabbed by the client
	  application

2008-04-23 21:24  olivier

	* src/client.c, src/client.h, src/events.c, src/screen.c: Let see
	  if changing the grab improves things

2008-04-22 02:18  omaciel

	* po/ChangeLog, po/pt_BR.po: Updated Brazilian Portuguese
	  translation

2008-04-19 11:10  olivier

	* src/client.c, src/frame.c: Resync redraw when needed, avoid
	  display refresh issues with compositor

2008-04-12 09:54  mmassonnet

	* po/ChangeLog, po/lv.po: Update Latvian translation

2008-04-10 21:28  olivier

	* src/client.c, src/frame.c, src/frame.h, src/netwm.c,
	  src/settings.h: Redraw frame immediately in case of resize to
	  avoid confusing the compositor

2008-04-05 09:56  olivier

	* src/client.c, src/client.h, src/compositor.c, src/events.c,
	  src/focus.c, src/frame.c, src/frame.h, src/netwm.c: Implements
	  asynchronous frames update

2008-03-18 20:57  olivier

	* src/events.c: Rework keyboard grabs

2008-03-18 18:42  olivier

	* src/netwm.c: Do not confine struts values to 1/4 of the screen
	  size

2008-03-18 13:18  mmassonnet

	* po/ChangeLog, po/pt_PT.po: Update Portuguese translation

2008-03-05 04:11  mmassonnet

	* po/ChangeLog, po/zh_CN.po: Update Chinese translation

2008-02-18 01:37  mmassonnet

	* po/ChangeLog, po/fr.po: Update French translation + patch from
	  Gérald Barré

2008-02-13 22:33  olivier

	* src/focus.c: Pass mouse button grab at initial mapping to avoid
	  loosing the last ungrab

2008-02-13 13:53  jari

	* po/ChangeLog, po/fi.po: Fixed typo reported by Jarno Liimatainen.

2008-02-10 22:31  olivier

	* src/compositor.c: Bug fix with fullscreen overlays

2008-02-07 08:04  olivier

	* src/screen.c: Warning and errors should not ne localized

2008-02-06 22:51  olivier

	* src/main.c, src/screen.c, src/screen.h: Add a --replace option to
	  replace ICCCM2 compliant window managers (Bug #3731)

2008-01-24 22:39  olivier

	* src/events.c: Small cleanup

2008-01-21 22:33  olivier

	* src/display.c, src/events.c, src/screen.c: Exit on SelectionClear
	  event so that xfwm4 exits even with WM who do not send a
	  ClientMEssage event such as Openbox (bug #2374)

2007-12-23 16:01  pollux

	* po/ChangeLog, po/pt_PT.po: Updated Portuguese translations by
	  Nuno Miguel <nunis@netcabo.pt>

2007-12-19 22:48  maximilian

	* po/ChangeLog, po/de.po: German translation updates in trunk

2007-12-16 17:12  majkl

	* po/cs.po: Czech translations updated

2007-12-15 17:37  pollux

	* mcs-plugin/workspaces.c, mcs-plugin/workspaces.h,
	  mcs-plugin/workspaces_plugin.c,
	  mcs-plugin/xfwm4_shortcuteditor.c: * use XfceTitledDialog instead
	  of xfce_create_header
	  * fix a multiscreen bug by giving a parent to the edit workspace
	  name dialog

2007-12-12 22:33  olivier

	* src/compositor.c, src/screen.h: Rework the windows unredirection
	  to take advantage of the new overlay support

2007-12-11 22:14  olivier

	* src/compositor.c: Avoid infinite loop when damaging the overlay
	  window

2007-12-10 22:27  olivier

	* src/compositor.c, src/screen.h: Set depth/visual in overlay
	  output window

2007-12-09 11:22  olivier

	* defaults/defaults, mcs-plugin/wmtweaks_plugin.c,
	  src/compositor.c, src/display.h, src/frame.c, src/screen.h: Add
	  support for overlays from Composite extension version 0.3

2007-12-06 19:19  mmassonnet

	* po/ChangeLog, po/fr.po: fr.po: Fix typo (Peaufinage sans pluriel)

2007-12-03 21:44  olivier

	* src/events.c, src/keyboard.c: Rework key grabbing and release
	  events queued

2007-12-03 21:43  olivier

	* src/focus.c: Rework focus transition since now parents get raised
	  along with the transients - That makes things more predictible.

2007-12-03 21:41  olivier

	* src/hints.c: Remove trailing \0 in UTF-8 strings, that cause
	  libwnck to rightfully complain that NET_WM_NAME contains invalid
	  UTF-8

2007-12-02 16:49  maximilian

	* po/ChangeLog, po/de.po: Spanish translations branch updates and
	  German translations trunk updates

2007-11-19 00:33  stephan

	* po/nl.po: Update dutch translation

2007-11-19 00:24  stephan

	* po/ChangeLog, po/nl.po: Update dutch translation

2007-11-17 20:23  olivier

	* src/client.c: Filter out grab/ungrab events so we don't end up
	  redrawing the frame twice

2007-11-17 14:31  mmassonnet

	* po/ChangeLog, po/fr.po: fr.po: Rename name in .desktop files with
	  consistency

2007-11-15 09:14  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/ur.po: Add Urdu translations to
	  trunk (hope this is right *sigh*)

2007-11-11 03:25  mmassonnet

	* po/ChangeLog, po/lv.po: Update latvian

2007-11-10 20:28  olivier

	* themes/default-4.2/title-1-inactive.xpm: Missing quote

2007-11-07 22:33  olivier

	* ChangeLog: Update ChangeLog

2007-11-07 22:26  olivier

	* src/client.c, src/focus.c: Keep transients and parent together

2007-11-06 22:53  olivier

	* src/events.c: Revert to current time for releasing queued input
	  events (simpler, safer)

2007-11-06 22:52  olivier

	* src/client.c, src/display.c, src/display.h: Get highest user time
	  at initial client capture

2007-11-03 05:17  erenturkay

	* po/tr.po: * wops, wrong translation :)

2007-11-03 05:13  erenturkay

	* po/ChangeLog, po/tr.po: * update translation

2007-10-28 22:18  olivier

	* src/client.c, src/display.c, src/events.c: Remove warnings

2007-10-28 19:29  olivier

	* src/client.c, src/startup_notification.c, src/transients.c,
	  src/transients.h: Improve compatibily with libwnck tasklist

2007-10-28 17:14  olivier

	* src/display.c: Work around time going back (like broken clients
	  or clock change)

2007-10-25 21:47  olivier

	* src/client.c: Apply a patch from Andreas Lampersperger
	  <lampersperger.andreas@heidenhain.de> to improve ICCCM compliance
	  regarding synthetic ConfigureNotify event (Bug #3610)

2007-10-24 22:26  kelnos

	* configure.ac.in: remove trailing parens on AC_INIT version info
	  to work around bug
	  in intltool 0.35.x and 0.36.x

2007-10-20 18:30  olivier

	* src/netwm.c: Set all dock type windows sticky by default, a few
	  other window managers implement this behaviour and some apps rely
	  on this (bug #3609)

2007-10-06 17:00  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/lv.po: * libexo, libxfce4util,
	  xfcalendar, xfce4-panel, xfce4-session, xfce-mcs-plugins,
	  xfdesktop, xfprint, xfwm4: Add Latvian translation.

2007-10-01 18:19  mmassonnet

	* po/ChangeLog, po/de.po: * libxfcegui4, xfce4-panel, xfwm4,
	  xarchiver, xfcalendar: Update german
	  translation.

2007-09-30 08:54  paurullan

	* po/ChangeLog, po/ca.po: Some catalan updates

2007-09-25 17:40  mmassonnet

	* po/ChangeLog, po/ko.po: * xfce4-session, libxfcegui4, xfwm4,
	  xfcalendar, xfdesktop, terminal:
	  Update Korean translation by ByungHyun Choi

2007-09-22 22:08  olivier

	* src/hints.c: Some broken apps include control characters in their
	  window title name

2007-09-22 02:55  alnokta

	* po/ar.po: Updating Arabic translations

2007-09-20 21:24  mmassonnet

	* po/ChangeLog, po/nb_NO.po: * xfce4-session, xfce4-mixer, xfwm4:
	  Update nb_NO translations

2007-09-09 22:14  olivier

	* src/events.c: Do not focus dock windows that raise themselves
	  (why oh why would they do that anyway, heh?) to fix bug #3439
	  with Avant Window Navigator.

2007-09-09 21:09  nab

	* po/ChangeLog, po/be.po: 2007-09-10 Alexander Nyakhaychyk
	  <nyakhaychyk@gmail.com>
	  
	  * be.po: Updated Belarusian translation

2007-09-09 20:50  olivier

	* src/display.c, src/display.h, src/netwm.c: Add support for
	  NET_WM_ACTION_FULLSCREEN and NET_WM_ACTION_MINIMIZE

2007-09-07 22:18  olivier

	* src/client.c, src/focus.c, src/keyboard.c: Fix wrong focus
	  fallback if pending focus window disappears. Allow move/resize
	  using the mouse even if the keyboard grab fails (bug #3535).

2007-09-06 18:16  maximilian

	* po/ChangeLog, po/LINGUAS, po/am.po: Added a long waiting Amharic
	  translation for trunk.

2007-08-24 23:20  mmassonnet

	* po/ChangeLog, po/pt_PT.po: * po/pt_PT.po: European Portuguese
	  update

2007-08-11 18:49  majkl

	* po/cs.po: Updated Czech translations

2007-07-23 12:28  jari

	* po/ChangeLog, po/fi.po: Updated Finnish translation

2007-07-18 18:29  olivier

	* src/events.c: Do ReplayPointer on client window only, this is
	  actually a lot simpler

2007-07-17 18:10  olivier

	* src/events.c: Use event's timestamp when releasing queued events

2007-07-16 21:25  olivier

	* src/events.c: Release key events early

2007-07-16 21:25  olivier

	* src/netwm.c: Be compliant with EWMH standard that states: "If
	  _NET_WM_WINDOW_TYPE is not set, then windows with
	  WM_TRANSIENT_FOR set MUST be taken as NET_WM_WINDOW_TYPE_DIALOG".
	  It shouldn't make much difference in xfwm4 though.

2007-07-14 22:51  olivier

	* themes/...: Update theme

2007-07-14 03:04  daichi

	* po/ChangeLog, po/ja.po: Added/Updated Japanese translations.

2007-07-13 21:58  olivier

	* themes/...: Update theme

2007-07-13 11:30  piarres

	* po/ChangeLog, po/eu.po: squezze & xfwm4 basque translation
	  updates

2007-07-05 21:03  olivier

	* themes/default/themerc: Larger shadow

2007-07-04 18:12  olivier

	* themes/default/Makefile.am: Typo

2007-07-04 17:54  olivier

	* defaults/defaults, mcs-plugin/xfwm4_plugin.h: Adjust defaults

2007-07-04 17:51  olivier

	* themes/...: Promote
	  modified version of Kokodi theme as default theme

2007-07-04 17:49  olivier

	* configure.ac.in, themes/...: Theme
	  cleanup

2007-07-04 06:29  mvd

	* po/uk.po: Maxim Dziumanenko <dziumanenko@gmail.com>
	  
	  * Update Ukrainian translation by Dmitry Nikitin

2007-07-03 23:24  maximilian

	* po/ChangeLog, po/pt_BR.po: * Updated the Brazilian Portuguese
	  translation for Xfwm4 trunk and added the one for Squeeze.
	  * Added new European Portuguese translations for trunk.

2007-06-29 20:17  maximilian

	* po/ChangeLog, po/pt_PT.po: European Portuguese translations
	  update (trunk)

2007-06-27 22:02  olivier

	* src/screen.c, src/settings.h: Do not grab the Escape key by
	  default

2007-06-26 21:07  olivier

	* src/client.c, src/netwm.c: Be more relax with transients, allow
	  transients to be sticky independently of their parent window (Bug
	  #3296)

2007-06-24 17:54  olivier

	* src/client.c: Fix filling function being a no-op if not other
	  windows is visible, fix wrong computation size with struts on top
	  or right sides

2007-06-24 12:10  olivier

	* themes/daloa/themerc, themes/default/themerc,
	  themes/largeprint/themerc: Play with shadows

2007-06-24 09:33  olivier

	* src/client.c, src/screen.c, src/settings.c: Cleanup

2007-06-24 06:50  sas

	* po/hu.po: hu trunk: wm updates

2007-06-23 22:44  olivier

	* src/frame.c: A bit more of small cleanup

2007-06-23 22:28  olivier

	* src/settings.h: Typo

2007-06-23 19:28  erenturkay

	* po/ChangeLog, po/tr.po: update

2007-06-23 19:01  olivier

	* mcs-plugin/xfwm4_shortcuteditor.c, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/dz.po,
	  po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po, po/gu.po,
	  po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po, po/ka.po,
	  po/ko.po, po/lt.po, po/mk.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po:
	  Revert the name for shortcuts and update i18n

2007-06-23 18:47  olivier

	* src/settings.c, src/settings.h: Reorder to ease readability

2007-06-23 18:03  olivier

	* src/events.c, src/hints.c, src/screen.c: Cleanup

2007-06-23 17:59  olivier

	* src/client.c: Add support for Xinerama, struts, margins

2007-06-23 17:44  olivier

	* src/client.c: Computes the right size when filling

2007-06-23 17:30  olivier

	* src/client.c: Use proper frame*() functions

2007-06-23 17:14  olivier

	* src/client.c: Some fixes to previous patch, needs more (Xinerama
	  support, struts, use proper frame* function instead of using
	  Client fields)

2007-06-23 16:50  olivier

	* mcs-plugin/workspaces.c, mcs-plugin/xfwm4_plugin.c,
	  mcs-plugin/xfwm4_plugin.h, mcs-plugin/xfwm4_shortcuteditor.c,
	  src/client.c, src/client.h, src/events.c, src/frame.c,
	  src/screen.c, src/settings.c, src/settings.h,
	  themes/default.keys/keythemerc: Add window fill function (Bug
	  #2319), patch from Stephan Arts (psybsd@gmail.com) applied with
	  changes

2007-06-21 22:21  olivier

	* src/client.c, src/display.c, src/display.h, src/hints.c,
	  src/hints.h, src/mypixmap.c: Fix xfwm4 hanging with gtk+-2.11.x
	  (Bug #3346) - Patch based on a similar fix for Metacity, see
	  gnome bug #354213

2007-06-20 22:00  piarres

	* po/ChangeLog, po/eu.po: xfwm4 basque translation update

2007-06-20 20:33  maximilian

	* po/ChangeLog, po/en_GB.po: * en_GB.po: British English
	  translations updated for trunk
	  * ka.po: Georgian translation update for Xfce 4.4
	  * nl.po: Updated xfcalendar's Dutch translation for Xfce 4.4

2007-06-17 07:28  olivier

	* src/screen.c: Add missing pixmap inits

2007-06-16 23:15  olivier

	* src/client.c, src/display.h, src/frame.c, src/frame.h,
	  src/settings.c: Plug a pixmap leak in the new button prelight
	  code, and a grab that was leaking since 4.2.

2007-06-13 22:20  olivier

	* src/client.c, src/client.h, src/frame.c, src/settings.c: A bit
	  more cleanup and stuff

2007-06-12 23:03  olivier

	* src/client.c, src/client.h, src/compositor.c, src/compositor.h,
	  src/display.c, src/display.h, src/event_filter.c,
	  src/event_filter.h, src/events.c, src/events.h, src/focus.c,
	  src/focus.h, src/frame.c, src/frame.h, src/hints.c, src/hints.h,
	  src/icons.c, src/icons.h, src/keyboard.c, src/keyboard.h,
	  src/main.c, src/menu.c, src/menu.h, src/misc.c, src/misc.h,
	  src/mypixmap.c, src/mypixmap.h, src/mywindow.c, src/mywindow.h,
	  src/netwm.c, src/netwm.h, src/parserc.c, src/parserc.h,
	  src/placement.c, src/placement.h, src/poswin.c, src/poswin.h,
	  src/screen.c, src/screen.h, src/session.c, src/session.h,
	  src/settings.c, src/settings.h, src/spinning_cursor.c,
	  src/spinning_cursor.h, src/stacking.c, src/stacking.h,
	  src/startup_notification.c, src/startup_notification.h,
	  src/tabwin.c, src/tabwin.h, src/transients.c, src/transients.h,
	  src/ui_style.c, src/ui_style.h, src/wireframe.c, src/wireframe.h,
	  src/workspaces.c, src/workspaces.h: Rework a bit the code for
	  hilight and frame drawing

2007-06-12 19:14  olivier

	* src/client.c: Keep button hilighted after a press if relevant

2007-06-11 22:04  olivier

	* themes/...: Add missing files
	  to svn

2007-06-11 22:00  olivier

	* NEWS: Update NEWS

2007-06-11 21:54  olivier

	* themes/...: ...and update some
	  themes to use it.

2007-06-11 21:53  olivier

	* src/client.c, src/client.h, src/compositor.c, src/display.c,
	  src/display.h, src/events.c, src/frame.c, src/mywindow.c,
	  src/mywindow.h, src/screen.c, src/screen.h, src/settings.c,
	  src/stacking.c, src/transients.c: Add support for button prelight
	  in windows frame

2007-06-11 21:10  maximilian

	* po/ChangeLog, po/de.po: * de.po: Small fix in the xfce4-session
	  package and updated the xfcalendar and xfwm4 translations

2007-06-10 23:25  maximilian

	* po/ChangeLog, po/fr.po: * nb_NO: Updated some Norwegian
	  translations and added one for Xfmedia
	  * pt_PT: Added European Portuguese translations
	  * Changed my email address

2007-06-03 16:14  olivier

	* src/frame.c: Use full height for regular title pixmap

2007-06-03 15:35  olivier

	* src/placement.c, src/placement.h: Fix dialogs and modals without
	  parents not being automatically centered like before (#Bug #3278)

2007-06-03 09:44  olivier

	* src/client.c, src/display.h, src/frame.c, src/screen.c,
	  src/settings.c, src/settings.h: Try to make things less confusing

2007-06-02 23:52  olivier

	* AUTHORS, NEWS, src/client.c, src/client.h, src/display.c,
	  src/display.h, src/events.c, src/frame.c, src/frame.h,
	  src/screen.c, src/screen.h, src/settings.c, src/settings.h: Add
	  resize from top of window, based on a patch by Phil Vandry
	  <vandry@tzone.org>, reworked to allow compatibility with
	  unchanged themes, bug fixes, and various improvements

2007-05-09 20:55  olivier

	* mcs-plugin/margins.c, mcs-plugin/margins.h,
	  mcs-plugin/wmtweaks_plugin.c, mcs-plugin/workspaces.c,
	  mcs-plugin/workspaces.h, mcs-plugin/workspaces_plugin.c,
	  mcs-plugin/workspaces_plugin.h, mcs-plugin/xfwm4_plugin.c,
	  mcs-plugin/xfwm4_plugin.h, mcs-plugin/xfwm4_shortcuteditor.c,
	  mcs-plugin/xfwm4_shortcuteditor.h, src/client.c, src/client.h,
	  src/compositor.c, src/compositor.h, src/display.c, src/display.h,
	  src/event_filter.c, src/event_filter.h, src/events.c,
	  src/events.h, src/focus.c, src/focus.h, src/frame.c, src/frame.h,
	  src/hints.c, src/hints.h, src/icons.c, src/icons.h,
	  src/keyboard.c, src/keyboard.h, src/main.c, src/menu.c,
	  src/menu.h, src/misc.c, src/misc.h, src/mypixmap.c,
	  src/mypixmap.h, src/mywindow.c, src/mywindow.h, src/netwm.c,
	  src/netwm.h, src/parserc.c, src/parserc.h, src/placement.c,
	  src/placement.h, src/poswin.c, src/poswin.h, src/screen.c,
	  src/screen.h, src/session.c, src/session.h, src/settings.c,
	  src/settings.h, src/spinning_cursor.c, src/spinning_cursor.h,
	  src/stacking.c, src/stacking.h, src/startup_notification.c,
	  src/startup_notification.h, src/tabwin.c, src/tabwin.h,
	  src/transients.c, src/transients.h, src/ui_style.c,
	  src/ui_style.h, src/wireframe.c, src/wireframe.h,
	  src/workspaces.c, src/workspaces.h: Cleanup

2007-05-09 19:54  olivier

	* themes/...: New default and
	  largeprint themes

2007-05-09 19:51  olivier

	* mcs-plugin/xfwm4_shortcuteditor.c, src/events.c, src/screen.c,
	  src/settings.c, src/settings.h, themes/default.keys/keythemerc:
	  Add shortcut for above state (Bug #629)

2007-05-02 21:08  olivier

	* src/keyboard.c: Code cleanup

2007-05-02 05:40  olivier

	* src/keyboard.c: Fix memleak in modifier mapping

2007-05-01 22:22  olivier

	* src/keyboard.c: Change modifier mapping (Bug #3194)

2007-05-01 15:24  olivier

	* src/keyboard.c: Small cleanup

2007-05-01 15:08  olivier

	* src/keyboard.c: Small cleanup

2007-05-01 14:32  olivier

	* src/events.c, src/keyboard.c, src/keyboard.h: Revert to modifier
	  mapping from xfwm4 version 4.0 (Bug #3194)

2007-04-27 21:33  olivier

	* themes/...: Theme stuff

2007-04-27 20:01  olivier

	* src/events.c, src/settings.h: Fix wrong count of key shortcut
	  causing switch to last workspace on modifier key press if no
	  window is focused (Bug #3191)

2007-04-27 07:13  sas

	* po/hu.po: hu trunk: wm @ squeeze updated

2007-04-26 20:00  olivier

	* themes/...: Add lighter frame
	  around window

2007-04-26 19:58  olivier

	* Makefile.am: For some reason, the spec file was removed from
	  'extra dist' and therefore 'make rpm' fails.

2007-04-22 21:02  olivier

	* src/stacking.c: Fix strick bound checking causing wrong window to
	  be focused in focus follow mouse (Bug #2781)

2007-04-20 21:28  olivier

	* src/transients.c: Transients for group shouldn't apply to other
	  transients, or it breaks stacking for some apps, noticeably
	  mozilla "save as" dialog...

2007-04-19 20:45  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/dz.po, po/el.po, po/en_GB.po, po/eo.po,
	  po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po,
	  po/fr.po, po/gl.po, po/gu.po, po/he.po, po/hi.po, po/hu.po,
	  po/it.po, po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/mk.po,
	  po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot,
	  po/zh_CN.po, po/zh_TW.po: Update po

2007-04-19 20:28  olivier

	* ChangeLog: Update ChangeLog

2007-04-19 20:21  olivier

	* mcs-plugin/wmtweaks_plugin.c: Fix spacing between items in the
	  wmtweaks dialog

2007-04-19 20:20  olivier

	* src/placement.c: Fix mouse placement

2007-04-18 20:29  olivier

	* mcs-plugin/wmtweaks_plugin.c, src/placement.c: Improve placement
	  mode

2007-04-17 21:14  olivier

	* mcs-plugin/wmtweaks_plugin.c: Minus the typos

2007-04-17 21:11  olivier

	* defaults/defaults, mcs-plugin/wmtweaks_plugin.c, src/placement.c,
	  src/settings.c, src/settings.h: Add an option to open new windows
	  under the mouse (Bug #3155)

2007-04-14 12:19  olivier

	* ChangeLog: Update change log

2007-04-13 13:35  mvd

	* po/ChangeLog, po/uk.po: 2007-04-13 Maxim Dziumanenko
	  <dziumanenko@gmail.com>
	  
	  * Update Ukrainian translation by Dmitry Nikitin.

2007-04-11 22:32  olivier

	* src/frame.c: Fix stupid typo

2007-04-11 11:51  stephan

	* po/ChangeLog, po/en_GB.po: Updated British translation by Jeff
	  Bailes <thepizzaking at gmail dot com>

2007-04-10 18:47  maximilian

	* po/ChangeLog, po/de.po: * de.po: Updated xfwm4's German
	  translation in trunk
	  * Updated AUTHORS file in xfce-utils trunk and branch 4.4

2007-04-10 10:59  olivier

	* themes/...: Fix xpm

2007-04-09 13:50  maximilian

	* po/de.po, po/fr.po: * *.po: Updated .pot and .po files for
	  Xfdesktop and Xfwm4
	  * de.po: Updated xfwm4's German file in trunk
	  * fr.po: Fixed headers in 4.4 branch
	  * Updated xfce-utils AUTHORS file for trunk and 4.4 branch

2007-04-09 10:05  maximilian

	* po/fr.po: * fr.po: Fixed typos and style in the French
	  translation of Terminal's manual
	  * Changed my email address in all the fr.po files in trunk and
	  4.4

2007-04-08 15:49  olivier

	* ChangeLog, NEWS, src/event_filter.c, src/event_filter.h,
	  src/events.c: Rework the event filter to avoid passing all events
	  top gtk+

2007-04-08 12:49  olivier

	* themes/...: Use lighter gradient in
	  title bar

2007-04-07 23:28  stephan

	* po/ChangeLog, po/nl.po: Updated Dutch translations

2007-04-07 22:07  maximilian

	* po/ChangeLog, po/fr.po: Complete rewrite with updated images of
	  the French translation for Xfdesktop's manual, trunk and 4.4.
	  Updated some translations in trunk.

2007-04-06 19:32  olivier

	* defaults/defaults: Missing default

2007-04-06 19:31  olivier

	* themes/...: Update themes

2007-04-06 19:29  olivier

	* src/netwm.c, src/transients.c: Treat dialogs and utility windows
	  as transient for group

2007-04-06 06:30  sas

	* po/hu.po: Hungarian 4.4 fixes

2007-04-05 13:41  paurullan

	* po/ChangeLog, po/ca.po: i18n catalan update

2007-04-02 19:19  olivier

	* src/display.c, src/display.h, src/frame.c: Add support for shape
	  input with XShape extension 1.1 (Bug #3092)

2007-04-02 12:34  erenturkay

	* po/ChangeLog, po/tr.po: update tr.po

2007-04-01 14:24  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/dz.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gl.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/mk.po, po/mr.po,
	  po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot,
	  po/zh_CN.po, po/zh_TW.po: Update po

2007-04-01 14:22  olivier

	* defaults/defaults, mcs-plugin/wmtweaks_plugin.c, src/client.c,
	  src/events.c, src/settings.c, src/settings.h: Implement a better
	  (usability) fix for windows that raise themselves (Bug #2961)

2007-03-28 20:51  maximilian

	* po/ChangeLog, po/de.po, po/en_GB.po: * de.po: Nico Schümann minor
	  fixes to the German translations
	  * en_GB.po: Jeff Bailes updated the British English translations
	  for trunk and branches

2007-03-25 11:04  daichi

	* po/ChangeLog, po/mk.po: Removed executable attribute.

2007-03-18 10:38  erenturkay

	* po/ChangeLog: update ChangeLog

2007-03-17 09:25  olivier

	* mcs-plugin/wmtweaks_plugin.c: Do not set toggle workspace by
	  default as it seems it confuse newcomers.

2007-03-15 22:28  olivier

	* src/stacking.c, src/workspaces.c: Check only visible windows to
	  see if client is on top of stack (bug #2960)

2007-03-15 21:15  olivier

	* configure.ac.in, themes/...: Reorg themes

2007-03-15 21:09  olivier

	* themes/default-4.4, themes/mopti: Rename 4.4 theme

2007-03-15 21:07  olivier

	* themes/kokodi: Restore Kokodi theme

2007-03-13 21:47  olivier

	* themes/...: Simpler, even more boring default theme.

2007-03-13 21:39  olivier

	* mcs-plugin/xfwm4_plugin.c, src/client.c, src/settings.c: Make the
	  title button in the xfwm4 settings manager dragable, patch from
	  Peter de Ridder <cavalier38@gmail.com>, bug #3000)

2007-03-11 21:41  olivier

	* src/focus.c: No need to pass the client, we keep track ot it
	  separately to be able to cancel the delayed focus

2007-03-10 21:00  olivier

	* src/client.c, src/events.c, src/focus.c, src/focus.h: Remove
	  roundtrip

2007-03-08 21:46  olivier

	* src/events.c, src/focus.c, src/focus.h, src/stacking.c,
	  src/stacking.h: Rework delayed focus

2007-03-07 21:57  olivier

	* src/settings.c: Indent

2007-03-07 21:57  olivier

	* AUTHORS, mcs-plugin/xfwm4_plugin.c, mcs-plugin/xfwm4_plugin.h,
	  po/fr.po, src/events.c, src/settings.c, src/settings.h: Apply
	  patch from ay THO <thobouli@yahoo.fr> that adds focus delay in
	  focus follow mode (Bug #2982).

2007-03-07 21:04  olivier

	* src/client.c, src/netwm.c: Update frame extents when the window
	  decoration extents change.

2007-03-07 21:01  olivier

	* src/client.c: Fix a misinterpretation of ICCCM about when to send
	  a synthetic configureNotify event (bug #2977).

2007-03-07 20:59  olivier

	* src/netwm.c: Place splash screen windows on the normal layer, so
	  that dialogs that get mapped during startup have a chance to be
	  placed above the splash screen.

2007-03-04 07:20  erenturkay

	* po/tr.po: update Turkish translation

2007-03-03 21:36  olivier

	* defaults/defaults, mcs-plugin/wmtweaks_plugin.c, src/client.c,
	  src/events.c, src/settings.c, src/settings.h: Add new wm tweak
	  option to instruct xfwm4 not to bring window back on current
	  workspace when activated (bug #2961)

2007-03-03 09:42  mvd

	* po/uk.po: 2007-03-01 Maxim Dziumanenko <dziumanenko@gmail.com>
	  
	  * Update Ukrainian translation.

2007-03-02 21:34  olivier

	* src/workspaces.c: Raise focused window on workspace switch (bug
	  #2960)

2007-03-01 21:32  olivier

	* src/events.c, src/misc.c, src/workspaces.c: Sort Z-order on
	  workspace change (bug #2960)

2007-02-24 20:12  olivier

	* themes/...: Sync themes

2007-02-13 20:25  olivier

	* mcs-plugin/xfwm4_shortcuteditor.c, src/keyboard.c: Add support
	  for keycode when no keysym is available (bug #2503)

2007-02-12 20:25  olivier

	* defaults/defaults, mcs-plugin/wmtweaks_plugin.c,
	  src/compositor.c, src/settings.c, src/settings.h,
	  ... themes/largeprint/themerc: Add an option
	  to show/hide shadows on dock-type windows

2007-02-11 22:39  olivier

	* themes/...: Fix gradients for themes

2007-02-11 22:34  olivier

	* themes/...: Fix gradients for themes

2007-02-11 22:11  olivier

	* themes/...: Use larger title width
	  for LargePrint theme.

2007-02-11 14:25  olivier

	* themes/...: Use larger border width for LargePrint theme

2007-02-10 18:56  maximilian

	* po/ChangeLog, po/LINGUAS: Verified all LINGUAS files and added
	  Albanian language to it.

2007-02-08 22:41  alnokta

	* po/ChangeLog: Adding information to the ChangeLog

2007-02-08 22:40  alnokta

	* po/ar.po: 190 strings, 0 fuzzy, 0 not translated. initial commit.

2007-02-07 14:28  maximilian

	* po/ChangeLog, po/zh_CN.po: Same as before but in trunk now.

2007-02-06 11:14  olivier

	* themes/...: Theme stuff

2007-02-04 21:44  olivier

	* themes/...: Reorg themes for trunk

2007-02-04 21:26  olivier

	* configure.ac.in: Update configure script

2007-02-04 21:19  olivier

	* themes/kokodi: Reorg themes for trunk

2007-02-04 21:18  olivier

	* themes/Makefile.am, themes/...: Reorg themes for trunk

2007-02-01 20:45  olivier

	* themes/default/themerc: Enlarge shadow

2007-01-29 20:46  olivier

	* INSTALL: Remove the INSTALL file from SVN as we ship the default
	  file that gets updated by autogen.sh

2007-01-29 20:33  olivier

	* src/client.c: Remve small lag before icon update at first map and
	  when updating all frames at once

2007-01-25 19:07  maximilian

	* po/ChangeLog, po/sq.po: Added the Albanian translations by Besnik
	  Bleta for the core packages. Updated some French translations

2007-01-24 21:42  olivier

	* NEWS, configure.ac.in, src/client.c, src/client.h, src/events.c,
	  src/frame.c, src/frame.h: Use timeout for frame redraw, check
	  actual WM name changes to work around apps that falsely update
	  their WM name property (Bug #2810).

2007-01-21 14:08  maximilian

	* po/ChangeLog, po/ro.po: * fr.po: Minor changes to the French
	  translations
	  in xfce-utils, libxfce4util and mousepad
	  * pl.po: Updated the Polish translation by Szymon Kałasz
	  <szymon_maestro@gazeta.pl>
	  in thunar and mousepad.
	  * ro.po: Updated the Romanian translation by Mişu Moldovan
	  <dumol@gnome.ro>
	  in most core packages.

2007-01-20 18:19  benny

	* INSTALL, configure.ac.in, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/dz.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/gl.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/it.po, po/ja.po, po/ka.po, po/ko.po,
	  po/lt.po, po/mk.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Bump version. Update
	  NEWS. Update Project-Id-Version.

2007-01-20 16:35  gnu_sylvain

	* po/ChangeLog, po/eo.po: Updated Esperanto translations.

2007-01-20 03:24  nab

	* po/ChangeLog, po/be.po: 2007-01-20 Alexander Nyakhaychyk
	  <nyakhaychyk@gmail.com>
	  
	  * be.po: Updated Belarusian Translation

2007-01-19 21:45  olivier

	* configure.ac.in: Update version

2007-01-19 19:57  olivier

	* NEWS: Beuh, wrong version numbers

2007-01-19 19:47  olivier

	* NEWS: Update news file

2007-01-19 18:06  olivier

	* ChangeLog: Update ChangeLog

2007-01-19 18:01  olivier

	* themes/default/themerc: A bit more of shadow

2007-01-19 01:13  nab

	* po/ChangeLog, po/be.po: 2007-01-19 Alexander Nyakhaychyk
	  <nyakhaychyk@gmail.com>
	  
	  * be.po: Updated Belarusian Translation

2007-01-18 23:10  eulex

	* po/ChangeLog, po/sv.po: Updated Swedish translations for:
	  * libexo
	  * libxfcegui4
	  * mousepad
	  * thunar
	  * xfcalendar
	  * xfce4-appfinder
	  * xfce4-panel
	  * xfce-mcs-plugins
	  * xfce-utils
	  * xfdesktop
	  * xfprint
	  * xfwm4
	  
	  Also thus updated appropriate ChangeLog files.

2007-01-17 20:23  olivier

	* themes/...: Use smaller title height, as requested on devel irc 
	  channel...

2007-01-16 22:24  olivier

	* configure.ac.in, themes/Makefile.am, themes/default/Makefile.am,
	  themes/kokodi/Makefile.am: Switch themes

2007-01-16 22:19  olivier

	* themes/default, themes/mopti: Mess up with svn

2007-01-16 22:19  olivier

	* themes/default, themes/kokodi: Mess up with svn

2007-01-16 22:05  olivier

	* themes/daloa/Makefile.in, themes/mopti/Makefile.in: Remove
	  generated files

2007-01-16 21:59  olivier

	* INSTALL, defaults/defaults, mcs-plugin/xfwm4_plugin.h,
	  ... themes/mopti/Makefile.in: Use OT|SHMC
	  as default button layout as suggested on irc

2007-01-12 17:43  olivier

	* src/events.c, themes/daloa/Makefile.in, themes/mopti/Makefile.in:
	  Use screen from xevent instead of client for keypress (Bug #2749)

2007-01-11 20:25  olivier

	* src/events.c: Minor code reorg

2007-01-11 20:13  olivier

	* src/events.c: Raise/focus when using alt+left-click for resize
	  for consistency with move

2007-01-10 20:50  olivier

	* src/netwm.c: Be more permissive toward stick/unstick (bug #2735)

2007-01-08 21:02  olivier

	* src/events.c: Ignore focus stealing prevention between windows of
	  the same group or between windows that have a transient
	  relationship.

2007-01-07 20:23  olivier

	* src/client.c, src/events.c, src/netwm.c, src/screen.c,
	  src/screen.h, src/workspaces.c: Rework grab release (trying to
	  fix bug #2694)

2007-01-07 18:54  olivier

	* src/compositor.c: Add some comments to help reading the code

2007-01-05 17:37  aalam

	* po/pa.po: updating translation for Punjabi

2007-01-05 03:19  maximilian

	* po/ChangeLog, po/de.po: Updated the German translations by Fabian
	  Nowak for a few packages and updated the French translation of
	  libexo.

2007-01-03 17:58  olivier

	* src/client.c, themes/daloa/Makefile.in, themes/mopti/Makefile.in:
	  Fix display of ARGB32 windows with compositing enabled but
	  without compositor active.

2007-01-02 19:13  olivier

	* src/netwm.c: Apply NET_WM_STATE_DEMANDS_ATTENTION changes
	  (otherwise it breaks xfwm4 demand attention mechanism), but do
	  not obey client state change requests for
	  NET_WM_STATE_DEMANDS_ATTENTION if the client is already focused.

2007-01-02 13:27  maximilian

	* po/ChangeLog, po/be.po: Updated the Belarusian translations by
	  Alexander Nyakhaychyk for the xfce4-session, xfdesktop and xfwm4
	  packages. Made small corrections in thunar and terminal french
	  translations.

2007-01-01 09:05  olivier

	* themes/stoneage/bottom-right-inactive.xpm: Apply patch from Mike
	  Massonnet that fixes an error in Stonage decoration theme (Bug
	  #2696)

2006-12-30 21:58  olivier

	* src/netwm.c: Do not apply NET_WM_STATE_DEMANDS_ATTENTION if
	  client is already focused, as some apps seem to request
	  NET_WM_STATE_DEMANDS_ATTENTION state even while focused (See
	  comment #14 in bug #2678)

2006-12-25 11:14  maximilian

	* po/ChangeLog, po/LINGUAS, po/mk.po: Added the new translations
	  from the Macedonian team for plenty of packages, Merry Christmas

2006-12-23 20:46  olivier

	* src/events.c: Set the demands attention flag with focus
	  prevention enabled only (Bug #2678)

2006-12-23 15:21  olivier

	* src/netwm.c: Forgot to update the NET_WM_STATE when the client
	  requests an update of NET_WM_STATE_DEMANDS_ATTENTION (Bug #2678)

2006-12-22 20:55  olivier

	* src/focus.c: Use an existing convenient macro instead of simple
	  value comparison to compare time stamps.

2006-12-22 20:21  olivier

	* src/client.h, src/focus.c: Focus the internal fallback window
	  when focus is transfered to a window that doesn't have InputHint
	  set but still use WM_PROTOCOLS_TAKE_FOCUS (ie, there is no way
	  for the window manager to tell whether or not the client will
	  accept focus in the end since focus is set by the client alone
	  through the 'take focus' mechanism) - Fix bug #1853 without
	  breaking #2410

2006-12-20 22:20  olivier

	* themes/daloa/Makefile.in: Add missing makefile.in

2006-12-20 20:58  olivier

	* themes/...: SVG update and cleanup

2006-12-19 22:04  olivier

	* src/client.c: No need to redraw if not visible

2006-12-19 21:54  olivier

	* src/client.c, src/compositor.c: Fix redraw problem with
	  compositor

2006-12-19 21:37  olivier

	* src/client.c, src/client.h, src/events.c: Update application icon
	  asynchronously to avoid queuing useless icon updates
	  (Ubuntu/Launchpad bug #61424)

2006-12-17 21:02  olivier

	* themes/...: Revert top hilight gradient that was changed by accident

2006-12-17 08:45  olivier

	* themes/...: Mass update of svg files

2006-12-17 00:48  olivier

	* configure.ac.in, themes/...: Add "mopti" similar to RC2
	  default theme, recreate PNG from SVG using latest librsvg based
	  on cairo.

2006-12-16 23:40  stephan

	* po/nl.po: updated xfwm4 translation

2006-12-15 07:44  stephan

	* po/nl.po: Updated Dutch xfwm4 translation

2006-12-14 21:57  olivier

	* ChangeLog: Update ChangeLog

2006-12-14 21:49  olivier

	* src/client.c, src/display.c, src/events.c, src/focus.c,
	  src/focus.h, src/hints.c, src/stacking.c: Fix user focus timetamp
	  being falsely reset to 0 causing some windows to be started
	  un-focused (Bug #2664), re-add some traces (which compile with
	  -Werror this time), small code/api cleanup.

2006-12-14 19:40  olivier

	* src/client.h, src/compositor.c: Remove shadow on dock-type
	  windows (bug #2648),
	  prevent fullscreen windows from beeing maximized (Bug #2663).

2006-12-13 22:01  olivier

	* src/client.c, src/client.h, src/display.c, src/display.h,
	  src/events.c, src/events.h, src/focus.c, src/focus.h,
	  src/hints.c, src/hints.h, src/main.c, src/misc.h,
	  src/workspaces.c, src/workspaces.h: Fix build with -Werror,
	  remove some useless #includes and add some others (actually,
	  time.h and sys/time.h were not required since Time is defined in
	  X.h anyway).

2006-12-13 20:15  olivier

	* src/client.c, src/display.c, src/display.h, src/events.c,
	  src/focus.c, src/focus.h, src/hints.c, src/main.c, src/screen.c,
	  src/screen.h, src/stacking.c, src/workspaces.c, src/workspaces.h:
	  Use timestamp provided by NET_ACTIVE_WINDOW and
	  NET_CURRENT_DESKTOP messages from EWMH version 1.3 and above, fix
	  focus transition with NET_CURRENT_DESKTOP messages causing either
	  flickering or wrong restacking on workspace switch (bug #2654),
	  fix serious bug introduced with previous commit causing xfwm4 to
	  quit on any selection MESSAGE notify.

2006-12-12 20:07  olivier

	* src/events.c, src/screen.c: Quit nicely when MANAGE client
	  message is received, so that xfwm4 obeys to ICCCM2 standard (bug
	  #2374)

2006-12-10 21:48  olivier

	* src/events.c, src/focus.c: Fix demands attention being activated
	  when it shouldn't, add more traces

2006-12-07 19:45  olivier

	* src/events.c: Fix a bug introduced with last commit.

2006-12-06 21:39  olivier

	* src/events.c, src/focus.c, src/focus.h: Improve focus stealing
	  prevention.

2006-12-06 06:47  olivier

	* src/placement.c: Auto-maximize regular windows only.

2006-12-05 20:00  olivier

	* src/client.c, src/client.h, src/events.c, src/netwm.c,
	  src/netwm.h: Be a lot more paranoid about what broken apps set as
	  struts.

2006-12-04 20:31  olivier

	* src/compositor.c, src/events.c: Plug a huge X resources leak in
	  handleMappingNotify () (bug #2618)

2006-12-01 21:03  olivier

	* themes/...: SVG themes update

2006-11-30 20:46  olivier

	* configure.ac.in: Increment xfwm4 version to avoid confusion

2006-11-30 20:24  olivier

	* themes/...: Full height buttons

2006-11-30 20:11  olivier

	* src/compositor.c, src/display.h: Add some internal flags and
	  comments in compositor to help reading the code

2006-11-30 20:10  olivier

	* themes/...: Update themes

2006-11-30 20:09  olivier

	* src/client.h: Do not prevent stick when skip taskbar is set

2006-11-30 18:23  stavrosg

	* po/ChangeLog, po/el.po: E-mail address change. Sorry for the
	  noise.

2006-11-29 20:58  olivier

	* themes/...: Redo Daloa theme using SVG

2006-11-28 21:39  olivier

	* themes/...: Round lower shadows in corner

2006-11-28 18:45  olivier

	* themes/...: Much brighter top light
	  reflection.

2006-11-27 20:33  olivier

	* src/focus.c: Re-enable focus passing to previously focused window
	  (req. on ML)

2006-11-27 18:31  olivier

	* src/events.c: Focus windows that raise themselves if focus
	  stealing prevention is disabled, and set demands attention flag
	  otherwise, that should improve focus prevention.

2006-11-27 18:30  olivier

	* src/display.c: Remove debug code committed by mistake

2006-11-26 22:01  olivier

	* themes/...: Put back top reflection

2006-11-26 18:49  paurullan

	* po/ChangeLog, po/ca.po: i18n catalan update

2006-11-26 18:38  olivier

	* themes/...: Back to previous theme.

2006-11-26 17:21  olivier

	* themes/...: Hilight/shadow

2006-11-25 22:02  olivier

	* themes/...: Add a top hilight

2006-11-25 20:15  olivier

	* themes/...:

2006-11-25 12:46  olivier

	* themes/...: Use positive gradient in title bar

2006-11-25 12:46  olivier

	* src/client.c: Rework resize a bit

2006-11-24 20:18  olivier

	* src/events.c: Put back raise on focus timeout

2006-11-24 20:12  olivier

	* themes/...: Theme stuff

2006-11-24 20:11  olivier

	* src/client.c, src/client.h, src/events.c, src/focus.c,
	  src/focus.h: Small code reorg, disable raising of windows when on
	  FocusIn event.

2006-11-23 21:54  olivier

	* src/compositor.c: Humm, don't cancel existing timeouts, it's
	  safer...

2006-11-23 21:40  olivier

	* src/compositor.c: Add a small optimization

2006-11-23 21:26  olivier

	* src/workspaces.c: Keep focus on sticky windows only for regular
	  windows w/out skip taskbar/pager property (Bug 2603)

2006-11-22 20:42  olivier

	* src/client.c: Reorg. the code a bit, not sure what I'll do with
	  those changes, though.

2006-11-21 22:34  olivier

	* src/client.c: Improve resize (Bug #2597)

2006-11-21 20:47  olivier

	* src/client.c, src/frame.c, src/placement.c: Be more permissive
	  with resizes towards struts (Bug #2597, bis), optimize shape use.

2006-11-20 22:15  olivier

	* src/client.c: Be more permissive with resizes towards struts (Bug
	  #2597)

2006-11-20 21:52  olivier

	* src/client.c: Be more permissive with keyboard resizes towards
	  struts (Bug #2597)

2006-11-20 19:59  olivier

	* src/placement.c: Fix off-by-one causing windows to be moved
	  wrongly via keyboard (patch from Darren Salt
	  <linux@youmustbejoking.demon.co.uk>, bug #2594)

2006-11-19 13:30  olivier

	* themes/...: Revert to 27 pix. height
	  after all.

2006-11-18 21:51  olivier

	* themes/...: Larger title too, as screen tend to get larger

2006-11-18 21:42  olivier

	* themes/...: Enlarge window borders to 6 pixels to improve usability 
	  of the default theme on larger screens

2006-11-16 01:18  yuvaltanny

	* po/he.po: Updated Hebrew translations

2006-11-14 20:48  olivier

	* src/display.c: Revert last change

2006-11-13 19:47  olivier

	* src/display.c: Do not reset time to CurrentTime with events that
	  don't feature a timestamp (actually, it's a revert of on commit I
	  made a few days ago).

2006-11-11 15:20  olivier

	* src/keyboard.c: Use actual string length instead of -1 in
	  g_ascii_strup/strdown

2006-11-10 22:00  olivier

	* src/client.c, src/main.c: Wrong logical test

2006-11-10 20:47  olivier

	* mcs-plugin/xfwm4_shortcuteditor.c: Enter key doesn't work for
	  "Add keybinding theme" dialog (Bug #2560, patch by Brian
	  Tarricone <bjt23@cornell.edu>)

2006-11-10 20:43  olivier

	* src/focus.c: Use focus pending with with apps that use
	  WM_FLAG_TAKEFOCUS protocol too (Bug #2561)

2006-11-10 20:35  olivier

	* src/client.c: Hide as more windows when showing desktop (Bug
	  #2518)

2006-11-09 20:25  olivier

	* configure.ac.in: Move all required version numbers to the top of
	  configure.ac.in to make changing them easy.

2006-11-09 18:25  olivier

	* themes/...: Smoother top window
	  hilight

2006-11-09 18:09  olivier

	* src/stacking.c: Don't skip windows that have the skip
	  pager/taskbar properties when searching for windows below the
	  pointer (bug #2550)

2006-11-08 22:11  olivier

	* COMPOSITOR: Small addition to compositor documentation

2006-11-08 20:17  olivier

	* themes/...: Cleanup SVG sources.

2006-11-08 19:44  olivier

	* themes/...: SVG tweak

2006-11-08 19:05  olivier

	* themes/...: Remove vaccumdefs.sh, add new
	  target "make vacuum-defs".

2006-11-07 21:18  olivier

	* ChangeLog: Update ChangeLog

2006-11-07 21:02  olivier

	* themes/d...: Add a new target "make update-png" instead of 
	  regenerating the PNG files automatically as SVN doesn't preserve the
	  mtime of the file, some files where generated on the build system 
	  where rsvg might not be available, or available in a different 
	  version producing slightly different output, thus causing visual 
	  discrepancies in the resulting theme...

2006-11-07 20:26  olivier

	* src/client.c, src/events.c, src/focus.c, src/focus.h, src/main.c:
	  Fix focus transitionning to root taking into account the pending
	  focus too, so that focus doesn't return to the fallback internal
	  window when it should return to some other client window (like
	  when an application closes with a modal dialog opened). <= If you
	  understand what I mean here, you're tough!

2006-11-07 20:21  olivier

	* src/hints.c: Fix segafault bug introduced yesterday when fixing
	  KD systray.

2006-11-06 22:03  olivier

	* src/transients.c, src/workspaces.c: Check for valid transient or
	  modal when switching workspaces, to avoid missing windows to
	  unmap (bug #2518).

2006-11-06 21:59  olivier

	* src/hints.c: Fix compilation with --enable-kde-systray (bug
	  #2511).

2006-11-05 18:54  paurullan

	* po/ChangeLog, po/ko.po: i18n Korean update

2006-11-05 09:54  benny

	* configure.ac.in, po, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/dz.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/gl.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/it.po, po/ja.po, po/ka.po, po/ko.po,
	  po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot,
	  po/zh_CN.po, po/zh_TW.po: Bump version and requirements. Update
	  Project-Id-Version.

2006-11-04 22:36  olivier

	* src/client.c, src/client.h, src/compositor.h, src/display.c,
	  src/display.h, src/event_filter.h, src/events.c, src/events.h,
	  src/focus.h, src/frame.h, src/hints.c, src/hints.h, src/icons.h,
	  src/keyboard.h, src/menu.h, src/misc.h, src/mypixmap.h,
	  src/mywindow.h, src/netwm.c, src/netwm.h, src/parserc.h,
	  src/placement.c, src/placement.h, src/poswin.h, src/screen.c,
	  src/screen.h, src/session.h, src/settings.c, src/settings.h,
	  src/spinning_cursor.h, src/stacking.h,
	  src/startup_notification.h, src/tabwin.h, src/transients.h,
	  src/ui_style.h, src/wireframe.h, src/workspaces.c,
	  src/workspaces.h: Use X server time to restore focus when sent to
	  the root window (bug #2472), a bit of code cleanup and some
	  refactoring.

2006-11-04 14:14  paurullan

	* po/ChangeLog, po/ca.po: i18n catalan update

2006-11-03 20:37  olivier

	* ChangeLog: Update ChangeLog

2006-11-03 19:30  olivier

	* src/client.c: Resize the frame before the client, otherwise OOo
	  1.1.x gets totally confused on resize.

2006-11-03 11:44  stephan

	* po/nl.po: Updated Dutch xfwm4 translation

2006-11-02 21:48  olivier

	* src/client.c, src/events.c: Re-enable XSync on apps that don't
	  cooperate.

2006-11-02 21:18  olivier

	* src/client.c, src/client.h, src/events.c: Add timeout to avoid
	  blocking on broken apps that claim XSync compliance but don't
	  implement the protocol properly.

2006-11-02 06:43  olivier

	* src/netwm.c: Reuse same event.

2006-11-01 21:24  olivier

	* README: Update EWMH compliance.

2006-11-01 21:14  olivier

	* src/display.h, src/events.c, src/hints.c, src/misc.c, src/misc.h,
	  src/netwm.c, src/netwm.h: Add support to NET_WM_MOVERESIZE

2006-11-01 21:13  olivier

	* src/client.c: Fix compilation warnings

2006-11-01 18:06  olivier

	* configure.ac.in: Add support for XSync protocol in configure
	  script.

2006-11-01 18:02  olivier

	* src/client.c, src/client.h, src/display.c, src/display.h,
	  src/events.c, src/hints.c, src/hints.h, src/main.c: Add support
	  for XSync protocol.

2006-11-01 12:28  olivier

	* src/events.c: Do not raise on WM_TRANSIENT_FOR property change,
	  fix bug #2483.

2006-11-01 00:27  olivier

	* src/client.c, src/client.h: Get rid of resize limit speed for
	  good.

2006-10-31 23:56  olivier

	* src/client.c: Optimize configure flags for resize.

2006-10-31 21:21  olivier

	* src/display.c, src/events.c: Add a focus "parachute", remove a
	  roundtrip.

2006-10-30 23:05  olivier

	* src/client.c: Disable resize limit by default

2006-10-30 22:17  olivier

	* src/client.c: Optimize move/resize

2006-10-30 17:41  olivier

	* src/client.c, src/display.c, src/events.c, src/workspaces.c:
	  Improve yesterday patch on focus transition.

2006-10-29 22:59  olivier

	* src/client.c, src/display.c, src/events.c, src/focus.c,
	  src/hints.c, src/main.c, src/netwm.c: This fixes several focus
	  issues for me, but since focus is a sensitive beast, to say the
	  least, so I dunno about others.

2006-10-29 16:31  maximilian

	* po/ChangeLog, po/fr.po: Updated libexo and terminal's french
	  translations, added translators credits to the thunar french
	  translation, fixed a wrong accel. in xfdesktop (thx goes to Mike
	  Massonnet) and fixed some typos in xfwm4's french translation.

2006-10-29 14:51  pollux

	* mcs-plugin/xfwm4_shortcuteditor.c: allow the usage of 'Alt+C' in
	  shortcuts (unfortunately it adds a string too)

2006-10-28 13:04  paurullan

	* po/ChangeLog, po/LINGUAS, po/dz.po: added whole Dzongkha
	  translation
	  
	  congratulations to the dz team.

2006-10-26 16:51  olivier

	* themes/...: Use slightly larger height for title bar.

2006-10-25 21:56  olivier

	* themes/...: Fix gradients on top corners.

2006-10-25 19:33  olivier

	* src/mypixmap.c, themes/...: Enlarge the menu button so that
	  it's the same size as other buttons.

2006-10-24 20:45  olivier

	* src/client.c, src/screen.c: Fix visual/depth/colormap with and
	  without render.

2006-10-24 19:25  olivier

	* configure.ac.in, src/client.c, src/screen.c: Add a configure
	  option to disable render at compile time, fix depth/visual
	  mismatch with some applications when render is disabled (bug
	  #1617).

2006-10-23 20:05  olivier

	* src/session.c: Do not match windows that we don't place, that
	  avoids some misplacements.

2006-10-22 17:53  adriano

	* po/ChangeLog, po/pt_BR.po: Updated brazilian portuguese
	  translations.

2006-10-22 13:18  olivier

	* themes/...: Use full title height for
	  menu button too.

2006-10-20 21:29  olivier

	* themes/...: Increase buttons height of the default theme, to improve 
	  usability with pointing devices such as touchscreens or tablet PC.

2006-10-19 18:54  jari

	* po/ChangeLog, po/fi.po: Updated Finnish translations.

2006-10-18 19:59  olivier

	* themes/default/Makefile.am, themes/default/README,
	  themes/default/top-right-inactive.png: Build png out of svg files
	  for the default theme, but do not install the later (Should speed
	  up theme loading and improve rendering on display with higher
	  DPI).

2006-10-14 17:26  olivier

	* README: Fix typos, as I've added the link from the fd.o wiki.

2006-10-14 17:14  olivier

	* README: Update the README file, add standard compliance list.

2006-10-14 12:40  paurullan

	* po/ChangeLog, po/pl.po: i18n polish update

2006-10-14 07:28  olivier

	* src/main.c: Yet, again, compositing initialization.

2006-10-14 07:20  stavrosg

	* po/ChangeLog, po/el.po: Xfwm4 Greek translation update.

2006-10-13 20:48  olivier

	* src/main.c: Fix compositing, again... Bug #2428.

2006-10-13 19:40  olivier

	* ChangeLog: Update ChangeLog

2006-10-13 17:35  olivier

	* src/client.c, src/display.c, src/display.h, src/events.c,
	  src/frame.c, src/hints.c, src/misc.c, src/screen.c,
	  src/settings.c, src/settings.h: Code cleanup to ease future
	  mantainance.

2006-10-12 21:34  olivier

	* src/workspaces.c: Improve focus transition on workspace switch

2006-10-12 21:24  piarres

	* po/ChangeLog, po/eu.po: xfwm4 basque translation update

2006-10-12 20:31  olivier

	* src/workspaces.c: Improve workspace switch, map newer windows
	  before unmapping previous ones to reduce expose events (Bug
	  #2409), improve focus transition (Bug #2408).

2006-10-12 20:26  olivier

	* src/events.c: Use raise with any button on regular focusable
	  windows only.

2006-10-12 20:23  olivier

	* src/focus.c: Set focus on desktop with showing desktop (Bug
	  #2410)

2006-10-12 20:22  olivier

	* src/compositor.c, src/main.c: Fix automatic compositing w/out
	  breaking manual compositing (take 3!)

2006-10-12 03:40  paurullan

	* po/ChangeLog, po/cs.po: i18n cs uptated translations

2006-10-11 20:00  olivier

	* src/client.c: Fix transient/modal for several

2006-10-11 19:31  olivier

	* src/client.h, src/workspaces.c: Woops, some changes have leaked
	  in previous commit by mistake...

2006-10-11 19:22  olivier

	* src/client.h, src/main.c, src/workspaces.c: Fix compositor
	  availability check, bug #2418.

2006-10-09 22:21  sas

	* po/hu.po: wm & archiver updated

2006-10-09 20:58  olivier

	* src/events.c: Placement of the menu when open with the key
	  shortcut.

2006-10-09 20:21  olivier

	* src/events.c, src/tabwin.c: Fix compilation with
	  --enable-debug=full

2006-10-09 19:55  olivier

	* src/events.c: Fix deadlock with previous commit.

2006-10-09 19:36  olivier

	* mcs-plugin/xfwm4_shortcuteditor.c, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/gl.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/it.po, po/ja.po, po/ka.po, po/ko.po,
	  po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot,
	  po/zh_CN.po, po/zh_TW.po, src/events.c, src/screen.c,
	  src/settings.c, src/settings.h, themes/default.keys/keythemerc:
	  Add window operations menu shortcut - 2 strings were added and
	  need translations

2006-10-08 20:40  olivier

	* themes/default/bottom-active.png,
	  themes/default/top-right-inactive.png: Increase border width to 5
	  pixels

2006-10-08 19:27  olivier

	* themes/default/bottom-active.png,
	  ...
	  themes/default/top-right-inactive.xpm: Increase title height to
	  25 pixels

2006-10-07 22:19  olivier

	* themes/default/bottom-active.png,
	  ...
	  themes/default/top-right-inactive.png: Use 50% gray with 50%
	  transparency for inactive buttons, so they can stay visible with
	  dark colors too.

2006-10-07 21:15  olivier

	* src/main.c: Fix CompositeRedirectAutomatic

2006-10-07 20:08  olivier

	* src/settings.h: Fix wrong reordering of key constants using
	  alphabetical order

2006-10-07 17:37  olivier

	* src/compositor.c: Improve unreparenting windows with Xorg <= 7.0

2006-10-07 08:34  olivier

	* themes/default/bottom-active.png,
	  ...
	  themes/default/top-right-inactive.png: Remove path from buttons

2006-10-07 07:47  olivier

	* src/compositor.c: Remove work around for unmap/map notifies on
	  CompositeUnredirectWindow() because it was a bug in Xorg <= 7.0
	  that breaks in Xorg >= 7.1 (thus bug #64115 in Ubuntu Launchpad
	  https://launchpad.net/distros/ubuntu/+source/xfwm4/+bug/64115) -
	  See
	  http://lists.freedesktop.org/archives/xorg/2005-October/010679.html
	  for the rationale (Thanks Soeren!) - It means that unredirecting
	  fullscreen windows *will* misbehave in Xorg 7.0 and previous
	  versions

2006-10-06 20:19  olivier

	* themes/default/README, themes/default/bottom-active.png,
	  ...
	  themes/default/top-right-inactive.xpm: Rework theme

2006-10-05 21:28  olivier

	* src/compositor.c: Trivial trace message

2006-10-05 21:26  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gl.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po,
	  po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po,
	  po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot, po/zh_CN.po,
	  po/zh_TW.po: PO update

2006-10-05 21:24  olivier

	* src/compositor.c: Improve unredirection vs. map/unmap

2006-10-05 20:02  olivier

	* themes/default/bottom-active.png,
	  ...
	  themes/default/top-right-inactive.svg: Rework top corners' curves

2006-10-04 21:32  olivier

	* src/compositor.c: Init ignore_unmaps to 0 instead of 1 at first
	  unredirect, it seems to make more sense (and also it fixes a bug
	  with xscreensaver) - Might break elsewhere though, but still
	  needs fixing.

2006-10-04 19:21  olivier

	* themes/default/bottom-active.png,
	  ...
	  themes/default/top-right-inactive.svg: Adjust gradient gravity

2006-10-03 21:10  olivier

	* src/client.c, themes/default/themerc: Various optimizations: Do
	  not draw wire frame when cycling is over, do not relocate the
	  window on maximize/unmaximize if restore position is not set,
	  increase the limit of resize per seconds to 50

2006-10-02 22:13  olivier

	* themes/default/convert2png.sh, themes/default/vaccumdefs.sh:
	  Missing bits

2006-10-02 22:11  olivier

	* configure.ac.in, themes/Makefile.am, themes/default/Makefile.am,
	  ...
	  themes/sassandra/README: Change
	  default theme for the new SVG based theme, previous theme renamed
	  as Sassandra

2006-10-02 21:20  olivier

	* configure.ac.in, src/client.c, src/mypixmap.c, src/settings.c,
	  src/settings.h, src/tabwin.c, src/tabwin.h,
	  themes/default.keys/keythemerc: Remove dependency on micro
	  version, rework error handling in pixbuf loading, add cancel
	  option when cycling (bug #2373), and other fixes

2006-10-02 21:03  paurullan

	* po/ChangeLog, po/ru.po: i18n updated Russian translations

2006-09-26 20:38  olivier

	* src/client.c: Fix restore of original size/position of maximized
	  windows restored by session management.

2006-09-23 11:31  pollux

	* po/ChangeLog, po/pl.po: various translations updates

2006-09-20 11:54  paurullan

	* po/ChangeLog, po/ca.po: updated catalan translations

2006-09-19 19:46  olivier

	* themes/moheli/themerc: Enlarge shadows on Moheli theme

2006-09-19 19:40  olivier

	* src/client.c, src/client.h: Fix regression introduced with rev.
	  22806 (shaded windows should be moved on screen to stay visible).

2006-09-18 20:43  paurullan

	* po/ChangeLog, po/ca.po: [i18n] updated catalan translation

2006-09-18 20:23  olivier

	* src/compositor.c: Move compositor specific code within proper
	  #ifdef portion (bug #2335).

2006-09-17 13:33  pollux

	* po/ChangeLog, po/cs.po: updated French and Czech translations

2006-09-13 20:14  olivier

	* themes/stoneage/themerc: text shadow

2006-09-12 15:40  jari

	* po/ChangeLog, po/fi.po: Updated Finnish translations.

2006-09-11 20:39  olivier

	* src/client.c, src/client.h, src/compositor.c, src/compositor.h,
	  src/display.c, src/display.h, src/event_filter.c,
	  src/event_filter.h, src/events.c, src/events.h, src/focus.c,
	  src/focus.h, src/frame.c, src/frame.h, src/hints.c, src/hints.h,
	  src/icons.c, src/icons.h, src/inline-default-icon.h,
	  src/inline-tabwin-icon.h, src/keyboard.c, src/keyboard.h,
	  src/main.c, src/menu.c, src/menu.h, src/misc.c, src/misc.h,
	  src/mypixmap.c, src/mypixmap.h, src/mywindow.c, src/mywindow.h,
	  src/netwm.c, src/netwm.h, src/parserc.c, src/parserc.h,
	  src/placement.c, src/placement.h, src/poswin.c, src/poswin.h,
	  src/screen.c, src/screen.h, src/session.c, src/session.h,
	  src/settings.c, src/settings.h, src/spinning_cursor.c,
	  src/spinning_cursor.h, src/stacking.c, src/stacking.h,
	  src/startup_notification.c, src/startup_notification.h,
	  src/tabwin.c, src/tabwin.h, src/transients.c, src/transients.h,
	  src/ui_style.c, src/ui_style.h, src/wireframe.c, src/wireframe.h,
	  src/workspaces.c, src/workspaces.h, src/xpm-color-table.h: Set
	  focus flag on windows initially mapped on other desktops

2006-09-10 08:45  olivier

	* src/client.c, src/client.h, src/events.c, src/screen.c,
	  src/screen.h, src/settings.c: Grab keys on root instead of each
	  client window, that saves a *lot* of grabs, makes the code
	  simpler and also fix the keyboard shortcuts not working on shaded
	  windows (Bug #2291).

2006-09-09 21:11  piarres

	* po/ChangeLog, po/eu.po: xfwm4 basque translation update

2006-09-08 18:14  olivier

	* mcs-plugin/xfwm4_shortcuteditor.c: React on key release so that
	  we have the same behaviour as in the keyboard shortcut plugin

2006-09-07 18:58  pollux

	* po/ChangeLog, po/vi.po: Updated Vietnamese translations

2006-09-04 19:11  olivier

	* doc/C/xfwm4.html, doc/C/xfwm4.xml, doc/fr/xfwm4.html,
	  doc/fr/xfwm4.xml, mcs-plugin/wmtweaks_plugin.c, po/ar.po,
	  po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po,
	  po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po,
	  po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ka.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po,
	  po/vi.po, po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po, src/client.c,
	  src/client.h, src/settings.c: Add option for borderless maximize
	  to WM tweak plugin, optimize repaint and recompute maximized
	  window geometry.

2006-09-03 22:22  olivier

	* defaults/defaults, doc/C/xfwm4.html, doc/C/xfwm4.xml,
	  doc/fr/xfwm4.html, doc/fr/xfwm4.xml, src/client.c, src/events.c,
	  src/frame.c, src/settings.c, src/settings.h: Add hidden option to
	  show/hide border on maximized windows (bug #2257)

2006-09-03 19:00  pollux

	* po/ChangeLog, po/pt_BR.po: Updated Brazilian Portuguese
	  translations

2006-09-02 15:56  benny

	* configure.ac.in, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po, po/en_GB.po,
	  po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gl.po, po/gu.po, po/he.po, po/hi.po,
	  po/hu.po, po/it.po, po/ja.po, po/ka.po, po/ko.po, po/lt.po,
	  po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po:
	  Bump version and requirements.

2006-09-02 12:22  benny

	* po/ChangeLog, po/cs.po: 2006-09-02 Benedikt Meurer
	  <benny@xfce.org>
	  
	  * cs.po: Updated Czech translations by Michal Varady
	  <miko.vaji@gmail.com>.

2006-09-02 08:57  sas

	* po/hu.po: hungarian updates

2006-09-02 02:06  yuvaltanny

	* po/he.po: Update Hebrew translation

2006-08-30 19:55  olivier

	* ChangeLog: Update ChangeLog

2006-08-30 19:53  olivier

	* src/compositor.c, src/hints.h: Fix compiler warning

2006-08-30 19:41  olivier

	* src/compositor.c, src/hints.c, src/hints.h, src/main.c: Add
	  support for newest _NET_WM_CM_S<n> property used by
	  gdk_screen_is_composited() in gtk+-2.10.x

2006-08-30 16:47  olivier

	* ChangeLog: Update ChangeLog

2006-08-30 16:44  olivier

	* ChangeLog, src/focus.c, src/stacking.c: Improve focus passing

2006-08-30 06:17  olivier

	* src/client.c: Reverting the removal of window size/position
	  indicator

2006-08-30 06:03  olivier

	* src/client.c: Improve window placement after workspace switch
	  using keyboard.

2006-08-29 21:57  olivier

	* src/client.c, src/workspaces.c: Do not show window size/position
	  when not showing content as the server is grabbed and other apps
	  cannot update their contents (bug #2239), switch workspace when
	  reaching screen edges even when moving the window using keyboard
	  shortcuts (bug #2234)

2006-08-29 19:49  olivier

	* src/stacking.c: Pass focus to window on top of stack when
	  lowering the focused window

2006-08-27 12:57  pollux

	* po/ChangeLog, po/de.po: Updated German translations

2006-08-27 11:35  pollux

	* po/ChangeLog, po/LINGUAS, po/ka.po: add Georgian translations

2006-08-26 21:03  olivier

	* doc/C/xfwm4.html, doc/C/xfwm4.xml, doc/fr/xfwm4.html,
	  doc/it/xfwm4.html: Documentation fix (bug #1607)

2006-08-25 23:33  stavrosg

	* po/ChangeLog, po/el.po: Greek translations update

2006-08-24 17:08  olivier

	* src/compositor.c, src/compositor.h, src/netwm.c: Restore the
	  compositorDamageWindow() hook, use it when the NET_WM_STATE_BELOW
	  is updated to ensure that the shadow gets updated too.

2006-08-23 21:59  olivier

	* src/compositor.c:

2006-08-23 21:56  olivier

	* src/compositor.c: Don't show shadow with fullscreen and windows
	  that set the NET_WM_STATE_BELOW property (like gdesklet for
	  example)

2006-08-23 19:08  olivier

	* src/client.c, src/compositor.c, src/compositor.h: Spot and fix an
	  issue with stacking reordering.

2006-08-21 20:35  olivier

	* ChangeLog: Update ChangeLog

2006-08-21 20:28  olivier

	* src/client.c, src/mypixmap.c: Improve the fix for themes which
	  are missing the menu button.

2006-08-21 20:13  olivier

	* src/client.c, src/events.c, src/focus.c, src/frame.c,
	  src/frame.h, src/mypixmap.c, src/netwm.c: Fix frame repaint error
	  caused by the removal of pixmap caching (Bug #2202), fix an issue
	  with themes that miss that menu button.

2006-08-20 18:54  pollux

	* po/gl.po: remove executable property from gl.po

2006-08-20 18:51  pollux

	* po/ChangeLog, po/LINGUAS, po/gl.po: Add Galician translations

2006-08-19 22:16  olivier

	* src/client.c, src/client.h, src/display.h, src/frame.c,
	  src/frame.h: Get rid of pixmap caching of frame components, it
	  saves quite a lot of xserver pixmap memory...

2006-08-19 20:48  olivier

	* src/compositor.c, src/focus.c, src/mypixmap.c, src/netwm.c: Plug
	  a few leaks

2006-08-19 16:20  pollux

	* po/ChangeLog, po/cs.po: Updated Czech translations

2006-08-18 22:16  piarres

	* po/ChangeLog, po/eu.po: Basque trasnaltion update

2006-08-17 21:45  olivier

	* src/compositor.c: Fix rendering speed issue reported from bug
	  #2099 by reverting the use of clipping to render the window
	  frame. Also revert the change for restack as I got some issues
	  with the compositor being lost with actual window stack.

2006-08-17 05:57  olivier

	* src/client.c: Unmap client window of shaded apps before
	  reparenting

2006-08-16 22:23  olivier

	* src/client.c, src/client.h, src/events.c, src/focus.c: Unmap the
	  client window when shaded. Some apps want to be notified when the
	  client is not visible (Bug #2168). That change should work
	  although I liked the previous implementation better as it was a
	  lot less intrusive in focus management. Let's see how this goes
	  for now...

2006-08-16 19:05  olivier

	* configure.ac.in: Implement a fallback to check for libXrender on
	  Solaris 10 (patch from neel@sun.com, bug #2165)

2006-08-16 18:03  olivier

	* src/events.c: Should be enough to make sure grabs are really
	  released (Bug #2136, #2146, possibly others such as #2144, #2161)

2006-08-16 18:00  olivier

	* configure.ac.in: Allow pkg-config to be more verbose (patch from
	  Johan Sandelin <johan@alphafish.com>, bug #2178)

2006-08-16 04:43  sas

	* po/hu.po: hu trunk: wm updates

2006-08-15 20:56  piarres

	* po/ChangeLog, po/eu.po: Basque trasnaltion update

2006-08-15 19:21  pollux

	* po/ChangeLog, po/pl.po: updated Polish translations by piotr
	  maliński <riklaunim@gmail.com>

2006-08-15 15:25  jari

	* po/ChangeLog, po/fi.po: Updated Finnish translations.

2006-08-15 15:18  olivier

	* src/events.c: Apply patch from Darren Salt
	  <linux@youmustbejoking.demon.co.uk> focus transition (bug #2090),
	  release key/mouse events using current time as several reports of
	  key/mouse lokup have raised on the mailing list (and on bugzilla,
	  #2136 and #2146)

2006-08-15 13:54  olivier

	* defaults/defaults, mcs-plugin/wmtweaks_plugin.c, po/ar.po,
	  po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po,
	  po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po,
	  po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po,
	  po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot,
	  po/zh_CN.po, po/zh_TW.po, src/client.c, src/compositor.c,
	  src/display.h, src/events.c, src/mywindow.c, src/mywindow.h,
	  src/screen.c, src/settings.c, src/settings.h, src/wireframe.c:
	  Add Xutil.h include for Solaris, add new option for overlay
	  unredirection, do not frame shaped windows, fix compositor crash
	  when the client goes (bug #2105), fix maximization being
	  misplaced with restore-on-move option, fix meaning of the
	  Xfwm/CycleMinimum option in the WM tweak plugin (bug #2058)

2006-08-04 20:55  pollux

	* po/ChangeLog, po/fr.po: fix typos in French translations (patch
	  from Gerald Barre <g.barre@free.fr>)

2006-08-04 15:19  pollux

	* po/ChangeLog, po/fr.po: Fix typo (bug #2120)

2006-08-01 18:25  jari

	* po/ChangeLog, po/fi.po: Updated Finnish translations.

2006-07-20 20:30  olivier

	* src/events.c: Use event timestamp

2006-07-18 05:38  olivier

	* src/events.c: Update timestamp

2006-07-17 21:30  olivier

	* src/client.c, src/events.c, src/hints.h: Rework maximization
	  switches (bug #2047)

2006-07-17 17:09  olivier

	* src/events.c, src/keyboard.c: Grab keys synchronously

2006-07-17 17:09  olivier

	* src/client.c: Fix maximized area computation (Bug #2044)

2006-07-16 17:03  olivier

	* src/client.c, src/main.c, src/spinning_cursor.c,
	  src/transients.c, src/wireframe.c: Fix compilation warnings
	  (patch from Nick Schermer <nickschermer@gmail.com>)

2006-07-16 16:56  olivier

	* defaults/defaults, themes/daloa/themerc,
	  ...
	  themes/wallis/themerc: Make themes use new themerc option for
	  full maximization

2006-07-16 16:56  olivier

	* src/client.c, src/events.c, src/frame.c, src/settings.c,
	  src/settings.h: Implement borderless full maximization (bug
	  #1750)

2006-07-16 16:53  olivier

	* src/compositor.c: Fix composite redraw with XShape windows

2006-07-16 13:02  adriano

	* po/ChangeLog, po/pt_BR.po: Updated brazilian portuguese
	  translations by Tomás Acauan Schertel
	  <tschertel@gmail.com>.

2006-07-15 21:12  pollux

	* po/ChangeLog, po/cs.po: Updated Czech translations

2006-07-12 18:39  olivier

	* src/client.c: Fix a major issue with key/mouse grabs introduces
	  in beta2, rework grabs and ungrabs, grab using last known event
	  time, ungrab with current server time.

2006-07-11 21:59  olivier

	* mcs-plugin/wmtweaks_plugin.c, mcs-plugin/xfwm4_plugin.c: Fix
	  compiler warnings (Nick Schermer <nickschermer@gmail.com>)

2006-07-11 21:47  olivier

	* src/client.c, src/tabwin.c, src/tabwin.h: Make sure the icon
	  selected in the tabwin matches the selected window in all cases
	  (fix bug #2008)

2006-07-11 17:20  olivier

	* src/compositor.c: Make sure the window pixmap is cleared out.

2006-07-10 21:42  piarres

	* po/ChangeLog, po/eu.po: [l10n:eu] Basque translation update

2006-07-10 17:22  olivier

	* src/events.c: Do NOT compress configure request events, it
	  confuses the compositor and the window pixmaps.

2006-07-09 21:34  pollux

	* po/ChangeLog, po/pl.po: updated translations

2006-07-09 16:51  stavrosg

	* po/ChangeLog, po/el.po: Greek translations update

2006-07-09 16:48  olivier

	* ChangeLog: Update ChangeLog

2006-07-09 14:19  olivier

	* ChangeLog: Update ChangeLog

2006-07-09 14:16  yuvaltanny

	* po/he.po: Update Hebrew translations

2006-07-09 09:56  pollux

	* configure.ac.in: bump all versions and dependencies to 4.3.90.2

2006-07-09 09:07  olivier

	* src/settings.c, src/settings.h, themes/daloa/themerc,
	  ...
	  themes/wallis/themerc: "Frame" seems more appropriate

2006-07-09 08:46  olivier

	* ChangeLog, src/frame.c, src/settings.c, src/settings.h,
	  ...
	  themes/moheli/themerc: Add new bevel effect to window title

2006-07-08 19:19  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: French locale update

2006-07-08 16:57  olivier

	* src/client.c, src/display.c, src/display.h, src/events.c: Not
	  sure why the tab window sometimes misses the key release.

2006-07-08 15:55  olivier

	* src/client.c: Prevent keyboard autorepeat from flooding the event
	  queue.

2006-07-08 12:36  olivier

	* mcs-plugin/wmtweaks_plugin.c, mcs-plugin/xfwm4_plugin.c: Use
	  GtkComboBox instead of deprecated GtkOptionMenu (patch from
	  Darren Salt <linux@youmustbejoking.demon.co.uk>, bug #1999).

2006-07-08 12:32  olivier

	* src/compositor.c: The full area damage is required is some cases.
	  The fix remains though.

2006-07-08 12:11  olivier

	* src/compositor.c: Compositor optimization that also fixes an
	  issue with fullscreen unredirected windows.

2006-07-05 19:59  olivier

	* mcs-plugin/Makefile.am, src/Makefile.am: Add LIBX11_LDFLAGS

2006-07-05 19:18  olivier

	* src/client.c: Fix replace of windows when struts change

2006-07-04 17:42  olivier

	* src/frame.c: Fix small shape bug introduded yesterday

2006-07-04 05:43  olivier

	* src/compositor.c: Small cleanup

2006-07-03 21:00  olivier

	* src/frame.c: Still check for shaded.

2006-07-03 20:45  olivier

	* src/frame.c: Fix a bug in shape computation, that showed when the
	  frame was smaller than the corners pixmaps (this bug was there
	  from the beginning!)

2006-07-02 19:35  olivier

	* src/compositor.c, src/main.c: Small bug fix with enabbling
	  compositor once started without the compositor initially enabled.

2006-07-02 16:28  olivier

	* mcs-plugin/wmtweaks_plugin.c: Fix compile with debug=full

2006-07-02 16:23  olivier

	* defaults/defaults, mcs-plugin/wmtweaks_plugin.c,
	  src/compositor.c, src/compositor.h, src/display.c, src/display.h,
	  src/hints.c, src/hints.h, src/main.c, src/settings.c,
	  src/settings.h: Allow enabling/disabling of compositing on the
	  fly from the WM tweaks plugin, yeah!

2006-07-01 18:58  olivier

	* src/client.c, src/settings.c: Improve more/resize cancellation
	  (patch from Darren Salt <linux@youmustbejoking.demon.co.uk>, bug
	  #1963)

2006-07-01 18:55  olivier

	* src/compositor.c: Fix overlays count

2006-07-01 07:27  olivier

	* src/compositor.c: Tweak traces.

2006-06-30 21:59  jari

	* po/ChangeLog, po/fi.po: Updated Finnish translations.

2006-06-30 19:52  sas

	* po/hu.po: hu trunk: wm & archiver updates

2006-06-30 10:47  olivier

	* src/client.c, src/compositor.c, src/compositor.h: Export the
	  compositor usability so that we can save a few computations.

2006-06-30 09:30  olivier

	* po/fr.po: Update French translation.

2006-06-30 09:24  olivier

	* mcs-plugin/wmtweaks_plugin.c, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hi.po,
	  po/hu.po, po/it.po, po/ja.po, po/ko.po, po/lt.po, po/mr.po,
	  po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po,
	  po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot, po/zh_CN.po,
	  po/zh_TW.po, src/client.c, src/client.h, src/compositor.c,
	  src/focus.c, src/settings.c, src/settings.h: Apply patch from
	  Darren Salt <linux@youmustbejoking.demon.co.uk> to make inactive
	  windows semi-transparent. Transparency of inactive windows in
	  configurable through the WM tweaks plugin (bug #602)

2006-06-29 20:09  olivier

	* src/client.c: Fix for apps that use both EWMH fullscreen and
	  Motif hints concurently (e.g. gcompris).

2006-06-29 06:45  sas

	* po/hu.po: hu trunk: wm updated

2006-06-28 21:21  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Update po to help
	  translators

2006-06-28 21:18  olivier

	* AUTHORS, ChangeLog, defaults/defaults,
	  mcs-plugin/xfwm4_shortcuteditor.c, src/client.c, src/client.h,
	  src/compositor.c, src/display.c, src/display.h, src/events.c,
	  src/hints.c, src/hints.h, src/misc.h, src/settings.c,
	  src/settings.h, themes/daloa/README,
	  ...
	  themes/default/top-right-inactive.xpm: Add support for opacity
	  lock (patch from Darren Salt <linux@youmustbejoking.demon.co.uk>,
	  bug #1958), add support for changing opacity using mouse button 6
	  and 7 (patch from Darren Salt
	  <linux@youmustbejoking.demon.co.uk>, bug #1959), add move/resize
	  cancellation using a configurable keyboard shortcut (patch from
	  Darren Salt <linux@youmustbejoking.demon.co.uk>, bug #1963),
	  optimization for the compositor rebuilding screen when settings
	  change (me :)

2006-06-28 17:30  eulex

	* po/sv.po: A small extra change in the swedish xfwm4
	  translation...

2006-06-28 17:24  eulex

	* po/ChangeLog, po/sv.po: Updated Swedish xfwm4 translation

2006-06-25 21:08  olivier

	* src/compositor.c, src/compositor.h, src/settings.c: Revert some
	  removal that was needed, woops...

2006-06-25 09:06  olivier

	* src/client.c, src/compositor.c, src/compositor.h, src/events.c,
	  src/main.c, src/misc.c, src/netwm.c, src/placement.c,
	  src/screen.c, src/screen.h, src/settings.c, src/workspaces.c:
	  Change to maintain and use our own copy of the screen size, code
	  cleanup.

2006-06-23 16:54  olivier

	* src/compositor.c, src/compositor.h: More optimizations for the
	  compositor.

2006-06-23 13:03  olivier

	* src/compositor.c: Fix count of overlays.

2006-06-23 09:42  olivier

	* src/compositor.c: Change default root color to plain grey.

2006-06-22 19:49  olivier

	* src/display.c: Woops, revert, gtk+ does that for us (I forgot gtk
	  in the equation).

2006-06-22 19:41  olivier

	* src/display.c: Close display on exit.

2006-06-22 12:58  olivier

	* src/compositor.c: Compositor optimization, save the painted
	  region for reuse as clipping when painting back to screen.

2006-06-22 07:43  olivier

	* src/client.c: Don't clear the show desktop flag if cycling back
	  to the current focused window.

2006-06-21 20:26  olivier

	* src/client.c: Simpler, safer.

2006-06-21 19:52  olivier

	* src/compositor.c: Small compositor enhancement.

2006-06-21 19:48  olivier

	* src/client.c: Fix fullscreen window being set back in Z-order
	  after cycling back to the current fullscreen window. (Fix bug
	  #1949)

2006-06-20 20:00  olivier

	* src/compositor.c: Rework the mapping/unmapping when unredirecting

2006-06-18 07:44  olivier

	* src/compositor.c: Optimizations.

2006-06-18 07:32  olivier

	* src/compositor.c: A few more optimizations.

2006-06-17 19:28  olivier

	* src/focus.c: Make sure the 'demand attention' flags gets cleared
	  on focus.

2006-06-17 16:37  olivier

	* src/compositor.c: Sync after unredirect.

2006-06-17 16:13  olivier

	* src/compositor.c: Be smarter with damage areas, and do not treat
	  unredirected windows specifically. (should fix #1930).

2006-06-17 15:55  olivier

	* src/compositor.c: Small optimzations, remove useless tests

2006-06-16 20:04  olivier

	* src/compositor.c: Yet another one

2006-06-16 19:53  olivier

	* src/compositor.c: Optimizations for the compositor

2006-06-15 21:54  olivier

	* src/compositor.c: Avoid compiler warnings.

2006-06-14 21:33  olivier

	* src/compositor.c: Missing argument in debug trace

2006-06-14 21:08  olivier

	* src/compositor.c, src/events.c: Small adjustments

2006-06-14 09:35  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Resync pot file

2006-06-14 09:27  olivier

	* src/client.c, src/compositor.c, src/display.c, src/display.h,
	  src/events.c, src/hints.h, src/screen.h,
	  src/startup_notification.c: Finish rework of the compositor,
	  which should fix quite few bugs and improve performance (by
	  discarding damages of covered windows, for example),
	  unredirecting fullscreen overrides seems to work fine which gives
	  a huge performance boost on fullscreen games, fixes translucent
	  xscreensaver window, rework the NET_ACTIVE_WINDOW message
	  handling to improve focus passing (see this thread on the ML
	  http://foo-projects.org/pipermail/xfce4-dev/2006-June/020471.html)

2006-06-13 20:03  olivier

	* src/focus.c, src/transients.c: Don't adjust fullscreen window if
	  newly focused window is one if its transients or modal.

2006-06-13 05:55  olivier

	* src/compositor.c: Still work on compositor, not there yet though,
	  need more work.

2006-06-12 14:26  hydonsingore

	* po/ChangeLog, po/zh_TW.po: Update traditional Chinese
	  translations; Modify personal e-mail address.

2006-06-11 22:10  olivier

	* src/main.c: Fix fgetc() not returning EOF on architectures where
	  char isn't signed (Patch from Michel Danzer
	  <michel@tungstengraphics.com>)

2006-06-11 22:07  olivier

	* src/client.c: Clamp pointer position when maximizing/unmaximizing
	  window on move (Patch from Ori Bernstein <rand_chars@rogers.com>,
	  fixes #1909)

2006-06-11 22:05  olivier

	* src/compositor.c: Fixes, improvements and optimizations for the
	  compositor.

2006-06-09 16:37  olivier

	* themes/default/menu-active.png, themes/default/menu-inactive.png,
	  ...
	  themes/default/top-right-inactive.png: Smoother gradient with
	  dark colors

2006-06-08 19:16  olivier

	* src/compositor.c: Compositor improvements.

2006-06-07 21:22  olivier

	* src/compositor.c, src/main.c: Avoid needlessly re-compositing
	  opaque windows in front of other damaged windows. This also helps
	  with stuff that isn't properly redirected yet, such as Xv and DRI
	  with free drivers (patch originally contributed by Michel Dänzer
	  <michel@tungstengraphics.com>).
	  Fix compilation with --enable-debug=full.

2006-06-05 23:11  adriano

	* po/ChangeLog, po/pt_BR.po: Updated brazilian portuguese
	  translations.

2006-06-05 21:24  olivier

	* src/compositor.c, src/compositor.h, src/display.h, src/main.c,
	  src/screen.h: Small code reorg.

2006-06-04 08:12  eulex

	* po/ChangeLog: Changelogs for appfinder, exo, utils, mcs-plugins,
	  mcs-manager,
	  xfce4-session, xfce4-mixer, thunar, libgui, xfwm4, the panel,
	  orage, trigger-launcher and terminal updated.
	  Also couldn't resist to fix a small error in the xfce4-mixer
	  Changelog.
	  Didn't updated the changelog of xfprint, because I discovered
	  that that translation wasn't updated, it had just slipped through
	  the commit by mistake.

2006-06-04 00:10  eulex

	* po/sv.po: obsolete strings in the swedish translations removed

2006-06-03 23:44  eulex

	* po/sv.po: Merged Swedish translations (by me and Jens Hagerman)
	  into the xfce svn.
	  This includes updated translations of appfinder, xfce-utils,
	  mcs-plugins,
	  xfprint, xfce4-session, xfce4-mixer, thunar, libxfcegui4, xfwm4,
	  xfce4-panel, xfdesktop, orage, xfce4-trigger-launcher and
	  mcs-manager,
	  and added translations for libexo and terminal.
	  The appropriate LINGUAS files were also updated.

2006-06-03 12:42  olivier

	* themes/daloa/close-active.xpm, themes/daloa/close-pressed.xpm,
	  ...
	  themes/daloa/top-right-inactive.xpm: Alignment in color table :)

2006-06-03 12:35  olivier

	* configure.ac.in, themes/Makefile.am, themes/daloa,
	  ...
	  themes/daloa/top-right-inactive.xpm: Missing a small theme in the
	  default set of themes, so add the theme contributed by Mike
	  Massonnet <mmassonnet@gmail.com> -now renamed Daloa-

2006-06-03 12:31  olivier

	* src/focus.c: Do not set the demand attention flag if not needed,
	  like for windows that don't want focus.

2006-06-03 09:21  olivier

	* src/client.c, src/compositor.c: Fix shape and shadow redraw
	  (again).

2006-06-03 07:55  olivier

	* src/display.c, src/display.h: Create _MOTIF_WM_INFO from the WM
	  to make rxvt-unicode happy and not use override-redirect windows
	  but proper Motif decoration hints to get borderless windows (Fix
	  bug #1877).

2006-05-31 19:53  olivier

	* themes/default/close-pressed.png,
	  ...
	  themes/default/stick-toggled-pressed.png: Adjust hilighting of
	  pressed buttons.

2006-05-30 23:21  yuvaltanny

	* po/he.po: Update Hebrew translation

2006-05-30 22:17  olivier

	* src/focus.c: Do not pass focus to the desktop by default (Fix bug
	  #1853). The problem is that xfdesktop sets its InputHint from WM
	  Hints property to False to avoid focus, but GTK+ itself sets the
	  WM_TAKE_FOCUS property, so it's impossible for the WM to tell
	  whether or not the windows may or may not accept focus, which
	  leads to unpredictable results when the last available focusable
	  window vanishes (which is just what happens in bug #1853. From
	  what I saw, metacity and kwin have the same problem. The
	  workaround used here is to simply not use the desktop as a
	  fallback focusable window. If the user wants to focus the
	  desktop, (s)he just has to explicitely click on it.

2006-05-30 21:39  olivier

	* src/events.c: Fix input flag not being updated on XA_WM_HINTS
	  property change

2006-05-30 13:35  piarres

	* po/eu.po: [l10n:eu] Basque translation little fix

2006-05-29 20:27  olivier

	* mcs-plugin/xfwm4_plugin.c: Set internals vars to static const
	  (patch from Nick Schermer <nick@xfce.org>, bug #1870)

2006-05-29 20:23  olivier

	* themes/default/close-active.xpm,
	  ...
	  themes/default/stick-toggled-pressed.xpm: Add a shadow to symbols
	  in frame buttons.

2006-05-29 20:09  olivier

	* src/compositor.c: Reorg. shape notify to catch all cases

2006-05-27 16:04  daichi

	* po/LINGUAS: * xfcalendar/trunk/po/LINGUAS,
	  xfce-utils/trunk/po/LINGUAS,
	  xfce4-appfinder/trunk/po/LINGUAS, xfce4-session/trunk/po/LINGUAS:
	  Added a newline at the end of file.
	  * xfce-mcs-manager/trunk/po/LINGUAS: Removed an extra white
	  space.
	  * xfce4-trigger-launcher/trunk/po/LINGUAS,
	  xfwm4/trunk/po/LINGUAS:
	  Removed an extra white line.

2006-05-27 15:25  daichi

	* po/ChangeLog, po/pl.po: Updated Polish translations by Szymon
	  Kalasz <szymon_maestro@gazeta.pl>.

2006-05-25 18:40  pollux

	* ., autogen.sh, configure.ac.in, mcs-plugin, po, po/LINGUAS, src,
	  ... themes/stoneage: * add LINGUAS
	  support
	  * update svn:ignore

2006-05-23 21:55  olivier

	* src/events.c: Set demand attention flag or actually activate a
	  window on NET_WM_ACTIVE notification based on user preference,
	  too.

2006-05-23 17:32  hydonsingore

	* po/ChangeLog, po/zh_TW.po: Correct strings containing Button
	  Label in traditional Chinese translations.

2006-05-23 11:08  piarres

	* po/ChangeLog, po/eu.po: [l10n:eu] Basque translation update

2006-05-23 02:45  daichi

	* po/ChangeLog, po/fi.po: Changed an address.

2006-05-22 20:25  olivier

	* configure.ac.in, src/main.c, xfwm4.spec.in: Add an option to
	  enable proxy for deprecated KDE systray protocol (may help for
	  bug #1836 eventually).

2006-05-21 16:40  olivier

	* po/fr.po: Update French translation.

2006-05-21 15:18  stavrosg

	* po/ChangeLog, po/el.po: Greek translations update.

2006-05-21 09:06  jari

	* po/fi.po: Updated Finnish translations.

2006-05-21 07:39  olivier

	* src/client.c: Why do we need to grab the Xserver here?

2006-05-21 05:09  daichi

	* po/ChangeLog: Fixed.

2006-05-21 04:59  daichi

	* po/ChangeLog, po/ja.po: Updated Japanese translations.

2006-05-21 03:13  daichi

	* po/ChangeLog, po/pl.po: Updated Polish translations by Szymon
	  Kalasz <szymon_maestro@gazeta.pl>.

2006-05-20 22:50  olivier

	* src/client.c, src/client.h, src/events.c, src/focus.c,
	  src/hints.h: Fix bug with WM hints for focus not being updated
	  properly, fix bug with gtk+ apps seen as focused even when
	  iconified (!)

2006-05-20 21:16  sas

	* po/hu.po: hu trunk: wm & terminal update

2006-05-20 21:15  olivier

	* src/client.h, src/focus.c: Return focus to the desktop if no
	  other window is focused.

2006-05-20 19:40  olivier

	* configure.ac.in: Fix the configure script that produced empty
	  Makefiles.

2006-05-20 13:25  olivier

	* mcs-plugin/xfwm4_shortcuteditor.c, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hi.po,
	  po/hu.po, po/it.po, po/ja.po, po/ko.po, po/lt.po, po/mr.po,
	  po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po,
	  po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot, po/zh_CN.po,
	  po/zh_TW.po, src/client.c, src/settings.c,
	  themes/default.keys/keythemerc: Put back configurable shortcut
	  for window cycling.

2006-05-20 11:33  olivier

	* mcs-plugin/xfwm4_shortcuteditor.c, src/display.c, src/display.h,
	  src/events.c, src/main.c, src/session.c, src/session.h,
	  src/settings.c, themes/default.keys/keythemerc: Refactoring,
	  allowing to close session the close window shortcut (fixes bug
	  #1776).
	  Fix the shortcut manager to not show additional un-managed
	  shortcuts.

2006-05-18 19:11  olivier

	* src/events.c, src/stacking.c: Fix an old bug with mouse button
	  grabs circulation.

2006-05-18 13:13  daichi

	* po/ChangeLog, po/ja.po: Updated Japanese translations.

2006-05-16 19:02  olivier

	* src/client.c, src/events.c: Don't consider windows that have the
	  below/ontop property as older legacy windows trying to achieve
	  fullscreen mode (should fix the issue reported on the ML).

2006-05-15 22:00  olivier

	* ChangeLog: Update ChangeLog

2006-05-15 21:58  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Update potfiles

2006-05-15 21:57  olivier

	* src/client.c, src/compositor.c, src/display.c,
	  src/event_filter.c, src/events.c, src/focus.c, src/frame.c,
	  src/hints.c, src/icons.c, src/keyboard.c, src/main.c, src/menu.c,
	  src/misc.c, src/mypixmap.c, src/mywindow.c, src/netwm.c,
	  src/parserc.c, src/placement.c, src/screen.c, src/session.c,
	  src/settings.c, src/spinning_cursor.c, src/stacking.c,
	  src/startup_notification.c, src/tabwin.c, src/transients.c,
	  src/ui_style.c, src/workspaces.c: Code cleanup.

2006-05-15 21:53  olivier

	* themes/default/bottom-active.png,
	  ...
	  the files are smaller.

2006-05-15 09:57  piarres

	* po/ChangeLog, po/eu.po: [l10n:eu] Basque translation update

2006-05-13 21:03  olivier

	* ChangeLog: Update ChangeLog.

2006-05-13 20:54  olivier

	* themes/default/menu-active.png, themes/default/menu-active.xpm,
	  ...
	  pixel, it gives a more balanced look.

2006-05-13 19:17  paurullan

	* po/ChangeLog, po/ca.po: [i18n] catalan translation
	  Update of xfwm4 by Carles Muñoz Gorriz

2006-05-13 08:30  olivier

	* mcs-plugin/workspaces.c: Fix plugin crashing when editing
	  workspace name (bug #1784)

2006-05-13 05:09  hydonsingore

	* po/ChangeLog, po/zh_TW.po: Update traditional Chinese
	  translations

2006-05-13 04:56  daichi

	* po/ChangeLog, po/pl.po: Updated Polish translations by Szymon
	  Kalasz <szymon_maestro@gazeta.pl>.

2006-05-12 20:44  olivier

	* themes/wallis/close-active.xpm, themes/wallis/close-pressed.xpm:
	  The red button is back.

2006-05-11 11:52  olivier

	* src/mypixmap.c: Ignore hot spot definition as we don't use it in
	  xfwm4, typos.

2006-05-11 11:34  olivier

	* src/mypixmap.c: Fix rendering of pixmaps that don't have any
	  transparency set.

2006-05-11 07:47  olivier

	* ChangeLog: Update ChangeLog

2006-05-09 20:41  olivier

	* src/mypixmap.c: Various typos.

2006-05-09 20:28  olivier

	* TODO, src/mypixmap.c: jpeg or jpg? I choose jpg, also prefer gif
	  to jpg or bmp as gif has a -1 bit- alpha channel.

2006-05-09 20:24  olivier

	* src/compositor.c, src/mypixmap.c: Add support for svg, png, bmp,
	  gif, jpg file formats for themes components.

2006-05-09 05:28  olivier

	* src/Makefile.am: Add missing bits to Makefile.am

2006-05-09 05:26  olivier

	* src/gen-color-table.pl, src/xpm-color-table.h: Add missing bits.

2006-05-08 21:38  olivier

	* configure.ac.in, src/Makefile.am, src/mypixmap.c, src/mypixmap.h,
	  src/settings.c, themes/moheli/title-1-inactive.xpm,
	  themes/moheli/title-3-inactive.xpm: Get rid on libXpm dependency
	  by reimplementing the XPM loader with color symbol substitution
	  (beware, it's a pretty huge change, handle with care).

2006-05-07 19:45  olivier

	* themes/default/title-1-active.png,
	  ...
	  themes/default/top-right-inactive.xpm: Enlarge top corners to
	  ease resize (simple usability improvement, not a theme change)

2006-05-07 19:34  olivier

	* po/POTFILES.in, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po, po/en_GB.po,
	  po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hi.po, po/hu.po,
	  po/it.po, po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po,
	  po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po,
	  po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot, po/zh_CN.po,
	  po/zh_TW.po: Update po

2006-05-07 15:06  olivier

	* mcs-plugin/Makefile.am, mcs-plugin/margins.c,
	  mcs-plugin/plugin.h, mcs-plugin/workspaces.c,
	  mcs-plugin/workspaces_plugin.c, mcs-plugin/workspaces_plugin.h:
	  Fix workspace name activation (fix #1778), fix window resize.

2006-05-07 14:46  olivier

	* mcs-plugin/plugin.c, mcs-plugin/workspaces_plugin.c: plugin.h

2006-05-07 14:46  olivier

	* mcs-plugin/plugin.c, mcs-plugin/plugin.h,
	  mcs-plugin/workspaces.c: plugin.c

2006-05-07 10:55  daichi

	* po/ChangeLog, po/pl.po: Updated Polish translations by Piotr
	  Malinski <admin@rk.edu.pl>.

2006-05-07 10:01  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Updated.

2006-05-07 08:15  jari

	* po/fi.po: Finnish translations updated.

2006-05-06 17:57  adriano

	* po/pt_BR.po: Updated Brazilian Portuguese translations.

2006-05-06 14:30  stavrosg

	* po/ChangeLog, po/el.po: Greek translations update.

2006-05-06 13:12  olivier

	* src/client.c, src/client.h, src/display.c, src/display.h,
	  src/event_filter.c, src/event_filter.h, src/events.c,
	  src/events.h, src/focus.c, src/icons.c, src/icons.h, src/menu.c,
	  src/menu.h, src/netwm.c, src/parserc.c, src/poswin.c,
	  src/screen.c, src/screen.h, src/settings.c,
	  src/startup_notification.c, src/tabwin.c, src/wireframe.c: Some
	  cleanup in headers vs. functions used.

2006-05-06 12:15  benny

	* mcs-plugin/plugin.c, mcs-plugin/wmtweaks_plugin.c,
	  mcs-plugin/xfwm4_plugin.c: Set "mcs-plugin-icon-name" so MCS
	  plugin icons are properly themable.

2006-05-06 10:32  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Update po

2006-05-06 10:31  olivier

	* mcs-plugin/plugin.c: Add close button.

2006-05-06 09:03  olivier

	* configure.ac.in, mcs-plugin/Makefile.am, mcs-plugin/plugin.c,
	  mcs-plugin/wmtweaks_plugin.c, mcs-plugin/xfwm4_plugin.c,
	  mcs-plugin/xfwm4_plugin.h: Convert to the new
	  xfce_titled_dialog_new ().

2006-05-05 23:00  olivier

	* mcs-plugin/wmtweaks_plugin.c, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hi.po,
	  po/hu.po, po/it.po, po/ja.po, po/ko.po, po/lt.po, po/mr.po,
	  po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po,
	  po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot, po/zh_CN.po,
	  po/zh_TW.po: Let gtk warp long lines, update po accordingly.

2006-05-05 21:59  olivier

	* src/events.c: Make gcc happy.

2006-05-05 21:52  olivier

	* src/events.c, src/frame.c, themes/default-4.0/themerc,
	  ...
	  themes/wallis/themerc: Fix
	  horizontal/vertical frame title offset, adjust themes
	  accordingly, fix a bug in maximization toggle.

2006-05-05 21:25  daichi

	* po/ChangeLog, po/cs.po: Updated Czech translations by Michal
	  Varady <miko.vaji@gmail.com>.

2006-05-05 06:11  daichi

	* po/ChangeLog, po/ja.po: Updated Japanese translations.

2006-05-04 17:49  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po, src/client.c,
	  src/display.h, src/event_filter.c, src/event_filter.h,
	  src/events.c, src/events.h, src/main.c, src/menu.c, src/menu.h,
	  src/ui_style.h, themes/default/close-active.png,
	  ...
	  themes/default/stick-toggled-pressed.xpm: Refactoring and small
	  cleanup.

2006-05-04 07:46  jari

	* po/fi.po: Minor update to the Finnish translation.

2006-05-03 22:07  olivier

	* themes/moheli/Makefile.am, themes/moheli/README,
	  ...
	  themes/moheli/top-right-inactive.xpm: Add Moheli's theme data.

2006-05-03 22:06  olivier

	* configure.ac.in, po/POTFILES.in, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hi.po,
	  po/hu.po, po/it.po, po/ja.po, po/ko.po, po/lt.po, po/mr.po,
	  po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po,
	  po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot, po/zh_CN.po,
	  po/zh_TW.po, src/Makefile.am, src/client.c, src/display.h,
	  src/event_filter.c, src/event_filter.h, src/events.c,
	  src/events.h, src/gtk_style.c, src/gtk_style.h,
	  src/gtktoxevent.c, src/gtktoxevent.h, src/main.c, src/menu.c,
	  src/menu.h, src/settings.c, src/ui_style.c, src/ui_style.h,
	  ...
	  themes/moheli: Use a
	  separate implementation from libxfcegui4 for gtk style and event
	  filters, update theme, add new theme 'Moheli'.

2006-05-03 21:15  olivier

	* src/gtk_style.h: Copy gtk style routines from libxfcegui4.

2006-05-03 21:15  olivier

	* src/gtk_style.c: Copy gtk style routines from libxfcegui4.

2006-05-03 21:13  olivier

	* src/gtktoxevent.h: Copy event filter from libxfcegui4.

2006-05-03 21:13  olivier

	* src/gtktoxevent.c: Copy event filter from libxfcegui4.

2006-05-02 19:07  olivier

	* themes/default/close-active.png,
	  ...
	  themes/default/themerc:
	  Rework the buttons.

2006-05-02 18:58  olivier

	* src/mywindow.c: Don't set pict_format if RENDER is not present
	  (Thx to Oliver Lehmann <oliver@FreeBSD.org> for pointing this
	  out)

2006-05-02 16:06  daichi

	* po/ChangeLog: Removed timestamps so that a translator isn't
	  bothered:
	  "Then, what time is it now in UTC?"

2006-05-02 12:23  daichi

	* po/pl.po: Updated Polish translations by Piotr Malinski
	  <admin@rk.edu.pl>.

2006-05-01 21:56  olivier

	* themes/default/close-active.png, themes/default/close-active.xpm,
	  ...
	  themes/default/top-right-inactive.xpm: Theme tweaking.

2006-05-01 07:04  daichi

	* po/hu.po: Updated.

2006-04-30 16:00  daichi

	* po/pl.po: Updated Polish translations by Piotr Malinski
	  <admin@rk.edu.pl>.

2006-04-30 15:41  olivier

	* mcs-plugin/xfwm4_shortcuteditor.c: Rephrase the
	  comment/explanation.

2006-04-30 15:34  olivier

	* mcs-plugin/xfwm4_shortcuteditor.c: Fix the modifier testing, that
	  breaks the Super key as a modifier but it's the only clean way to
	  get something working reliably. Need to send a message to the ML
	  or we shall get flooded with bug reports though...

2006-04-30 09:07  sas

	* po/hu.po: hu trunk: updates

2006-04-30 08:36  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Updated.

2006-04-29 22:12  olivier

	* mcs-plugin/xfwm4_shortcuteditor.c: Clean-up the modifier mess in
	  shortcut editor, now should be using the same codebase as
	  Terminal.

2006-04-29 12:15  daichi

	* po/pl.po: Updated Polish translations by Piotr Malinski
	  <riklaunim@gmail.com>.

2006-04-29 11:48  daichi

	* po/vi.po: Updated Vietnamese translations by Phan Vinh Thinh
	  <teppi@vnlinux.org>.

2006-04-27 19:29  olivier

	* src/main.c, themes/default/close-active.png,
	  ...
	  themes/default/top-right-inactive.png: Don't bother checking for
	  render speed if the composite extension is not supported/enabled
	  on the screen.

2006-04-26 19:50  olivier

	* themes/default/close-pressed.png,
	  ...
	  themes/default/top-right-inactive.xpm: Improve hilights and
	  shadows of the pressed buttons.

2006-04-26 08:38  peetervois

	* po/et.po:

2006-04-25 16:32  mvd

	* po/uk.po: 2006-04-25 Maxim Dziumanenko <mvd@mylinux.ua>
	  
	  * Updated Ukrainian translation.

2006-04-25 06:10  olivier

	* src/client.c: Allow any modifier but Shift to end window cycling.

2006-04-24 21:06  olivier

	* src/client.c: Remove superfluous space left.

2006-04-24 21:03  olivier

	* src/client.c: Use XLookupKeysym () instead of XKeycodeToKeysym
	  (), might help with bug 1723.

2006-04-24 20:34  olivier

	* src/settings.c: Use negative value to enlarge shadows instead of
	  abs values, should put an end to #666.

2006-04-23 22:08  olivier

	* themes/default/close-active.png, themes/default/close-active.xpm,
	  ...
	  themes/default/stick-toggled-pressed.xpm: Slightly enlarge
	  buttons to increase usability of the default theme.

2006-04-23 22:05  olivier

	* configure.ac.in: Give some hint on why a particular pkg-config
	  tests fails.

2006-04-23 21:55  olivier

	* src/hints.c: Some clients don't set their WM_CLIENT_MACHINE
	  property, so we need to check for the string length (Should fix
	  #1711)

2006-04-23 14:14  stavrosg

	* po/el.po: Greek translation update

2006-04-23 11:56  daichi

	* po/ru.po: Updated Russian translations by Sergey Fedoseev
	  <fedoseev.sergey@gmail.com>.

2006-04-23 09:06  daichi

	* po/ja.po: Updated Japanese translations.

2006-04-23 07:54  jari

	* po/fi.po: Finnish translations updated.

2006-04-23 06:28  daichi

	* po/vi.po: Updated Vietnamese translations by Phan Vinh Thinh
	  <teppi@vnlinux.org>.

2006-04-22 14:07  olivier

	* themes/default-4.0/close-active.xpm,
	  ...
	  themes/wallis/stick-toggled-pressed.xpm: Unexpand

2006-04-22 13:59  olivier

	* themes/default/close-active.xpm,
	  ...
	  themes/wallis/stick-toggled-pressed.xpm: Use active text color in
	  buttons so that the symbol stays visible with all color schemes.

2006-04-22 13:40  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po, src/hints.c: Add note to
	  translators as requested.

2006-04-22 06:19  sas

	* po/hu.po: hu trunk: some wm & orage updates

2006-04-21 20:59  olivier

	* themes/default/README, themes/default/close-active.png,
	  ...
	  themes/default/stick-toggled-inactive.png: Small tweaking

2006-04-21 00:04  stavrosg

	* po/el.po: * Greek translation update

2006-04-20 20:57  olivier

	* src/main.c: Increase render threshold to 0.025 instead of 0.01
	  sec.

2006-04-20 19:59  olivier

	* themes/default/menu-active.png, themes/default/menu-inactive.png,
	  ...
	  bar hilight and shadow.

2006-04-20 19:56  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Same strings, different
	  sources, need to update the po that reference the file and line
	  of the strings.

2006-04-20 19:55  olivier

	* src/client.c, src/client.h, src/events.c, src/frame.c,
	  src/hints.c: Optimize the code commited yesterday.

2006-04-20 09:50  sas

	* po/hu.po: hu trunk: wm updated

2006-04-19 22:05  olivier

	* configure.ac.in, po/POTFILES.in, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hi.po,
	  po/hu.po, po/it.po, po/ja.po, po/ko.po, po/lt.po, po/mr.po,
	  po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po,
	  po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot, po/zh_CN.po,
	  po/zh_TW.po, src/client.c, src/client.h, src/display.c,
	  src/display.h, src/events.c, src/frame.c, src/hints.c,
	  src/hints.h, src/main.c, src/placement.c, src/workspaces.c,
	  src/workspaces.h: Add host name on windows running on remote
	  hosts (ala metacity), prevent windows above dock from being off
	  screen, fix restore on move sensitivity.

2006-04-19 17:00  sas

	* po/hu.po: hu trunk: updates

2006-04-19 16:17  benny

	* mcs-plugin/plugin.c, mcs-plugin/wmtweaks_plugin.c,
	  mcs-plugin/xfwm4_plugin.c, src/settings.c: Separate translation
	  for the settings manager label. Patch from Adriano Winter Bess.
	  Bug #1669.

2006-04-19 09:47  jari

	* po/fi.po: Finnish translation updated.

2006-04-18 15:03  daichi

	* po/et.po: Updated Estonian translations by Peeter Vois
	  <Peeter.Vois@proekspert.ee>.

2006-04-16 07:00  sas

	* po/hu.po: hu trunk: panel, wm & mcs-plugins updates

2006-04-16 04:36  daichi

	* po/ru.po: Updated Russian translations by Andrey Fedoseev
	  <andrey.fedoseev@gmail.com>.

2006-04-15 17:44  olivier

	* ChangeLog: Update ChangeLog

2006-04-15 12:10  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/zh_CN.po, po/zh_TW.po: Bump, etc.

2006-04-15 09:08  olivier

	* src/display.c: No need to display the actual results of the
	  XRender test if it's passed.

2006-04-15 03:17  daichi

	* po/ja.po: Updated Japanese translations.

2006-04-15 03:03  daichi

	* po/ru.po: Updated Russian translations by Andrey Fedoseev
	  <andrey.fedoseev@gmail.com>.

2006-04-14 23:58  daichi

	* po/fi.po: Updated Finnish translations by Jari Rahkonen
	  <jari.rahkonen@pp1.inet.fi>.

2006-04-14 21:53  olivier

	* themes/katiola/close-active.png,
	  themes/katiola/stick-toggled-pressed.png: Change gradient
	  background.

2006-04-14 20:53  olivier

	* src/compositor.c: Beuh, the shadows under the panel where gone
	  and nobody complained :(

2006-04-14 19:36  olivier

	* src/display.c: Add explicit target and measured value of the
	  XRender test.

2006-04-14 09:33  sas

	* po/hu.po: hu trunk: wm & print updates

2006-04-13 21:42  olivier

	* themes/katiola/README, themes/katiola/bottom-active.png,
	  ...
	  themes/katiola/top-right-inactive.xpm: Add theme data for
	  Katiola.

2006-04-13 21:40  olivier

	* configure.ac.in, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po, po/en_GB.po,
	  po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hi.po, po/hu.po,
	  po/it.po, po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po,
	  po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po,
	  po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot, po/zh_CN.po,
	  po/zh_TW.po, themes/Makefile.am, themes/katiola,
	  themes/katiola/Makefile.am: Add new theme 'Katiola' (as in RCI).

2006-04-13 21:25  olivier

	* themes/default/close-active.xpm,
	  ...
	  remove
	  the red close button

2006-04-13 21:07  olivier

	* mcs-plugin/xfwm4_shortcuteditor.c: Use currently selected key
	  theme as a template when creating a new key theme.

2006-04-11 21:39  olivier

	* mcs-plugin/xfce-wmtweaks-settings.desktop.in: Fix typo in
	  wmtwkeaks icon name (I thought I applied a patch from Adriano
	  Winter Bess <awbess@gmail.com> some time ago for that but
	  probably missed it as it's still not fixed...)

2006-04-08 20:28  olivier

	* ChangeLog, configure.ac.in: Update ChangeLog, bump version to
	  4.3.90.1 (4.4 beta 1)

2006-04-08 15:18  daichi

	* po/fi.po: Updated Finnish translations by Jari Rahkonen
	  <jari.rahkonen@pp1.inet.fi>.

2006-04-07 18:51  olivier

	* configure.ac.in, themes/stoneage/bottom-active.xpm,
	  ...
	  themes/stoneage/top-right-inactive.xpm: Apply Benny's patch that
	  fixes Xrandr detection if Xrender is present but not Xrandr.

2006-04-06 12:23  daichi

	* po/vi.po: Updated Vietnamese translations by Phan Vinh Thinh
	  <teppi@vnlinux.org>.

2006-04-02 20:32  paurullan

	* po/ca.po: [i18n] catalan
	  little of work on catalan translations

2006-04-02 18:47  olivier

	* mcs-plugin/xfwm4_plugin.c: Fix typo in icon name (Adriano Winter
	  Bess <awbess@gmail.com>)

2006-04-02 15:46  daichi

	* po/ja.po: Fixed according to the context.

2006-04-02 15:38  daichi

	* po/ja.po: Updated Japanese translations.

2006-04-02 13:35  olivier

	* src/compositor.c: Fix a couple of issues with shaped windows.

2006-04-02 09:00  stavrosg

	* po/el.po: Really corrected now

2006-04-02 02:32  stavrosg

	* po/el.po: Greek fuzzy

2006-04-01 21:22  olivier

	* po/fr.po: Fuzzy

2006-04-01 21:18  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: /me stupid; when adding
	  context, use a meaningful context...

2006-04-01 21:08  olivier

	* mcs-plugin/wmtweaks_plugin.c: Use const, it's good for you.

2006-04-01 21:02  olivier

	* mcs-plugin/wmtweaks_plugin.c, mcs-plugin/xfwm4_plugin.c,
	  po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Add context to some
	  translations as suggested by Adriano Winter Bess
	  <awbess@gmail.com> (Fix bug #1629) - Beware, it breaks existing
	  translations :(

2006-04-01 20:38  olivier

	* src/compositor.c, src/display.c, src/main.c, src/mywindow.c: Try
	  to improve the XRender benchmark.

2006-04-01 03:37  stavrosg

	* po/el.po: Greek translations update & polish by Stathis Kamperis
	  <ekamperi@auth.gr>

2006-03-31 21:54  olivier

	* src/compositor.c, src/compositor.h, src/display.c, src/display.h,
	  src/main.c: If no compositor options is passed, check for older
	  X.org versions and also check the XRender implementation before
	  enabling the compositor automatically.

2006-03-30 19:17  olivier

	* src/hints.c: Indentation

2006-03-30 17:34  olivier

	* src/hints.c: Fix a potential memory corruption.

2006-03-30 13:41  daichi

	* po/vi.po: Updated Vietnamese translations by Phan Vinh Thinh
	  <teppi@vnlinux.org>.

2006-03-29 22:04  olivier

	* src/compositor.c: Rework the computation of the display of frame
	  shadows.

2006-03-27 20:37  olivier

	* src/hints.c, src/main.c: Fixes (yeah, I know, I'm lame)

2006-03-27 19:31  olivier

	* mcs-plugin/xfwm4_shortcuteditor.c: Fix value computed not used
	  warning (and bug).

2006-03-27 17:30  olivier

	* src/hints.c: Fix unitialized value.

2006-03-27 14:34  daichi

	* po/ru.po: Added/Updated Russian translations by
	  Andrey Fedoseev <andrey.fedoseev@gmail.com> and
	  Sergey Fedoseev <fedoseev.sergey@gmail.com>.

2006-03-27 05:37  olivier

	* src/hints.c: Fix yet another bug introduced yesterday.

2006-03-26 23:09  olivier

	* src/hints.c: Fix a bug from previous commit.

2006-03-26 22:49  olivier

	* mcs-plugin/margins.c, mcs-plugin/plugin.c,
	  mcs-plugin/wmtweaks_plugin.c, mcs-plugin/workspaces.c,
	  mcs-plugin/xfwm4_plugin.c, mcs-plugin/xfwm4_shortcuteditor.c,
	  src/client.c, src/events.c, src/hints.c, src/icons.c, src/main.c,
	  src/misc.c, src/mypixmap.c, src/settings.c,
	  src/startup_notification.c: Various bug and warning fixes.

2006-03-26 14:47  daichi

	* po/ja.po: Updated Japanese translations.

2006-03-26 09:35  olivier

	* configure.ac.in, defaults/defaults, mcs-plugin/wmtweaks_plugin.c:
	  Enable compositor by default (I think it's pretty safe to enable
	  it now, it's a pretty well tested feature that's been there since
	  4.2) but use no shadow or transparency by default so that it's
	  still nice to cards which don't have render acclerated in
	  hardware. Users can tweak that using the wmtweaks settings, and
	  if they really don't want the compositor to be enabled, they can
	  either disable that in the Xorg.conf or even recompile xfwm4
	  withoug the compositor enabled.

2006-03-26 09:32  olivier

	* doc/C/xfwm4.html, doc/fr/xfwm4.html, doc/it/xfwm4.html,
	  doc/it/xfwm4.xml: Check path of xfwm4rc and regenerate html
	  version in case.

2006-03-26 00:26  stavrosg

	* po/el.po: * Greek translation update

2006-03-24 23:02  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Update po

2006-03-24 22:59  olivier

	* mcs-plugin/wmtweaks_plugin.c: Random text paste removal

2006-03-24 22:55  olivier

	* mcs-plugin/wmtweaks_plugin.c, src/client.c, src/events.c,
	  src/keyboard.c, src/keyboard.h, src/settings.c, src/settings.h:
	  Make the modifier for clickand move configurable, and rework the
	  wmtweaks plugin.

2006-03-24 14:46  olivier

	* src/hints.c, src/hints.h: Trivial cleanup

2006-03-24 12:26  olivier

	* mcs-plugin/wmtweaks_plugin.c, src/client.c, src/events.c,
	  src/hints.c, src/hints.h, src/menu.c, src/menu.h, src/screen.c,
	  src/screen.h, src/settings.c, src/workspaces.c, src/workspaces.h,
	  ...
	  themes/wallis/top-right-active.xpm: Fix desktop names not showing
	  in window menu and other various fixes.

2006-03-20 06:39  olivier

	* src/client.c, src/tabwin.c: Cannot get ellipisize and centered
	  label to play well together across pango versions (namely
	  1.10.and 1.12).

2006-03-19 16:54  paurullan

	* po/ca.po: [i18n] catalan
	  seems a lot of work but they all are fuzzy

2006-03-19 02:01  daichi

	* po/ja.po: Updated Japanese translations.

2006-03-18 23:43  piarres

	* po/eu.po: BAsque tarsnaltion litle update

2006-03-18 14:47  paurullan

	* po/ca.po: [i18n] catalan
	  added null translation and some little tweaks to not-parsing ones

2006-03-18 09:15  daichi

	* po/ru.po: Added/Updated Russian translations by
	  Andrey Fedoseev <andrey.fedoseev@gmail.com>,
	  Sergey Fedoseev <fedoseev.sergey@gmail.com>.

2006-03-15 20:35  olivier

	* src/tabwin.c: In recent gtk/pango versions, it seems that setting
	  the ellipsize property on the label also changes the alignment,
	  so we need to set the justify property also.

2006-03-14 22:37  olivier

	* src/tabwin.c: Do not force ellipsize if not defined, it breaks
	  the label alignment as it seems.

2006-03-14 22:24  olivier

	* src/compositor.c: Base computation of rendering on actual window
	  opacity, take frame opacity into account for shadows.

2006-03-13 22:42  olivier

	* defaults/defaults, mcs-plugin/wmtweaks_plugin.c, po/ar.po,
	  po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po,
	  po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po,
	  po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po,
	  po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot,
	  po/zh_CN.po, po/zh_TW.po, src/compositor.c, src/settings.c,
	  src/settings.h: Add support for semi-transparent window
	  decorations, user configurable through the wmteaks plugin
	  (inspired by Aquila Deus <aquila_deus@yahoo.co.uk>
	  implementation, bug #1103)

2006-03-12 09:13  olivier

	* src/events.c: Expand tabs

2006-03-12 09:09  olivier

	* src/events.c: Don't allow resizing in fullscreen mode (fix bug
	  #1567)

2006-03-11 22:14  olivier

	* themes/wallis/themerc: Reduce button spacing for Wallis theme.

2006-03-11 22:08  olivier

	* themes/wallis/bottom-active.xpm,
	  ...
	  Use a colored frame for Wallis.

2006-03-11 19:07  gnu_sylvain

	* po/eo.po: Esperanto translations update: corrected two strings,
	  and email address.

2006-03-11 18:59  gnu_sylvain

	* po/eo.po: Esperanto translation update.

2006-03-11 08:26  olivier

	* mcs-plugin/xfwm4_shortcuteditor.c: The name and bindings did no
	  nmatch in the shortcut plugin.

2006-03-10 23:35  olivier

	* src/netwm.c: Force skip taskbar and skip pager property on some
	  known windows types.

2006-03-10 23:20  olivier

	* src/client.h: Do not place windows of type UTILITY either.

2006-03-10 23:14  olivier

	* src/client.h, src/focus.c: Do not focus windows of type UTILITY,
	  fix bug #1094

2006-03-10 21:41  olivier

	* icons/48x48/Makefile.am, icons/48x48/xfce4-keys.png: Remove
	  xfce4-keys.png, fix bug #1426.

2006-03-10 14:42  olivier

	* mcs-plugin/xfwm4_shortcuteditor.c, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hi.po,
	  po/hu.po, po/it.po, po/ja.po, po/ko.po, po/lt.po, po/mr.po,
	  po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po,
	  po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot, po/zh_CN.po,
	  po/zh_TW.po, src/client.c, src/settings.c, src/tabwin.c: The
	  Alt+Tab shortcut for windows cycling is no more configurable,
	  which helps cleaning up the code.

2006-03-08 21:44  olivier

	* configure.ac.in, themes/Makefile.am, themes/wallis/README,
	  ...
	  themes/wallis/themerc:
	  Update the Wallis theme.

2006-03-08 21:35  olivier

	* themes/wallis: Moving back wallis to xfwm4.

2006-03-08 21:17  olivier

	* themes/tyrex/Makefile.am, themes/tyrex/close-active.png,
	  ...
	  themes/tyrex/themerc:
	  Tweak themes for 4.4

2006-03-08 20:38  olivier

	* src/tabwin.c: Name the tabwin widget to allow customization.

2006-03-06 22:05  olivier

	* mcs-plugin/margins.c, mcs-plugin/margins.h,
	  mcs-plugin/monitor-icon.h, mcs-plugin/plugin.c,
	  mcs-plugin/plugin.h, mcs-plugin/wmtweaks_plugin.c,
	  mcs-plugin/workspaces.c, mcs-plugin/workspaces.h,
	  mcs-plugin/xfwm4_plugin.c, mcs-plugin/xfwm4_plugin.h,
	  mcs-plugin/xfwm4_shortcuteditor.c,
	  mcs-plugin/xfwm4_shortcuteditor.h: Mess with svn properties -
	  Time to sleep.

2006-03-06 21:41  olivier

	* mcs-plugin/margins.c, mcs-plugin/margins.h,
	  mcs-plugin/monitor-icon.h, mcs-plugin/plugin.c,
	  mcs-plugin/plugin.h, mcs-plugin/wmtweaks_plugin.c,
	  mcs-plugin/workspaces.c, mcs-plugin/workspaces.h,
	  mcs-plugin/xfwm4_plugin.c, mcs-plugin/xfwm4_plugin.h,
	  mcs-plugin/xfwm4_shortcuteditor.c,
	  mcs-plugin/xfwm4_shortcuteditor.h: SVN propset

2006-03-06 21:35  olivier

	* mcs-plugin/wmtweaks_plugin.c: Mispelled SVN keyword

2006-03-06 21:34  olivier

	* defaults/defaults, mcs-plugin/plugin.c,
	  mcs-plugin/wmtweaks_plugin.c, mcs-plugin/workspaces.c,
	  mcs-plugin/xfwm4_plugin.c, mcs-plugin/xfwm4_shortcuteditor.c:
	  Turn snap resistance to false by default.

2006-03-04 12:07  olivier

	* src/compositor.c: Cleanup

2006-03-04 11:54  olivier

	* src/client.c, src/client.h, src/compositor.c, src/focus.c,
	  src/keyboard.c, src/keyboard.h: Allow focusing windows even when
	  other modifiers are pressed (fix 2nd part of bug #1530) - This is
	  somehow experimental as I'm not sure of the side effects for the
	  apps and may be reverted if too much people complain.

2006-03-04 11:10  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Updated.

2006-03-01 20:22  olivier

	* src/compositor.c: Wrong color, dude.

2006-03-01 20:20  olivier

	* src/compositor.c: That green, err, nah.

2006-02-27 17:49  olivier

	* src/misc.c: Typo, fix bug #1512

2006-02-26 20:27  olivier

	* src/main.c: Trivial fix

2006-02-26 17:43  olivier

	* src/main.c: Add build Configuration and supported features
	  summary

2006-02-26 16:02  olivier

	* mcs-plugin/wmtweaks_plugin.c, mcs-plugin/xfwm4_plugin.c: Improve
	  focus management with focus stealing prevention

2006-02-26 16:02  olivier

	* src/compositor.c, src/compositor.h, src/events.c, src/screen.h:
	  Fix screen resize with compositor running

2006-02-26 15:08  daichi

	* po/ja.po: Updated Japanese translations.

2006-02-25 09:12  olivier

	* src/client.c, src/display.c, src/display.h, src/events.c,
	  src/hints.c, src/hints.h, src/screen.c, src/screen.h: Disable KDE
	  systray proxy in xfwm4 as KDE now supports standard systray

2006-02-25 07:29  olivier

	* mcs-plugin/wmtweaks_plugin.c, mcs-plugin/xfwm4_plugin.c,
	  src/focus.c: Revert previous patch as the first implementation
	  was correct, but update the user_time to get an accurate value

2006-02-25 06:00  daichi

	* autogen.sh: Fixed NULL revision string for certain locales.

2006-02-24 21:17  olivier

	* mcs-plugin/wmtweaks_plugin.c, mcs-plugin/xfwm4_plugin.c,
	  src/focus.c: Fix focus prevention if timestamp is 0 in the WM,
	  fix focus prevention in the plugins so that the windows get
	  focused anyway

2006-02-24 12:41  daichi

	* po/fi.po: Updated Finnish translations by Jari Rahkonen
	  <jari.rahkonen@pp1.inet.fi>.

2006-02-23 06:20  olivier

	* src/client.c: Woops, yesterdays' algorithm was flawed...

2006-02-22 22:31  olivier

	* src/client.c: Remove useless initialization.

2006-02-22 22:26  olivier

	* src/client.c, src/events.c: Use an idle function to recompute the
	  windows layout on screen size changes.

2006-02-22 21:12  stavrosg

	* po/el.po: Updated/Added Greek translations

2006-02-22 18:30  olivier

	* themes/therapy/README, themes/therapy/close-active.png,
	  ...
	  themes/therapy/themerc:
	  Update the Therapy theme for Xfce 4.4

2006-02-21 06:37  olivier

	* autogen.sh: Avoid side effects with the locale

2006-02-20 22:07  olivier

	* src/client.c, src/workspaces.c: Adjust windows position and
	  maximization on screen resize or when updating struts

2006-02-19 16:35  daichi

	* po/de.po: Updated German translations by Fabian Nowak
	  <timystery@arcor.de>.

2006-02-18 08:21  olivier

	* configure.ac.in, mcs-plugin/Makefile.am, mcs-plugin/margins.c,
	  mcs-plugin/margins.h, mcs-plugin/monitor-icon.h,
	  mcs-plugin/monitor-icon.png, mcs-plugin/plugin.c,
	  mcs-plugin/plugin.h, mcs-plugin/wmtweaks_plugin.c,
	  mcs-plugin/workspaces.c, mcs-plugin/workspaces.h,
	  mcs-plugin/xfce-wm-settings.desktop.in,
	  mcs-plugin/xfce-wmtweaks-settings.desktop.in,
	  mcs-plugin/xfce-workspaces-settings.desktop.in,
	  mcs-plugin/xfwm4_plugin.c, mcs-plugin/xfwm4_plugin.h,
	  mcs-plugin/xfwm4_shortcuteditor.c,
	  mcs-plugin/xfwm4_shortcuteditor.h, src/Makefile.am, src/client.c,
	  src/client.h, src/compositor.c, src/compositor.h,
	  src/default_icon.png, src/display.c, src/display.h, src/events.c,
	  src/events.h, src/focus.c, src/focus.h, src/frame.c, src/frame.h,
	  src/hints.c, src/hints.h, src/icons.c, src/icons.h,
	  src/inline-default-icon.h, src/inline-tabwin-icon.h,
	  src/keyboard.c, src/keyboard.h, src/main.c, src/menu.c,
	  src/menu.h, src/misc.c, src/misc.h, src/mypixmap.c,
	  src/mypixmap.h, src/mywindow.c, src/mywindow.h, src/netwm.c,
	  src/netwm.h, src/parserc.c, src/parserc.h, src/placement.c,
	  src/placement.h, src/poswin.c, src/poswin.h, src/screen.c,
	  src/screen.h, src/session.c, src/session.h, src/settings.c,
	  src/settings.h, src/spinning_cursor.c, src/spinning_cursor.h,
	  src/stacking.c, src/stacking.h, src/startup_notification.c,
	  src/startup_notification.h, src/tabwin-icon.png, src/tabwin.c,
	  src/tabwin.h, src/transients.c, src/transients.h,
	  src/wireframe.c, src/wireframe.h, src/workspaces.c,
	  src/workspaces.h: Update copyright date and add properties

2006-02-17 11:51  olivier

	* AUTHORS: Add missing contributor

2006-02-17 11:48  olivier

	* src/poswin.c: Seems that the popup displaying window size and/or
	  position is confusing the event management so that a button press
	  followed immediatly by a button release misses the release event,
	  so don't use a gtk_widget_show_now () (Fix bug #1467)

2006-02-16 20:47  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Update po

2006-02-15 21:13  olivier

	* AUTHORS, defaults/defaults, mcs-plugin/wmtweaks_plugin.c,
	  src/client.c, src/settings.c, src/settings.h: Merge a patch from
	  Damon Harper <dl+xfce4-dev@usrbin.ca> that implements edge
	  resistance instead of windows snapping

2006-02-15 21:10  olivier

	* AUTHORS: Add contributors

2006-02-15 20:55  olivier

	* ChangeLog: Update ChangeLog

2006-02-15 20:49  olivier

	* ChangeLog: Update ChangeLog

2006-02-13 16:32  olivier

	* themes/default.keys/keythemerc: Fix default key shortcuts for
	  desktop navigation (Fix #1450)

2006-02-13 12:28  pollux

	* po/vi.po: updated VI translations

2006-02-12 22:15  olivier

	* src/client.c: Use smarter maximization that takes partial struts
	  into account even among the same monitor.

2006-02-12 12:29  daichi

	* po/fi.po: Updated Finnish translations by Jari Rahkonen
	  <jari.rahkonen@pp1.inet.fi>.

2006-02-12 12:26  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Updated.

2006-02-12 01:45  stavrosg

	* po/el.po: Updated Greek translation

2006-02-10 17:52  olivier

	* src/focus.c, src/main.c: Add version string for 'what', don't
	  raise window that w/out focus only when focus stealing prevention
	  is active (might help for bug #1445)

2006-02-07 10:46  olivier

	* src/compositor.c: Don't apply a shadow on ARBG windows as they
	  can have arbitrary shapes (Fix bug #1430)

2006-02-05 17:53  yuvaltanny

	* po/he.po: Update Hebrew translations

2006-02-02 20:43  olivier

	* po/fr.po: String too long in french...

2006-02-02 20:36  olivier

	* icons/48x48/Makefile.am, icons/48x48/wmtweak.png,
	  icons/48x48/wmtweaks.png, icons/scalable/Makefile.am,
	  icons/scalable/wmtweak.svg, icons/scalable/wmtweaks.svg: Icon
	  name

2006-02-02 20:33  olivier

	* po/POTFILES.in, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po, po/en_GB.po,
	  po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hi.po, po/hu.po,
	  po/it.po, po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po,
	  po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po,
	  po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot, po/zh_CN.po,
	  po/zh_TW.po: Resync

2006-02-02 20:21  olivier

	* mcs-plugin/wmtweak_plugin.c, mcs-plugin/wmtweaks_plugin.c: Stay
	  conherent in WM tweaks plugin naming

2006-02-02 20:20  olivier

	* mcs-plugin/Makefile.am, mcs-plugin/wmtweak_plugin.c,
	  mcs-plugin/xfce-wmtweaks-settings.desktop.in: Stay conherent in
	  WM tweaks plugin naming

2006-02-01 18:39  olivier

	* po/fr.po: Update french locale

2006-01-31 21:50  olivier

	* src/compositor.c: Include new default colors for 4.4

2006-01-30 21:10  olivier

	* mcs-plugin/xfce-wmtweaks-settings.desktop.in: Use the correct
	  icon in desktop entry

2006-01-30 21:09  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Update french
	  localization and other pot files

2006-01-30 21:08  olivier

	* src/events.c: Fix show desktop shortcut

2006-01-29 07:21  daichi

	* po/ja.po: Updated Japanese translations.

2006-01-29 06:52  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: * Updated.
	  * Discarded obsolete translations.

2006-01-28 13:57  olivier

	* icons/48x48/Makefile.am, icons/48x48/wmtweak.png,
	  icons/scalable/Makefile.am, icons/scalable/wmtweak.svg,
	  mcs-plugin/wmtweak_plugin.c: Add new icon to WM tweak plugin.

2006-01-27 22:34  olivier

	* src/events.c: Remove trace.

2006-01-27 22:31  olivier

	* src/client.c, src/client.h, src/events.c, src/screen.c,
	  src/screen.h: Remove NET_SHOWING_DESKTOP flag upon window
	  deiconification (fix bug #1385)

2006-01-27 20:28  olivier

	* src/compositor.c: Fix shadow remanence after windows shuffling.

2006-01-21 23:41  olivier

	* mcs-plugin/wmtweak_plugin.c: Rephase some messages according to
	  Brian's recommendations. Thanks Brian!

2006-01-21 13:35  olivier

	* mcs-plugin/wmtweak_plugin.c, mcs-plugin/xfwm4_plugin.c: Small
	  code cleanup

2006-01-21 11:19  olivier

	* mcs-plugin/plugin.c, mcs-plugin/wmtweak_plugin.c,
	  mcs-plugin/xfwm4_plugin.c, mcs-plugin/xfwm4_plugin.h,
	  mcs-plugin/xfwm4_shortcuteditor.c, src/compositor.c: Fixes to the
	  new WM tweak plugin, fix for the window manager to handle changes
	  in compositing settings in real time, check what window manager
	  is running and disable WM settings if not running xfwm4.

2006-01-20 22:45  olivier

	* mcs-plugin/wmtweak_plugin.c, src/settings.c: Fix compositing
	  manager not being detected, repaint screen upon shadow changes.

2006-01-20 22:27  olivier

	* defaults/defaults, mcs-plugin/Makefile.am,
	  mcs-plugin/wmtweak_plugin.c,
	  mcs-plugin/xfce-wmtweaks-settings.desktop.in,
	  mcs-plugin/xfwm4_plugin.c, po/POTFILES.in, src/settings.c: Add
	  the long awaited wm tweaks plugin.

2006-01-18 17:48  daichi

	* po/ChangeLog: Updated.

2006-01-10 18:47  olivier

	* src/events.c: Forgot to deal with event timestamp == 0 for
	  NET_ACTIVE_WINDOW.

2006-01-09 22:34  olivier

	* src/events.c: Improving EWMH activate.

2006-01-08 21:12  paurullan

	* po/ca.po: catalan translation:
	  little heading fixing but in every trunk file
	  Created the xfmedia translation

2006-01-08 13:52  olivier

	* src/compositor.c: Take window opacity into account for the
	  shadow.

2006-01-07 17:58  olivier

	* mcs-plugin/margins.c, mcs-plugin/workspaces.c,
	  mcs-plugin/xfwm4_plugin.c: Some obvious optimizations to speed up
	  MCS startup.

2006-01-07 09:40  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/zh_CN.po, po/zh_TW.po: Updated copyright information.

2006-01-05 21:59  olivier

	* defaults/defaults: Turn frame shadows on by default.

2006-01-05 21:56  olivier

	* themes/default/close-active.png,
	  ...
	  themes/default/stick-toggled-inactive.png: Enhance lighter frame
	  on buttons.

2006-01-03 20:50  olivier

	* src/focus.c: Fix crash when compiled with enable-debug=full (Fix
	  bug #1305)

2006-01-02 21:44  olivier

	* src/placement.c: Redo differently.

2006-01-02 21:27  olivier

	* src/client.c, src/placement.c: Fix fullscreen for legacy apps

2006-01-01 23:18  daichi

	* po/ja.po: Updated Japanese translations.

2006-01-01 18:12  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Updated.

2005-12-29 14:21  olivier

	* themes/default/top-left-active.png,
	  ...
	  themes/default/top-right-inactive.png: Make title bar edges look
	  a bit smoother.

2005-12-29 13:50  olivier

	* src/events.c, src/screen.c: Fix grabs when modifier mapping
	  changes.

2005-12-29 10:23  olivier

	* src/settings.c: Code cleanup

2005-12-28 21:42  olivier

	* themes/default/close-pressed.png,
	  ...
	  buttons, don't use shadow color on pressed button.

2005-12-28 21:38  olivier

	* src/client.c, src/compositor.c, src/events.c, src/hints.c,
	  src/hints.h: Use relative moves to warp the pointer,
	  improve compositor shadows on shaped windows,
	  truncate window title names as it breaks cairo if the string is
	  too long (Bug #1296)

2005-12-26 18:05  olivier

	* src/settings.c: Incomplete color table causing random colors to
	  be used as inactive shadow/mid color.

2005-12-23 21:56  olivier

	* src/client.c, src/events.c: Improve workspace wrapping when
	  dragging windows,
	  snap windows on move when using the keyboard too.

2005-12-22 21:26  olivier

	* src/client.c, src/tabwin.c, src/tabwin.h: Display workspace
	  number only when cycling through workspaces is enabled

2005-12-21 21:22  olivier

	* mcs-plugin/xfwm4_plugin.c: Do not save the options when
	  initiating the plugin to save some startup time.

2005-12-20 14:36  daichi

	* po/ChangeLog, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po, po/en_GB.po,
	  po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hi.po, po/hu.po,
	  po/it.po, po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po,
	  po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po,
	  po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po: Updated.

2005-12-15 23:14  olivier

	* src/client.c, src/events.c, src/screen.c, src/settings.c,
	  src/settings.h: Fix NET_WORKAREA not being updated on screen size
	  change (bug #1275),
	  Remove all code related to external command spawning since the
	  separate shortcut manager is now functional, yay\!

2005-12-11 18:37  stavrosg

	* po/el.po: Updated Greek translations

2005-12-07 10:55  piarres

	* po/ChangeLog, po/eu.po: [i18n] Basque translation update

2005-12-05 21:39  olivier

	* src/events.c, src/keyboard.c: Fix keyboard shortcut to move the
	  focus window across workspaces (bug #1257).

2005-11-29 21:45  daichi

	* po/ja.po: Fixed mistranslations.
	  Revised some translations.

2005-11-28 15:19  daichi

	* po/ChangeLog: Updated.

2005-11-25 21:40  olivier

	* themes/default/themerc: Title too low in title bar.

2005-11-21 17:14  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Updated.

2005-11-21 16:06  daichi

	* po/POTFILES.in: Updated POTFILES.in files.

2005-11-21 06:21  olivier

	* defaults/defaults: Forgot to add the new option to the default
	  file.

2005-11-20 21:16  olivier

	* src/client.c, src/events.c, src/settings.c, src/settings.h,
	  src/tabwin.c, src/workspaces.c, src/workspaces.h: Add new option,
	  cycle_workspaces, that allow cycling through all workspaces

2005-11-20 17:29  olivier

	* themes/stoneage/themerc, themes/stoneage/top-left-active.png,
	  ...
	  themes/stoneage/top-right-inactive.xpm: Seems I son't like
	  rounded corners anymore.

2005-11-20 10:06  olivier

	* src/client.c: Fix windows disapearing when moved between
	  workspaces before initial mapping (bug #1236)

2005-11-19 17:16  olivier

	* themes/stoneage/menu-pressed.xpm: No need to change color for
	  pressed button, it's filled with the icon.

2005-11-19 16:27  olivier

	* themes/stoneage/close-active.png,
	  ...
	  slicker buttons.

2005-11-13 21:26  olivier

	* src/client.c: Remove unused older definitions.

2005-11-12 13:49  olivier

	* src/client.c, src/focus.c, src/startup_notification.c: Fix
	  stacking vs. focus stealing prevention.

2005-11-12 09:48  olivier

	* src/client.c, src/client.h, src/events.c, src/focus.c,
	  src/stacking.c, src/startup_notification.c: Improve dragging
	  windows overs desktops, improve focus stealing prevention.

2005-11-11 17:16  olivier

	* autogen.sh, po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po,
	  po/ca.po, po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po,
	  po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po,
	  po/fr.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po,
	  po/vi.po, po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Resync

2005-11-11 17:15  olivier

	* Makefile.am, configure.ac, configure.ac.in: Take example of what
	  Benny did for Thunar to include svn revision.

2005-11-11 16:50  olivier

	* configure.ac.in: Add configure.ac.in

2005-11-11 16:44  olivier

	* configure.ac: Try to add svn id

2005-11-11 16:02  olivier

	* src/startup_notification.c: Use SN timestamp if available.

2005-11-11 15:45  olivier

	* src/client.c, src/client.h, src/placement.c: Prevent shaded
	  window from disapearing if the title is off screen, and set the
	  minimum visible height/width to the title height.

2005-11-11 10:09  olivier

	* doc/C/images/compose_shortcut.png,
	  doc/C/images/decoration_style.png, doc/C/images/focus.png,
	  doc/C/images/keyboard_shortcuts.png,
	  doc/C/images/misc_wm_prefs.png, doc/C/images/titlebar.png,
	  doc/C/images/workspace_margins.png,
	  doc/C/images/xfwm_workspaces.png,
	  doc/fr/images/compose_shortcut.png,
	  doc/fr/images/decoration_style.png, doc/fr/images/focus.png,
	  doc/fr/images/keyboard_and_focus.png,
	  doc/fr/images/keyboard_shortcuts.png,
	  doc/fr/images/misc_wm_prefs.png, doc/fr/images/titlebar.png,
	  doc/fr/images/workspace_margins.png,
	  doc/fr/images/xfwm_workspaces.png,
	  doc/it/images/compose_shortcut.png,
	  doc/it/images/decoration_style.png, doc/it/images/focus.png,
	  doc/it/images/keyboard_and_focus.png,
	  doc/it/images/keyboard_shortcuts.png,
	  doc/it/images/misc_wm_prefs.png, doc/it/images/titlebar.png,
	  doc/it/images/workspace_margins.png,
	  doc/it/images/xfwm_workspaces.png, icons/48x48/xfce4-keys.png,
	  icons/48x48/xfce4-workspaces.png, icons/48x48/xfwm4.png,
	  mcs-plugin/monitor-icon.png, src/default_icon.png,
	  src/tabwin-icon.png, themes/default-4.0/bottom-active.xpm,
	  ...
	  themes/tyrex/top-right-inactive.xpm: Fixing mime types

2005-11-09 20:24  olivier

	* ChangeLog, po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po,
	  po/ca.po, po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po,
	  po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po,
	  po/fr.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po,
	  po/vi.po, po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Update ChangLog

2005-11-08 19:24  olivier

	* src/client.c, themes/default/menu-active.png,
	  ...
	  themes/stoneage/menu-pressed.xpm: Application icon now adapts to
	  the button size. This allows different icon sizes in the title
	  menu button between themes.

2005-11-07 22:20  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Resync po

2005-11-07 19:08  olivier

	* src/netwm.c: Stacking bug introduced by the fix for transients

2005-11-05 14:59  daichi

	* po/ChangeLog: Deciphering.

2005-11-05 14:38  daichi

	* po/ChangeLog: Trimmed and updated.

2005-11-03 21:56  olivier

	* src/stacking.c: Don't screw up the stack list when the transient
	  is not on the same layer.

2005-11-03 21:45  olivier

	* src/client.c: Resync with 4.2 branch

2005-11-03 21:24  olivier

	* src/stacking.c: Small stacking issue introduced by previous
	  commit

2005-11-03 21:09  olivier

	* src/client.c, src/netwm.c: Be more permissive with above/below
	  states for transients (fixes Bug #1207)

2005-11-03 12:14  olivier

	* themes/default/menu-active.xpm, themes/default/menu-inactive.xpm,
	  ... themes/default/themerc: Reduce
	  the width of the menu button and set horizontal title offset to 0

2005-11-02 20:26  olivier

	* themes/stoneage/bottom-active.xpm,
	  ...
	  I prefer the
	  flat look for that theme.

2005-11-01 21:47  olivier

	* themes/stoneage/bottom-active.xpm,
	  ...
	  themes/stoneage/top-right-inactive.xpm: Small change in stoneage
	  theme

2005-11-01 20:10  olivier

	* src/compositor.c: Reverting a test/debug code that was not meant
	  to go to SVN.

2005-11-01 18:17  olivier

	* src/compositor.c: Fix a leak recently introduced by revision
	  18118.

2005-11-01 09:40  olivier

	* src/client.c, src/client.h, src/mywindow.c: Don't keep the icon
	  pixbuf to save a bit of video memory.

2005-11-01 08:46  olivier

	* defaults/defaults, src/compositor.c: Disable shadows by default.

2005-10-31 14:12  olivier

	* src/mypixmap.c: Rearrange init code of pixmaps.

2005-10-31 13:16  olivier

	* src/client.c, src/compositor.c, src/mypixmap.c: Should fix the
	  crash reported by Brian.

2005-10-31 10:25  olivier

	* configure.ac: Display options status at the end of configure

2005-10-31 09:02  olivier

	* src/client.c: Small trivial useless code cleanup.

2005-10-30 22:22  olivier

	* configure.ac, themes/Makefile.am, themes/stoneage,
	  ...
	  themes/stoneage/top-right-inactive.xpm: Theme reorg.

2005-10-30 22:19  olivier

	* themes/symphony: Move "symphony" to separate theme package.

2005-10-30 22:17  olivier

	* themes/waza: Move "waza" to separate theme package.

2005-10-30 22:17  olivier

	* themes/opta: Move "opta" to separate theme package.

2005-10-30 22:16  olivier

	* themes/wallis: Move wallis to separate theme package.

2005-10-30 22:12  olivier

	* themes/wildbush: Move wildbush to separate theme package.

2005-10-30 15:42  olivier

	* defaults/defaults, mcs-plugin/xfwm4_plugin.h: Change default
	  button layout so that it looks better with application icon in
	  title bar.

2005-10-30 15:41  olivier

	* themes/default/bottom-left-active.xpm,
	  ...
	  themes/default/top-right-inactive.xpm: Change default theme to
	  make use of application icon.

2005-10-30 15:40  olivier

	* src/client.c, src/client.h, src/default_icon.png, src/events.c,
	  src/frame.c, src/inline-default-icon.h, src/mypixmap.c,
	  src/mypixmap.h, src/settings.c, src/settings.h: Add support for
	  application icon in menu button.

2005-10-27 20:32  paurullan

	* po/ca.po: begin process to 4.4 work
	  autotranslation of most of the actual po
	  
	  -- paurullan@bulma.net , ca translator

2005-10-21 16:25  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/zh_CN.po, po/zh_TW.po: Updated with the latest POT file.
	  Discarded obsolete translations.

2005-10-21 14:02  alex

	* po/it.po: Restore correct headers.

2005-10-21 12:25  daichi

	* po/xfwm4.pot: Updated with the latest sources.

2005-10-21 12:22  alex

	* po/it.po: Update Italian translations and add missing accelerator
	  keys.

2005-10-21 12:07  daichi

	* po/ja.po: Updated Japanese translations.

2005-10-21 09:03  daichi

	* po/pl.po: Updated Polish translations by Piotr Malinski
	  <riklaunim@gmail.com>.

2005-10-20 18:35  olivier

	* src/settings.c: Well, I meant the right colors...

2005-10-20 18:23  olivier

	* src/settings.c: Use the right color for the inactive text shadow,
	  that looks better...

2005-10-19 21:40  olivier

	* themes/default/bottom-left-active.xpm,
	  ...
	  themes/default/top-right-inactive.xpm: Adapt default theme to
	  take advantage of smoother text shadow

2005-10-19 21:31  olivier

	* src/frame.c, src/screen.c, src/screen.h, src/settings.c: Allow
	  configurable shadow color with "active_text_shadow_color" and
	  "inactive_text_shadow_color" (fixes enhancement request #418)

2005-10-19 20:51  daichi

	* po/lt.po: Changed addresses.

2005-10-18 18:20  daichi

	* po/ja.po: Minor updates.

2005-10-17 20:37  daichi

	* po/ja.po: Fixed fatal mistranslations.

2005-10-16 22:19  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Updated.

2005-10-15 12:51  daichi

	* po/ja.po: Updated Japanese translations.

2005-10-15 12:12  kelnos

	* configure.ac: add "[no-xml]" option to AC_PROG_INTLTOOL to remove
	  dep on XML::Parser as
	  suggested by daichi (bug 964)
	  sorry for the spam, but svn is being annoying and won't let me
	  commit all
	  at once.

2005-10-14 10:02  daichi

	* po/hu.po: Updated Hungarian translations by Szervac Attila
	  <sas@321.hu>.

2005-10-14 05:21  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po,
	  ...
	  themes/default/top-right-inactive.xpm: Resync

2005-10-14 05:10  olivier

	* src/client.c: Keep fully visible only on resize

2005-10-13 21:39  olivier

	* src/client.c, src/placement.c: Try to keep windows on screen even
	  if they resize themselves

2005-10-13 20:12  olivier

	* src/events.c: Move misplaced break introduced by previous commit

2005-10-13 20:06  olivier

	* src/events.c: Check if the requested workspace is within the
	  current limits before switching.

2005-10-13 13:52  daichi

	* po/hu.po: Updated Hungarian translations by Szervac Attila
	  <sas@321.hu>.

2005-10-11 09:53  daichi

	* po/et.po: Changed an address.

2005-10-10 00:05  daichi

	* po/ro.po: Corrected version at `Project-Id-Version'.

2005-10-09 12:01  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/po2tbl.sed.in, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po:
	  po/xfwm4.pot
	  
	  * Updated.
	  
	  po/*.po
	  
	  * Modified initial header strings using template by "msginit".
	  * Modified initial comment strings using template by "msginit".
	  * Discarded obsolete translations.
	  
	  po/po2tbl.sed.in
	  
	  * Removed.

2005-10-08 19:51  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Resync

2005-10-08 19:44  olivier

	* src/compositor.c: Don't leak the region if the window size hasn't
	  changed (leak introduced in the change from yesterday)

2005-10-08 19:38  olivier

	* configure.ac: Check for version 0.2 instead of 1.0 for xcomposite
	  extension as suggested by bcowan@gentoo.org in bug #1177

2005-10-08 09:39  olivier

	* themes/default/README, themes/default/close-pressed.png,
	  ...
	  themes/default/top-right-inactive.png: Enhance the glass effect
	  on title bar

2005-10-07 20:26  olivier

	* themes/default/close-active.png,
	  ...
	  themes/default/stick-toggled-inactive.png: Add a small lighter
	  frame arround buttons

2005-10-07 20:26  olivier

	* src/compositor.c: A couple of fixes in the compositor

2005-10-06 19:57  olivier

	* src/client.c, src/compositor.c: * Compositor improvements,
	  * Revert revision 15971 (june 14th) as it breaks apps that update
	  their decorations flags

2005-10-05 19:00  olivier

	* defaults/defaults: Set opacity for popup to 100% by default

2005-10-03 19:50  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Resync po

2005-10-03 19:48  olivier

	* src/display.c, src/display.h: The code is there, add prototype

2005-10-03 19:46  olivier

	* defaults/defaults, src/compositor.c, src/display.c,
	  src/settings.c, src/settings.h: Add opacity option for popup
	  windows such as tooltips and menus (popup_opacity=<int>)

2005-10-02 20:42  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Resync po

2005-10-02 19:58  olivier

	* themes/default/close-active.png,
	  ...
	  themes/default/stick-toggled-inactive.png: Add a very slight
	  shadow around buttons

2005-10-01 13:17  olivier

	* themes/default/close-active.png, themes/default/close-active.xpm,
	  ...
	  looks better and slightly improve usability (IMHO)

2005-09-30 18:49  olivier

	* src/compositor.c, src/frame.c: Fix undecorated windows not being
	  updated (fix bug #1168)

2005-09-29 19:53  olivier

	* mcs-plugin/xfwm4_plugin.h: Use bold font as default title font

2005-09-28 19:14  olivier

	* src/compositor.c, src/frame.c: Add shadow to docks

2005-09-28 16:41  olivier

	* src/client.c: Fix some windows (like panels) not showing at first
	  run

2005-09-27 21:48  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: resync

2005-09-27 21:47  olivier

	* src/focus.c, src/stacking.c: Fix stacking bug introduced by
	  recent changes

2005-09-27 19:38  olivier

	* themes/default/themerc, themes/default/title-1-active.png,
	  ...
	  themes/default/top-right-inactive.xpm: Add 1 pixel to the height
	  of the title bar

2005-09-27 19:35  olivier

	* src/client.c, src/focus.c, src/stacking.c: Improve stacking with
	  focus stealing

2005-09-26 20:13  olivier

	* src/client.c, src/client.h, src/events.c, src/focus.c,
	  src/focus.h, src/stacking.c, src/stacking.h: Add support for
	  stacking sibling, do not place windows on top of stack when
	  blocked from stealing focus.

2005-09-25 21:07  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Resync

2005-09-25 21:06  olivier

	* src/mypixmap.c: Indentation

2005-09-25 20:16  olivier

	* themes/default/title-1-active.png,
	  ...
	  themes/default/top-right-inactive.png: Slightly enhance the glass
	  effect

2005-09-25 20:16  olivier

	* src/mywindow.c: Remove debug messages

2005-09-25 19:32  olivier

	* src/mywindow.c: Testing code

2005-09-25 11:11  olivier

	* src/display.c: Wrong fix.

2005-09-25 11:11  olivier

	* src/client.c: Wrong fix.

2005-09-25 11:10  olivier

	* src/client.c, src/display.c, src/mypixmap.c, src/mywindow.c:
	  Fixes for ARGB/multiple depth windows.

2005-09-24 13:27  olivier

	* src/mypixmap.c, src/mypixmap.h, src/mywindow.c, src/mywindow.h:
	  Cache XRender picture and visual format to improve speed

2005-09-24 07:45  daichi

	* po/ja.po: * Added initial "$Id$".
	  
	  * Updated some translations.

2005-09-23 20:09  olivier

	* src/mywindow.c: Fallback to regular Xlib routins to set window
	  pixmap, fixes bug #1161

2005-09-20 05:17  olivier

	* src/events.c: No need to grab the keys twice

2005-09-19 20:24  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: resync

2005-09-19 20:21  olivier

	* src/client.c, src/client.h, src/display.c, src/events.c,
	  src/screen.c, src/screen.h, src/settings.c: Take changes in
	  keyboard mapping into account

2005-09-18 15:29  olivier

	* src/display.c, src/display.h: Fix typo, use COMPOSITING_MANAGER
	  instead of CLIPBOARD_MANAGER, move atom_names array to rodata,
	  use enum instead of defines, all this rightly suggested by Benny.

2005-09-18 14:44  olivier

	* src/client.c, src/events.c, src/focus.c, src/hints.c,
	  src/hints.h, src/main.c, src/screen.c, src/screen.h,
	  src/settings.c: Fix wrong pointer being passed to
	  clientUpdateAllFrames(), add support to COMPOSITING_MANAGER as
	  discussed on xdg list, rename gnome_win as xfwm4_win since it's
	  really an internal window that has not much to do with gnome
	  support

2005-09-18 13:52  olivier

	* src/display.c, src/display.h: Add new atom

2005-09-18 09:22  olivier

	* src/events.c: Properly handle mapping notify

2005-09-17 12:15  olivier

	* themes/default/close-active.png, themes/default/close-active.xpm,
	  ...
	  themes/default/stick-toggled-inactive.png: Improve hilight on
	  buttons to enhance the translucent look

2005-09-15 18:43  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: resync

2005-09-15 18:41  olivier

	* src/client.c, src/events.c, src/misc.c, src/screen.c: Make
	  workspace switch simpler, reduce sidewalks windows to 1 pixel

2005-09-15 18:40  olivier

	* themes/default/README, themes/default/bottom-active.png,
	  ...
	  themes/default/top-right-inactive.xpm: Change theme

2005-09-13 20:53  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: resync

2005-09-13 20:41  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: resync

2005-09-13 20:41  olivier

	* themes/default/close-active.png, themes/default/close-active.xpm,
	  ...
	  themes/default/top-right-inactive.xpm: Update theme

2005-09-13 20:12  olivier

	* src/events.c, src/misc.c, src/workspaces.c: Be smarter when
	  showing/hiding sidewalk windows, that greatly improves panel
	  autohide feature

2005-09-13 19:49  olivier

	* src/client.c, src/events.c, src/misc.c, src/screen.c,
	  src/workspaces.c: Apply patch from Ian Morgan <imorgan@webcon.ca>
	  that improves workspaces edge resistance.

2005-09-11 20:45  olivier

	* src/client.c, src/events.c: Don't follow NET_CURRENT_DESKTOP
	  event if specified value is out of range (fix bug #1140)

2005-09-09 12:06  daichi

	* po/zh_TW.po: Changed translator's representation in spelling by
	  the request.

2005-09-07 20:26  olivier

	* src/tabwin.c: Better use of gtk theme colors

2005-09-07 19:40  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: resync po

2005-09-07 19:35  olivier

	* src/tabwin.c: Add a small color frame in increase visibility

2005-09-06 12:24  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: resync po

2005-09-06 11:51  olivier

	* src/client.c: Don't unset the maximize flag unless the actual
	  window size has changed (fix bug #1129)

2005-09-05 21:25  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: resync

2005-09-05 21:22  olivier

	* src/tabwin.c: Do not circlify the list, too hacky...

2005-09-04 20:44  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: resync

2005-09-04 20:43  olivier

	* src/tabwin.c:

2005-09-03 14:32  olivier

	* src/tabwin.c: Fix crash in tabwin with some gtk engines

2005-09-03 13:56  olivier

	* src/tabwin.c: Change tabwin layout

2005-09-02 23:23  olivier

	* src/tabwin.c: Fix critical bugs in tabwin

2005-09-02 22:35  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Resync

2005-09-02 22:33  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po, src/tabwin.c: Fix pixbuf
	  being leaked in new tabwin code.

2005-09-02 22:18  olivier

	* src/tabwin.c: code style

2005-09-02 22:15  olivier

	* src/client.c: trace twice? nah\!

2005-09-02 22:13  olivier

	* src/client.c, src/tabwin.c, src/tabwin.h: Bug fixes in cycling

2005-09-01 21:12  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: resync

2005-09-01 21:11  olivier

	* src/tabwin.c: Fix mismatch between displayed icon/window and
	  actual hilighted frame

2005-09-01 21:00  olivier

	* src/tabwin.c, src/tabwin.h: Add class name, rearrange layout of
	  tabwin, fix warnings when app window vanishes

2005-09-01 19:44  olivier

	* src/tabwin.c: Change the tabwin window a bit

2005-09-01 05:59  olivier

	* configure.ac, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po, po/en_GB.po,
	  po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hi.po, po/hu.po,
	  po/it.po, po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po,
	  po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po,
	  po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot, po/zh_CN.po,
	  po/zh_TW.po: fix configure script

2005-08-31 22:16  olivier

	* src/client.c, src/tabwin.c, src/tabwin.h: Commit Ori's patch for
	  alt-tab switching

2005-08-29 21:48  daichi

	* po/ja.po: Changed responsible period for previous translator.

2005-08-23 05:47  ankit

	* po/gu.po: Updted Translations

2005-08-19 12:24  daichi

	* po/bg.po, po/es.po, po/es_MX.po, po/nb_NO.po, po/nl.po,
	  po/pt_BR.po, po/sv.po, po/zh_CN.po: Fixed errors emitted by
	  'msgfmt -c'.
	  
	  Added fall back address at the 'Language-Team: ', according to
	  the
	  http://www.iro.umontreal.ca/translation/registry.cgi?team=index
	  
	  Modified initial comment strings with template by 'msginit'.

2005-08-18 12:05  daichi

	* po/ja.po: Updated Japanese translations.

2005-08-17 15:03  daichi

	* po/en_GB.po, po/nb_NO.po: Converted local charsets to UTF-8.

2005-08-15 15:12  daichi

	* po/zh_TW.po: Removed executable attribution.

2005-08-13 15:09  stavrosg

	* configure.ac, po/el.po: * Added initial Greek translations in
	  trunk for xfce-mcs-plugins, xfprint,
	  xfwm4 & xfdesktop.
	  * Corrections & additions for xfce4-panel/trunk/po/el.po

2005-08-13 14:09  daichi

	* po/fi.po: Updated Finnish translations by Jari Rahkonen.

2005-08-08 20:08  olivier

	* src/compositor.c: Remove window content region from the shadow in
	  compositor. This change is based on the patch submitted by
	  <aquila_deus@yahoo.co.uk> in bug #1103.
	  
	  M compositor.c

2005-08-04 20:06  olivier

	* themes/default/themerc:

2005-08-03 20:19  olivier

	* themes/default/close-active.png, themes/default/close-active.xpm,
	  ...
	  themes/default/top-right-inactive.xpm: Enlarge the title height
	  by 2 pix; makes it better to the eyes and easier to use on modern
	  hardware with high resolutions.

2005-07-26 12:23  pollux

	* configure.ac, po/eo.po: add some EO translations

2005-07-09 20:38  olivier

	* mcs-plugin/xfwm4_plugin.c: Fix settings not being saved (bug
	  #1069)

2005-07-04 11:47  pollux

	* po/ko.po: update KO translations

2005-07-03 20:34  olivier

	* themes/default/title-3-active.png: Remove stripes

2005-06-29 16:14  pollux

	* po/zh_TW.po: update zh_TW translations

2005-06-27 18:24  olivier

	* mcs-plugin/xfwm4_plugin.h, themes/default/themerc,
	  ...
	  themes/default/title-4-inactive.xpm: Look

2005-06-26 17:09  pollux

	* po/ko.po: update KO translations

2005-06-25 21:55  olivier

	* Makefile.am: Wrong option

2005-06-25 21:37  olivier

	* Makefile.am, po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po,
	  po/ca.po, po/cs.po, po/de.po, po/en_GB.po, po/es.po, po/es_MX.po,
	  po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po,
	  po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot,
	  po/zh_CN.po, po/zh_TW.po: Update snapshot generation

2005-06-25 21:31  olivier

	* mcs-plugin/xfwm4_plugin.c, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/en_GB.po,
	  po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po,
	  po/fr.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po,
	  po/vi.po, po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po,
	  ...
	  themes/default/top-right-inactive.xpm: Fix theme list not being
	  updated (bug #1024)

2005-06-25 11:21  benny

	* mcs-plugin/xfwm4_plugin.c: Initialize result properly.

2005-06-25 11:17  benny

	* mcs-plugin/xfwm4_plugin.c: Don't crash if the MCS plugin is
	  unable to store the settings, a warning
	  telling whats wrong will be emitted by libxfce4util, see bug
	  #1033.

2005-06-22 22:05  olivier

	* themes/default/bottom-active.xpm,
	  ...
	  themes/default/top-right-inactive.xpm: Give a slight 3D look to
	  the frame

2005-06-22 21:57  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/en_GB.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/it.po, po/ja.po, po/ko.po, po/lt.po,
	  po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot,
	  po/zh_CN.po, po/zh_TW.po: Po stuff as always

2005-06-22 21:52  olivier

	* src/startup_notification.c: Trivial fix

2005-06-22 21:50  olivier

	* src/client.c, src/hints.c, src/netwm.c,
	  src/startup_notification.c: Fix startup notification properties
	  not being applied

2005-06-20 20:05  olivier

	* Makefile.am, mcs-plugin/margins.c, mcs-plugin/margins.h,
	  mcs-plugin/xfwm4_plugin.c, mcs-plugin/xfwm4_plugin.h,
	  src/client.c, src/client.h, src/compositor.c, src/compositor.h,
	  src/display.c, src/display.h, src/events.c, src/events.h,
	  src/focus.c, src/focus.h, src/frame.c, src/frame.h, src/hints.c,
	  src/hints.h, src/icons.c, src/icons.h, src/keyboard.c,
	  src/keyboard.h, src/main.c, src/menu.c, src/menu.h, src/misc.c,
	  src/misc.h, src/mypixmap.c, src/mypixmap.h, src/mywindow.c,
	  src/mywindow.h, src/netwm.c, src/netwm.h, src/parserc.c,
	  src/parserc.h, src/placement.c, src/placement.h, src/poswin.c,
	  src/poswin.h, src/screen.c, src/screen.h, src/session.c,
	  src/session.h, src/settings.c, src/settings.h,
	  src/spinning_cursor.c, src/spinning_cursor.h, src/stacking.c,
	  src/stacking.h, src/startup_notification.c,
	  src/startup_notification.h, src/tabwin.c, src/tabwin.h,
	  src/transients.c, src/transients.h, src/wireframe.c,
	  src/wireframe.h, src/workspaces.c, src/workspaces.h: Update dates

2005-06-20 19:20  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/en_GB.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/it.po, po/ja.po, po/ko.po, po/lt.po,
	  po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot,
	  po/zh_CN.po, po/zh_TW.po: Sync

2005-06-20 18:58  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/en_GB.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/it.po, po/ja.po, po/ko.po, po/lt.po,
	  po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot,
	  po/zh_CN.po, po/zh_TW.po, src/events.c, src/placement.c,
	  ...
	  themes/default/top-right-inactive.xpm: Remove spurious traces

2005-06-19 21:40  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/en_GB.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/it.po, po/ja.po, po/ko.po, po/lt.po,
	  po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot,
	  po/zh_CN.po, po/zh_TW.po: Po

2005-06-19 21:37  olivier

	* src/client.c, src/client.h, src/placement.c: Add trace for
	  temporary debuging purpose

2005-06-19 21:36  olivier

	* src/compositor.c, src/compositor.h, src/events.c: Don't use
	  shadow on shaped popup windows

2005-06-18 22:09  olivier

	* Makefile.am, configure.ac: Cleanup

2005-06-18 22:02  olivier

	* Makefile.am, configure.ac, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/en_GB.po,
	  po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po,
	  po/fr.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po,
	  po/vi.po, po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: New, better way
	  of reporting svn revisions.

2005-06-18 20:56  olivier

	* configure.ac: Typo

2005-06-18 20:44  olivier

	* src/events.c, src/screen.c: Investigating Xrandr reported problem
	  (bug #1005).

2005-06-18 07:34  olivier

	* src/client.c, src/display.c, src/placement.c, src/settings.c: Fix
	  compilation warnings reported by Edscott.

2005-06-18 07:30  olivier

	* src/events.c: Use configureNotify for screen size changes only if
	  XRandr is not supported by the display.

2005-06-17 19:14  olivier

	* src/display.c, src/display.h, src/events.c: Improve XRandr
	  support,
	  Check for Render support before using Render primitives.

2005-06-17 18:33  olivier

	* configure.ac: Fix xrandr support not being compiled in.

2005-06-16 20:30  olivier

	* configure.ac: REvert to $Rev$ because svn may not be availaboe on
	  the build system.

2005-06-16 19:56  olivier

	* configure.ac: Use svnversion to get the actual working copy
	  revision

2005-06-16 19:31  olivier

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/en_GB.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/it.po, po/ja.po, po/ko.po, po/lt.po,
	  po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot,
	  po/zh_CN.po, po/zh_TW.po: sync

2005-06-16 19:10  olivier

	* src/frame.c: Fix frame corners not being properly updated in some
	  case.

2005-06-15 17:36  olivier

	* defaults/defaults, src/compositor.c, src/settings.c,
	  src/settings.h: Add new option "show_popup_shadow" to
	  enable/disable compositor shadow for popup (override_redirect)
	  windows (bug id #1007)

2005-06-14 20:13  olivier

	* src/client.c, src/placement.c: Auto-maximize improvement,
	  Don't force redraw on MWM hint update.

2005-06-13 20:05  olivier

	* Makefile.am, configure.ac, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/en_GB.po,
	  po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po,
	  po/fr.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po,
	  po/vi.po, po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: Add new "make
	  snapshot" and "make snapshot-bz2" targets

2005-06-13 19:49  olivier

	* src/settings.c: Add a new channel "wm_tweaks" - The plan is to
	  add a new WM Tweak plugin for all current "hidden" options.

2005-06-11 12:28  olivier

	* defaults/defaults, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/en_GB.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po, src/compositor.c,
	  src/compositor.h, src/placement.c, src/settings.c,
	  src/settings.h: Add new option "show_frame_shadow" to
	  enable/disable frame shadows.

2005-06-10 20:30  olivier

	* defaults/defaults, doc/C/xfwm4.html, doc/C/xfwm4.xml,
	  doc/fr/xfwm4.html, doc/fr/xfwm4.xml, po/ar.po, po/az.po,
	  po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po,
	  po/en_GB.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hi.po, po/hu.po,
	  po/it.po, po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po,
	  po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po,
	  po/tr.po, po/uk.po, po/vi.po, po/xfwm4.pot, po/zh_CN.po,
	  po/zh_TW.po, src/placement.c, src/settings.c, src/settings.h: Add
	  a new option, placement_ratio, that instructs the window manager
	  to place windows either "smartly" (ie using the CPU consuming
	  algorithm) or at the center of the screen based on this ratio
	  between the window size and the actual display area size.

2005-06-09 20:20  olivier

	* configure.ac, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/en_GB.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
